#include "array-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(64, _flick_abort0);
  flick_iiop_encode_new_chunk(64);
  flick_cdr_encode_bcopy(0, *_data, 64);
  flick_iiop_encode_end_chunk(64);
  flick_iiop_encode_end_glob(64);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(64);
  flick_iiop_check_span(64, _flick_abort3);
  flick_iiop_decode_new_chunk(64);
  flick_cdr_decode_bcopy(0, *_data, 64);
  flick_iiop_decode_end_chunk(64);
  flick_iiop_decode_end_glob(64);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64_swap(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(64);
  flick_iiop_check_span(16 * 4 + 0, _flick_abort6);
  for (_t0_array_iter = 0; _t0_array_iter < 16; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(64);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(128, _flick_abort12);
  flick_iiop_encode_new_chunk(128);
  flick_cdr_encode_bcopy(0, *_data, 128);
  flick_iiop_encode_end_chunk(128);
  flick_iiop_encode_end_glob(128);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(128);
  flick_iiop_check_span(128, _flick_abort15);
  flick_iiop_decode_new_chunk(128);
  flick_cdr_decode_bcopy(0, *_data, 128);
  flick_iiop_decode_end_chunk(128);
  flick_iiop_decode_end_glob(128);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data128_swap(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(128);
  flick_iiop_check_span(32 * 4 + 0, _flick_abort18);
  for (_t1_array_iter = 0; _t1_array_iter < 32; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(128);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(256, _flick_abort24);
  flick_iiop_encode_new_chunk(256);
  flick_cdr_encode_bcopy(0, *_data, 256);
  flick_iiop_encode_end_chunk(256);
  flick_iiop_encode_end_glob(256);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(256);
  flick_iiop_check_span(256, _flick_abort27);
  flick_iiop_decode_new_chunk(256);
  flick_cdr_decode_bcopy(0, *_data, 256);
  flick_iiop_decode_end_chunk(256);
  flick_iiop_decode_end_glob(256);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data256_swap(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(256);
  flick_iiop_check_span(64 * 4 + 0, _flick_abort30);
  for (_t2_array_iter = 0; _t2_array_iter < 64; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(256);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(512, _flick_abort36);
  flick_iiop_encode_new_chunk(512);
  flick_cdr_encode_bcopy(0, *_data, 512);
  flick_iiop_encode_end_chunk(512);
  flick_iiop_encode_end_glob(512);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(512);
  flick_iiop_check_span(512, _flick_abort39);
  flick_iiop_decode_new_chunk(512);
  flick_cdr_decode_bcopy(0, *_data, 512);
  flick_iiop_decode_end_chunk(512);
  flick_iiop_decode_end_glob(512);
  return 0;
  {
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data512_swap(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(512);
  flick_iiop_check_span(128 * 4 + 0, _flick_abort42);
  for (_t3_array_iter = 0; _t3_array_iter < 128; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t3_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(512);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(1024, _flick_abort48);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_check_span(1024, _flick_abort51);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data1K_swap(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_check_span(256 * 4 + 0, _flick_abort54);
  for (_t4_array_iter = 0; _t4_array_iter < 256; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t4_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(1024);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2048, _flick_abort60);
  flick_iiop_encode_new_chunk(2048);
  flick_cdr_encode_bcopy(0, *_data, 2048);
  flick_iiop_encode_end_chunk(2048);
  flick_iiop_encode_end_glob(2048);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2048);
  flick_iiop_check_span(2048, _flick_abort63);
  flick_iiop_decode_new_chunk(2048);
  flick_cdr_decode_bcopy(0, *_data, 2048);
  flick_iiop_decode_end_chunk(2048);
  flick_iiop_decode_end_glob(2048);
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data2K_swap(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned32_t _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2048);
  flick_iiop_check_span(512 * 4 + 0, _flick_abort66);
  for (_t5_array_iter = 0; _t5_array_iter < 512; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t5_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(2048);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4096, _flick_abort72);
  flick_iiop_encode_new_chunk(4096);
  flick_cdr_encode_bcopy(0, *_data, 4096);
  flick_iiop_encode_end_chunk(4096);
  flick_iiop_encode_end_glob(4096);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4096);
  flick_iiop_check_span(4096, _flick_abort75);
  flick_iiop_decode_new_chunk(4096);
  flick_cdr_decode_bcopy(0, *_data, 4096);
  flick_iiop_decode_end_chunk(4096);
  flick_iiop_decode_end_glob(4096);
  return 0;
  {
  _flick_abort75:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data4K_swap(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned32_t _t6_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4096);
  flick_iiop_check_span(1024 * 4 + 0, _flick_abort78);
  for (_t6_array_iter = 0; _t6_array_iter < 1024; _t6_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t6_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(4096);
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8192, _flick_abort84);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 8192);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(8192, _flick_abort87);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort87:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data8K_swap(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned32_t _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(2048 * 4 + 0, _flick_abort90);
  for (_t7_array_iter = 0; _t7_array_iter < 2048; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t7_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(16384, _flick_abort96);
  flick_iiop_encode_new_chunk(16384);
  flick_cdr_encode_bcopy(0, *_data, 16384);
  flick_iiop_encode_end_chunk(16384);
  flick_iiop_encode_end_glob(16384);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(16384);
  flick_iiop_check_span(16384, _flick_abort99);
  flick_iiop_decode_new_chunk(16384);
  flick_cdr_decode_bcopy(0, *_data, 16384);
  flick_iiop_decode_end_chunk(16384);
  flick_iiop_decode_end_glob(16384);
  return 0;
  {
  _flick_abort99:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data16K_swap(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(16384);
  flick_iiop_check_span(4096 * 4 + 0, _flick_abort102);
  for (_t8_array_iter = 0; _t8_array_iter < 4096; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(16384);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(32768, _flick_abort108);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(32768);
  return 0;
  {
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32768);
  flick_iiop_check_span(32768, _flick_abort111);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(32768);
  return 0;
  {
  _flick_abort111:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data32K_swap(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(32768);
  flick_iiop_check_span(8192 * 4 + 0, _flick_abort114);
  for (_t9_array_iter = 0; _t9_array_iter < 8192; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t9_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(32768);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(65536, _flick_abort120);
  flick_iiop_encode_new_chunk(65536);
  flick_cdr_encode_bcopy(0, *_data, 65536);
  flick_iiop_encode_end_chunk(65536);
  flick_iiop_encode_end_glob(65536);
  return 0;
  {
  _flick_abort120:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(65536);
  flick_iiop_check_span(65536, _flick_abort123);
  flick_iiop_decode_new_chunk(65536);
  flick_cdr_decode_bcopy(0, *_data, 65536);
  flick_iiop_decode_end_chunk(65536);
  flick_iiop_decode_end_glob(65536);
  return 0;
  {
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64K_swap(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned32_t _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(65536);
  flick_iiop_check_span(16384 * 4 + 0, _flick_abort126);
  for (_t10_array_iter = 0; _t10_array_iter < 16384; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t10_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(65536);
  return 0;
  {
  _flick_abort126:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t69_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(4, _flick_abort134);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t69_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t69_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t70_principal_len;
            int *_return;
            int *_local_arg;
            int _t71_storage[16];
            flick_unsigned32_t _t72_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort534);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(16 * 4 + 4, _flick_abort534);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t70_principal_len);
            flick_iiop_check_span(_t70_principal_len * 1, _flick_abort534);
            flick_iiop_decode_new_chunk(_t70_principal_len);
            flick_iiop_decode_end_chunk(_t70_principal_len);
            flick_iiop_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(112);
            _local_arg = (int *)_t71_storage;
            for (_t72_array_iter = 0; _t72_array_iter < 16; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort538);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t72_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort538:
                  goto _flick_abort534;
                }
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort534);
              flick_iiop_encode_new_glob(8, _flick_abort534);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort545);
                    break;
                    {
                    _flick_abort545:
                      goto _flick_abort534;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort546);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort546:
                      goto _flick_abort534;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort534:
              goto _flick_abort533;
            }
          }
          break;
          {
          _flick_abort533:
            goto _flick_abort134;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t73_principal_len;
            int *_return;
            int *_local_arg;
            int _t74_storage[32];
            flick_unsigned32_t _t75_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort548);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(32 * 4 + 4, _flick_abort548);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t73_principal_len);
            flick_iiop_check_span(_t73_principal_len * 1, _flick_abort548);
            flick_iiop_decode_new_chunk(_t73_principal_len);
            flick_iiop_decode_end_chunk(_t73_principal_len);
            flick_iiop_decode_end_glob(_t73_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(224);
            _local_arg = (int *)_t74_storage;
            for (_t75_array_iter = 0; _t75_array_iter < 32; _t75_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort552);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t75_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort552:
                  goto _flick_abort548;
                }
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort548);
              flick_iiop_encode_new_glob(8, _flick_abort548);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort559);
                    break;
                    {
                    _flick_abort559:
                      goto _flick_abort548;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort560);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort560:
                      goto _flick_abort548;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort548:
              goto _flick_abort547;
            }
          }
          break;
          {
          _flick_abort547:
            goto _flick_abort134;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t76_principal_len;
            int *_return;
            int *_local_arg;
            int _t77_storage[64];
            flick_unsigned32_t _t78_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort562);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(64 * 4 + 4, _flick_abort562);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t76_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t76_principal_len);
            flick_iiop_check_span(_t76_principal_len * 1, _flick_abort562);
            flick_iiop_decode_new_chunk(_t76_principal_len);
            flick_iiop_decode_end_chunk(_t76_principal_len);
            flick_iiop_decode_end_glob(_t76_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(448);
            _local_arg = (int *)_t77_storage;
            for (_t78_array_iter = 0; _t78_array_iter < 64; _t78_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort566);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t78_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort566:
                  goto _flick_abort562;
                }
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort562);
              flick_iiop_encode_new_glob(8, _flick_abort562);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort573);
                    break;
                    {
                    _flick_abort573:
                      goto _flick_abort562;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort574);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort574:
                      goto _flick_abort562;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort562:
              goto _flick_abort561;
            }
          }
          break;
          {
          _flick_abort561:
            goto _flick_abort134;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t79_principal_len;
            int *_return;
            int *_local_arg;
            int _t80_storage[128];
            flick_unsigned32_t _t81_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort576);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(128 * 4 + 4, _flick_abort576);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t79_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t79_principal_len);
            flick_iiop_check_span(_t79_principal_len * 1, _flick_abort576);
            flick_iiop_decode_new_chunk(_t79_principal_len);
            flick_iiop_decode_end_chunk(_t79_principal_len);
            flick_iiop_decode_end_glob(_t79_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(896);
            _local_arg = (int *)_t80_storage;
            for (_t81_array_iter = 0; _t81_array_iter < 128; _t81_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort580);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t81_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort580:
                  goto _flick_abort576;
                }
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort576);
              flick_iiop_encode_new_glob(8, _flick_abort576);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort587);
                    break;
                    {
                    _flick_abort587:
                      goto _flick_abort576;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort588);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort588:
                      goto _flick_abort576;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort576:
              goto _flick_abort575;
            }
          }
          break;
          {
          _flick_abort575:
            goto _flick_abort134;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t82_principal_len;
            int *_return;
            int *_local_arg;
            int _t83_storage[256];
            flick_unsigned32_t _t84_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort590);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(256 * 4 + 4, _flick_abort590);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t82_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t82_principal_len);
            flick_iiop_check_span(_t82_principal_len * 1, _flick_abort590);
            flick_iiop_decode_new_chunk(_t82_principal_len);
            flick_iiop_decode_end_chunk(_t82_principal_len);
            flick_iiop_decode_end_glob(_t82_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(1792);
            _local_arg = (int *)_t83_storage;
            for (_t84_array_iter = 0; _t84_array_iter < 256; _t84_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort594);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t84_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort594:
                  goto _flick_abort590;
                }
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort590);
              flick_iiop_encode_new_glob(8, _flick_abort590);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort601);
                    break;
                    {
                    _flick_abort601:
                      goto _flick_abort590;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort602);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort602:
                      goto _flick_abort590;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort590:
              goto _flick_abort589;
            }
          }
          break;
          {
          _flick_abort589:
            goto _flick_abort134;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t85_principal_len;
            int *_return;
            int *_local_arg;
            int _t86_storage[512];
            flick_unsigned32_t _t87_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort604);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(512 * 4 + 4, _flick_abort604);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t85_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t85_principal_len);
            flick_iiop_check_span(_t85_principal_len * 1, _flick_abort604);
            flick_iiop_decode_new_chunk(_t85_principal_len);
            flick_iiop_decode_end_chunk(_t85_principal_len);
            flick_iiop_decode_end_glob(_t85_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3584);
            _local_arg = (int *)_t86_storage;
            for (_t87_array_iter = 0; _t87_array_iter < 512; _t87_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort608);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t87_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort608:
                  goto _flick_abort604;
                }
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort604);
              flick_iiop_encode_new_glob(8, _flick_abort604);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort615);
                    break;
                    {
                    _flick_abort615:
                      goto _flick_abort604;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort616);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort616:
                      goto _flick_abort604;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort604:
              goto _flick_abort603;
            }
          }
          break;
          {
          _flick_abort603:
            goto _flick_abort134;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t88_principal_len;
            int *_return;
            int *_local_arg;
            int _t89_storage[1024];
            flick_unsigned32_t _t90_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort618);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(1024 * 4 + 4, _flick_abort618);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t88_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t88_principal_len);
            flick_iiop_check_span(_t88_principal_len * 1, _flick_abort618);
            flick_iiop_decode_new_chunk(_t88_principal_len);
            flick_iiop_decode_end_chunk(_t88_principal_len);
            flick_iiop_decode_end_glob(_t88_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(7168);
            _local_arg = (int *)_t89_storage;
            for (_t90_array_iter = 0; _t90_array_iter < 1024; _t90_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort622);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t90_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort622:
                  goto _flick_abort618;
                }
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort618);
              flick_iiop_encode_new_glob(8, _flick_abort618);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort629);
                    break;
                    {
                    _flick_abort629:
                      goto _flick_abort618;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort630);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort630:
                      goto _flick_abort618;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort618:
              goto _flick_abort617;
            }
          }
          break;
          {
          _flick_abort617:
            goto _flick_abort134;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t91_principal_len;
            int *_return;
            int *_local_arg;
            int _t92_storage[2048];
            flick_unsigned32_t _t93_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort632);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(2048 * 4 + 4, _flick_abort632);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t91_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t91_principal_len);
            flick_iiop_check_span(_t91_principal_len * 1, _flick_abort632);
            flick_iiop_decode_new_chunk(_t91_principal_len);
            flick_iiop_decode_end_chunk(_t91_principal_len);
            flick_iiop_decode_end_glob(_t91_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(14336);
            _local_arg = (int *)_t92_storage;
            for (_t93_array_iter = 0; _t93_array_iter < 2048; _t93_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort636);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t93_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort636:
                  goto _flick_abort632;
                }
              }
            flick_iiop_decode_end_glob(14336);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort632);
              flick_iiop_encode_new_glob(8, _flick_abort632);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort643);
                    break;
                    {
                    _flick_abort643:
                      goto _flick_abort632;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort644);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort644:
                      goto _flick_abort632;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort632:
              goto _flick_abort631;
            }
          }
          break;
          {
          _flick_abort631:
            goto _flick_abort134;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t94_principal_len;
            int *_return;
            int *_local_arg;
            int _t95_storage[4096];
            flick_unsigned32_t _t96_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort646);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4096 * 4 + 4, _flick_abort646);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t94_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t94_principal_len);
            flick_iiop_check_span(_t94_principal_len * 1, _flick_abort646);
            flick_iiop_decode_new_chunk(_t94_principal_len);
            flick_iiop_decode_end_chunk(_t94_principal_len);
            flick_iiop_decode_end_glob(_t94_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(28672);
            _local_arg = (int *)_t95_storage;
            for (_t96_array_iter = 0; _t96_array_iter < 4096; _t96_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort650);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t96_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort650:
                  goto _flick_abort646;
                }
              }
            flick_iiop_decode_end_glob(28672);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort646);
              flick_iiop_encode_new_glob(8, _flick_abort646);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort657);
                    break;
                    {
                    _flick_abort657:
                      goto _flick_abort646;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort658);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort658:
                      goto _flick_abort646;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort646:
              goto _flick_abort645;
            }
          }
          break;
          {
          _flick_abort645:
            goto _flick_abort134;
          }
        }
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t97_principal_len;
            int *_return;
            int *_local_arg;
            int _t98_storage[8192];
            flick_unsigned32_t _t99_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort660);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(8192 * 4 + 4, _flick_abort660);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t97_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t97_principal_len);
            flick_iiop_check_span(_t97_principal_len * 1, _flick_abort660);
            flick_iiop_decode_new_chunk(_t97_principal_len);
            flick_iiop_decode_end_chunk(_t97_principal_len);
            flick_iiop_decode_end_glob(_t97_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(57344);
            _local_arg = (int *)_t98_storage;
            for (_t99_array_iter = 0; _t99_array_iter < 8192; _t99_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort664);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t99_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort664:
                  goto _flick_abort660;
                }
              }
            flick_iiop_decode_end_glob(57344);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort660);
              flick_iiop_encode_new_glob(8, _flick_abort660);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort671);
                    break;
                    {
                    _flick_abort671:
                      goto _flick_abort660;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort672);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort672:
                      goto _flick_abort660;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort660:
              goto _flick_abort659;
            }
          }
          break;
          {
          _flick_abort659:
            goto _flick_abort134;
          }
        }
      case (signed int) 11:
        {
          {
            struct svc_req *_obj;
            unsigned int _t100_principal_len;
            int *_return;
            int *_local_arg;
            int _t101_storage[16384];
            flick_unsigned32_t _t102_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort674);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(16384 * 4 + 4, _flick_abort674);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t100_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t100_principal_len);
            flick_iiop_check_span(_t100_principal_len * 1, _flick_abort674);
            flick_iiop_decode_new_chunk(_t100_principal_len);
            flick_iiop_decode_end_chunk(_t100_principal_len);
            flick_iiop_decode_end_glob(_t100_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(114688);
            _local_arg = (int *)_t101_storage;
            for (_t102_array_iter = 0; _t102_array_iter < 16384; _t102_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort678);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t102_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort678:
                  goto _flick_abort674;
                }
              }
            flick_iiop_decode_end_glob(114688);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort674);
              flick_iiop_encode_new_glob(8, _flick_abort674);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort685);
                    break;
                    {
                    _flick_abort685:
                      goto _flick_abort674;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort686);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort686:
                      goto _flick_abort674;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort674:
              goto _flick_abort673;
            }
          }
          break;
          {
          _flick_abort673:
            goto _flick_abort134;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort134);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t23_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort134);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t23_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t23_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t24_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort258);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t24_principal_len);
            flick_iiop_check_span(_t24_principal_len * 1, _flick_abort258);
            flick_iiop_decode_new_chunk(_t24_principal_len);
            flick_iiop_decode_end_chunk(_t24_principal_len);
            flick_iiop_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_iiop_check_span(64, _flick_abort258);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort258);
              flick_iiop_encode_new_glob(8, _flick_abort258);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort266);
                    break;
                    {
                    _flick_abort266:
                      goto _flick_abort258;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort267);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort258;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort258:
              goto _flick_abort257;
            }
          }
          break;
          {
          _flick_abort257:
            goto _flick_abort134;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t25_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort269);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_check_span(_t25_principal_len * 1, _flick_abort269);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_iiop_check_span(128, _flick_abort269);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort269);
              flick_iiop_encode_new_glob(8, _flick_abort269);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort277);
                    break;
                    {
                    _flick_abort277:
                      goto _flick_abort269;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort278);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort278:
                      goto _flick_abort269;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort269:
              goto _flick_abort268;
            }
          }
          break;
          {
          _flick_abort268:
            goto _flick_abort134;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t26_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort280);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t26_principal_len);
            flick_iiop_check_span(_t26_principal_len * 1, _flick_abort280);
            flick_iiop_decode_new_chunk(_t26_principal_len);
            flick_iiop_decode_end_chunk(_t26_principal_len);
            flick_iiop_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_iiop_check_span(256, _flick_abort280);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort280);
              flick_iiop_encode_new_glob(8, _flick_abort280);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort288);
                    break;
                    {
                    _flick_abort288:
                      goto _flick_abort280;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort289:
                      goto _flick_abort280;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort280:
              goto _flick_abort279;
            }
          }
          break;
          {
          _flick_abort279:
            goto _flick_abort134;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t27_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort291);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t27_principal_len);
            flick_iiop_check_span(_t27_principal_len * 1, _flick_abort291);
            flick_iiop_decode_new_chunk(_t27_principal_len);
            flick_iiop_decode_end_chunk(_t27_principal_len);
            flick_iiop_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_iiop_check_span(512, _flick_abort291);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort291);
              flick_iiop_encode_new_glob(8, _flick_abort291);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort299);
                    break;
                    {
                    _flick_abort299:
                      goto _flick_abort291;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort300:
                      goto _flick_abort291;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort291:
              goto _flick_abort290;
            }
          }
          break;
          {
          _flick_abort290:
            goto _flick_abort134;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t28_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort302);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_check_span(_t28_principal_len * 1, _flick_abort302);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_iiop_check_span(1024, _flick_abort302);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort302);
              flick_iiop_encode_new_glob(8, _flick_abort302);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort310);
                    break;
                    {
                    _flick_abort310:
                      goto _flick_abort302;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort311);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort311:
                      goto _flick_abort302;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort302:
              goto _flick_abort301;
            }
          }
          break;
          {
          _flick_abort301:
            goto _flick_abort134;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t29_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort313);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_check_span(_t29_principal_len * 1, _flick_abort313);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_iiop_check_span(2048, _flick_abort313);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort313);
              flick_iiop_encode_new_glob(8, _flick_abort313);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort321);
                    break;
                    {
                    _flick_abort321:
                      goto _flick_abort313;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort322);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort322:
                      goto _flick_abort313;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort313:
              goto _flick_abort312;
            }
          }
          break;
          {
          _flick_abort312:
            goto _flick_abort134;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t30_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort324);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t30_principal_len);
            flick_iiop_check_span(_t30_principal_len * 1, _flick_abort324);
            flick_iiop_decode_new_chunk(_t30_principal_len);
            flick_iiop_decode_end_chunk(_t30_principal_len);
            flick_iiop_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_iiop_check_span(4096, _flick_abort324);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort324);
              flick_iiop_encode_new_glob(8, _flick_abort324);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort332);
                    break;
                    {
                    _flick_abort332:
                      goto _flick_abort324;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort333);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort333:
                      goto _flick_abort324;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort324:
              goto _flick_abort323;
            }
          }
          break;
          {
          _flick_abort323:
            goto _flick_abort134;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort335);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_check_span(_t31_principal_len * 1, _flick_abort335);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_iiop_check_span(8192, _flick_abort335);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort335);
              flick_iiop_encode_new_glob(8, _flick_abort335);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort343);
                    break;
                    {
                    _flick_abort343:
                      goto _flick_abort335;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort344);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort344:
                      goto _flick_abort335;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort335:
              goto _flick_abort334;
            }
          }
          break;
          {
          _flick_abort334:
            goto _flick_abort134;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t32_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort346);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t32_principal_len);
            flick_iiop_check_span(_t32_principal_len * 1, _flick_abort346);
            flick_iiop_decode_new_chunk(_t32_principal_len);
            flick_iiop_decode_end_chunk(_t32_principal_len);
            flick_iiop_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_iiop_check_span(16384, _flick_abort346);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort346);
              flick_iiop_encode_new_glob(8, _flick_abort346);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort354);
                    break;
                    {
                    _flick_abort354:
                      goto _flick_abort346;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort355);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort355:
                      goto _flick_abort346;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort346:
              goto _flick_abort345;
            }
          }
          break;
          {
          _flick_abort345:
            goto _flick_abort134;
          }
        }
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t33_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort357);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t33_principal_len);
            flick_iiop_check_span(_t33_principal_len * 1, _flick_abort357);
            flick_iiop_decode_new_chunk(_t33_principal_len);
            flick_iiop_decode_end_chunk(_t33_principal_len);
            flick_iiop_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_iiop_check_span(32768, _flick_abort357);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort357);
              flick_iiop_encode_new_glob(8, _flick_abort357);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort365);
                    break;
                    {
                    _flick_abort365:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort366:
                      goto _flick_abort357;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort357:
              goto _flick_abort356;
            }
          }
          break;
          {
          _flick_abort356:
            goto _flick_abort134;
          }
        }
      case (signed int) 11:
        {
          {
            struct svc_req *_obj;
            unsigned int _t34_principal_len;
            int *_return;
            int *_local_arg;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort368);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t34_principal_len);
            flick_iiop_check_span(_t34_principal_len * 1, _flick_abort368);
            flick_iiop_decode_new_chunk(_t34_principal_len);
            flick_iiop_decode_end_chunk(_t34_principal_len);
            flick_iiop_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_iiop_check_span(65536, _flick_abort368);
            flick_cdr_decode_msgptr(0, _local_arg, int *);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort368);
              flick_iiop_encode_new_glob(8, _flick_abort368);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort376);
                    break;
                    {
                    _flick_abort376:
                      goto _flick_abort368;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort377);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort377:
                      goto _flick_abort368;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort368:
              goto _flick_abort367;
            }
          }
          break;
          {
          _flick_abort367:
            goto _flick_abort134;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort134);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort134:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort133);
  _flick_abort133:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

