#include "mig-arrays-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t s_rpc_128_in(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t84_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(4, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t84_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t84_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t85_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t86_storage[16];
            flick_unsigned32_t _t87_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort582);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(16 * 4 + 4, _flick_abort582);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t85_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t85_principal_len);
            flick_iiop_check_span(_t85_principal_len * 1, _flick_abort582);
            flick_iiop_decode_new_chunk(_t85_principal_len);
            flick_iiop_decode_end_chunk(_t85_principal_len);
            flick_iiop_decode_end_glob(_t85_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(112);
            _local_foo = (unsigned *)_t86_storage;
            for (_t87_array_iter = 0; _t87_array_iter < 16; _t87_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort586);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t87_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort586:
                  goto _flick_abort582;
                }
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort582);
              flick_iiop_encode_new_glob(4, _flick_abort582);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort594);
                    break;
                    {
                    _flick_abort594:
                      goto _flick_abort582;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort582:
              goto _flick_abort581;
            }
          }
          break;
          {
          _flick_abort581:
            goto _flick_abort2;
          }
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t88_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t89_storage[32];
            flick_unsigned32_t _t90_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort596);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(32 * 4 + 4, _flick_abort596);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t88_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t88_principal_len);
            flick_iiop_check_span(_t88_principal_len * 1, _flick_abort596);
            flick_iiop_decode_new_chunk(_t88_principal_len);
            flick_iiop_decode_end_chunk(_t88_principal_len);
            flick_iiop_decode_end_glob(_t88_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(224);
            _local_foo = (unsigned *)_t89_storage;
            for (_t90_array_iter = 0; _t90_array_iter < 32; _t90_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort600);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t90_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort600:
                  goto _flick_abort596;
                }
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort596);
              flick_iiop_encode_new_glob(4, _flick_abort596);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort608);
                    break;
                    {
                    _flick_abort608:
                      goto _flick_abort596;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort596:
              goto _flick_abort595;
            }
          }
          break;
          {
          _flick_abort595:
            goto _flick_abort2;
          }
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t91_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t92_storage[64];
            flick_unsigned32_t _t93_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort610);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(64 * 4 + 4, _flick_abort610);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t91_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t91_principal_len);
            flick_iiop_check_span(_t91_principal_len * 1, _flick_abort610);
            flick_iiop_decode_new_chunk(_t91_principal_len);
            flick_iiop_decode_end_chunk(_t91_principal_len);
            flick_iiop_decode_end_glob(_t91_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(448);
            _local_foo = (unsigned *)_t92_storage;
            for (_t93_array_iter = 0; _t93_array_iter < 64; _t93_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort614);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t93_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort614:
                  goto _flick_abort610;
                }
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort610);
              flick_iiop_encode_new_glob(4, _flick_abort610);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort622);
                    break;
                    {
                    _flick_abort622:
                      goto _flick_abort610;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort610:
              goto _flick_abort609;
            }
          }
          break;
          {
          _flick_abort609:
            goto _flick_abort2;
          }
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t94_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t95_storage[128];
            flick_unsigned32_t _t96_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort624);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(128 * 4 + 4, _flick_abort624);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t94_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t94_principal_len);
            flick_iiop_check_span(_t94_principal_len * 1, _flick_abort624);
            flick_iiop_decode_new_chunk(_t94_principal_len);
            flick_iiop_decode_end_chunk(_t94_principal_len);
            flick_iiop_decode_end_glob(_t94_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(896);
            _local_foo = (unsigned *)_t95_storage;
            for (_t96_array_iter = 0; _t96_array_iter < 128; _t96_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort628);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t96_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort628:
                  goto _flick_abort624;
                }
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort624);
              flick_iiop_encode_new_glob(4, _flick_abort624);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort636);
                    break;
                    {
                    _flick_abort636:
                      goto _flick_abort624;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort624:
              goto _flick_abort623;
            }
          }
          break;
          {
          _flick_abort623:
            goto _flick_abort2;
          }
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t97_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t98_storage[256];
            flick_unsigned32_t _t99_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort638);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(256 * 4 + 4, _flick_abort638);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t97_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t97_principal_len);
            flick_iiop_check_span(_t97_principal_len * 1, _flick_abort638);
            flick_iiop_decode_new_chunk(_t97_principal_len);
            flick_iiop_decode_end_chunk(_t97_principal_len);
            flick_iiop_decode_end_glob(_t97_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1792);
            _local_data = (unsigned *)_t98_storage;
            for (_t99_array_iter = 0; _t99_array_iter < 256; _t99_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort642);
                flick_cdr_swap_decode_signed32(0, _local_data[_t99_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort642:
                  goto _flick_abort638;
                }
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort638);
              flick_iiop_encode_new_glob(4, _flick_abort638);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort650);
                    break;
                    {
                    _flick_abort650:
                      goto _flick_abort638;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort638:
              goto _flick_abort637;
            }
          }
          break;
          {
          _flick_abort637:
            goto _flick_abort2;
          }
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t100_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t101_storage[512];
            flick_unsigned32_t _t102_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort652);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(512 * 4 + 4, _flick_abort652);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t100_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t100_principal_len);
            flick_iiop_check_span(_t100_principal_len * 1, _flick_abort652);
            flick_iiop_decode_new_chunk(_t100_principal_len);
            flick_iiop_decode_end_chunk(_t100_principal_len);
            flick_iiop_decode_end_glob(_t100_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3584);
            _local_data = (unsigned *)_t101_storage;
            for (_t102_array_iter = 0; _t102_array_iter < 512; _t102_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort656);
                flick_cdr_swap_decode_signed32(0, _local_data[_t102_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort656:
                  goto _flick_abort652;
                }
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort652);
              flick_iiop_encode_new_glob(4, _flick_abort652);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort664);
                    break;
                    {
                    _flick_abort664:
                      goto _flick_abort652;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort652:
              goto _flick_abort651;
            }
          }
          break;
          {
          _flick_abort651:
            goto _flick_abort2;
          }
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t103_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t104_storage[1024];
            flick_unsigned32_t _t105_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort666);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(1024 * 4 + 4, _flick_abort666);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t103_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t103_principal_len);
            flick_iiop_check_span(_t103_principal_len * 1, _flick_abort666);
            flick_iiop_decode_new_chunk(_t103_principal_len);
            flick_iiop_decode_end_chunk(_t103_principal_len);
            flick_iiop_decode_end_glob(_t103_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7168);
            _local_data = (unsigned *)_t104_storage;
            for (_t105_array_iter = 0; _t105_array_iter < 1024; _t105_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort670);
                flick_cdr_swap_decode_signed32(0, _local_data[_t105_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort670:
                  goto _flick_abort666;
                }
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort666);
              flick_iiop_encode_new_glob(4, _flick_abort666);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort678);
                    break;
                    {
                    _flick_abort678:
                      goto _flick_abort666;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort666:
              goto _flick_abort665;
            }
          }
          break;
          {
          _flick_abort665:
            goto _flick_abort2;
          }
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t106_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t107_storage[2048];
            flick_unsigned32_t _t108_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort680);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(2048 * 4 + 4, _flick_abort680);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t106_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t106_principal_len);
            flick_iiop_check_span(_t106_principal_len * 1, _flick_abort680);
            flick_iiop_decode_new_chunk(_t106_principal_len);
            flick_iiop_decode_end_chunk(_t106_principal_len);
            flick_iiop_decode_end_glob(_t106_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(14336);
            _local_data = (unsigned *)_t107_storage;
            for (_t108_array_iter = 0; _t108_array_iter < 2048; _t108_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort684);
                flick_cdr_swap_decode_signed32(0, _local_data[_t108_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort684:
                  goto _flick_abort680;
                }
              }
            flick_iiop_decode_end_glob(14336);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort680);
              flick_iiop_encode_new_glob(4, _flick_abort680);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort692);
                    break;
                    {
                    _flick_abort692:
                      goto _flick_abort680;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort680:
              goto _flick_abort679;
            }
          }
          break;
          {
          _flick_abort679:
            goto _flick_abort2;
          }
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t109_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t110_storage[4096];
            flick_unsigned32_t _t111_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort694);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4096 * 4 + 4, _flick_abort694);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t109_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t109_principal_len);
            flick_iiop_check_span(_t109_principal_len * 1, _flick_abort694);
            flick_iiop_decode_new_chunk(_t109_principal_len);
            flick_iiop_decode_end_chunk(_t109_principal_len);
            flick_iiop_decode_end_glob(_t109_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(28672);
            _local_data = (unsigned *)_t110_storage;
            for (_t111_array_iter = 0; _t111_array_iter < 4096; _t111_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort698);
                flick_cdr_swap_decode_signed32(0, _local_data[_t111_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort698:
                  goto _flick_abort694;
                }
              }
            flick_iiop_decode_end_glob(28672);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort694);
              flick_iiop_encode_new_glob(4, _flick_abort694);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort706);
                    break;
                    {
                    _flick_abort706:
                      goto _flick_abort694;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort694:
              goto _flick_abort693;
            }
          }
          break;
          {
          _flick_abort693:
            goto _flick_abort2;
          }
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t112_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t113_storage[8192];
            flick_unsigned32_t _t114_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort708);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(8192 * 4 + 4, _flick_abort708);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t112_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t112_principal_len);
            flick_iiop_check_span(_t112_principal_len * 1, _flick_abort708);
            flick_iiop_decode_new_chunk(_t112_principal_len);
            flick_iiop_decode_end_chunk(_t112_principal_len);
            flick_iiop_decode_end_glob(_t112_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(57344);
            _local_data = (unsigned *)_t113_storage;
            for (_t114_array_iter = 0; _t114_array_iter < 8192; _t114_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort712);
                flick_cdr_swap_decode_signed32(0, _local_data[_t114_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort712:
                  goto _flick_abort708;
                }
              }
            flick_iiop_decode_end_glob(57344);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort708);
              flick_iiop_encode_new_glob(4, _flick_abort708);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort720);
                    break;
                    {
                    _flick_abort720:
                      goto _flick_abort708;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort708:
              goto _flick_abort707;
            }
          }
          break;
          {
          _flick_abort707:
            goto _flick_abort2;
          }
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t115_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t116_storage[16384];
            flick_unsigned32_t _t117_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort722);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(16384 * 4 + 4, _flick_abort722);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t115_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t115_principal_len);
            flick_iiop_check_span(_t115_principal_len * 1, _flick_abort722);
            flick_iiop_decode_new_chunk(_t115_principal_len);
            flick_iiop_decode_end_chunk(_t115_principal_len);
            flick_iiop_decode_end_glob(_t115_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(114688);
            _local_data = (unsigned *)_t116_storage;
            for (_t117_array_iter = 0; _t117_array_iter < 16384; _t117_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort726);
                flick_cdr_swap_decode_signed32(0, _local_data[_t117_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort726:
                  goto _flick_abort722;
                }
              }
            flick_iiop_decode_end_glob(114688);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort722);
              flick_iiop_encode_new_glob(4, _flick_abort722);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort734);
                    break;
                    {
                    _flick_abort734:
                      goto _flick_abort722;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort722:
              goto _flick_abort721;
            }
          }
          break;
          {
          _flick_abort721:
            goto _flick_abort2;
          }
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t118_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t119_storage[32768];
            flick_unsigned32_t _t120_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort736);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(32768 * 4 + 4, _flick_abort736);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t118_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t118_principal_len);
            flick_iiop_check_span(_t118_principal_len * 1, _flick_abort736);
            flick_iiop_decode_new_chunk(_t118_principal_len);
            flick_iiop_decode_end_chunk(_t118_principal_len);
            flick_iiop_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(229376);
            _local_data = (unsigned *)_t119_storage;
            for (_t120_array_iter = 0; _t120_array_iter < 32768; _t120_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort740);
                flick_cdr_swap_decode_signed32(0, _local_data[_t120_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort740:
                  goto _flick_abort736;
                }
              }
            flick_iiop_decode_end_glob(229376);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort736);
              flick_iiop_encode_new_glob(4, _flick_abort736);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort748);
                    break;
                    {
                    _flick_abort748:
                      goto _flick_abort736;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort736:
              goto _flick_abort735;
            }
          }
          break;
          {
          _flick_abort735:
            goto _flick_abort2;
          }
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t121_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t122_storage[65536];
            flick_unsigned32_t _t123_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort750);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(65536 * 4 + 4, _flick_abort750);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t121_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t121_principal_len);
            flick_iiop_check_span(_t121_principal_len * 1, _flick_abort750);
            flick_iiop_decode_new_chunk(_t121_principal_len);
            flick_iiop_decode_end_chunk(_t121_principal_len);
            flick_iiop_decode_end_glob(_t121_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(458752);
            _local_data = (unsigned *)_t122_storage;
            for (_t123_array_iter = 0; _t123_array_iter < 65536; _t123_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort754);
                flick_cdr_swap_decode_signed32(0, _local_data[_t123_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort754:
                  goto _flick_abort750;
                }
              }
            flick_iiop_decode_end_glob(458752);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort750);
              flick_iiop_encode_new_glob(4, _flick_abort750);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort762);
                    break;
                    {
                    _flick_abort762:
                      goto _flick_abort750;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort750:
              goto _flick_abort749;
            }
          }
          break;
          {
          _flick_abort749:
            goto _flick_abort2;
          }
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t124_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t125_storage[131072];
            flick_unsigned32_t _t126_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort764);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(131072 * 4 + 4, _flick_abort764);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t124_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t124_principal_len);
            flick_iiop_check_span(_t124_principal_len * 1, _flick_abort764);
            flick_iiop_decode_new_chunk(_t124_principal_len);
            flick_iiop_decode_end_chunk(_t124_principal_len);
            flick_iiop_decode_end_glob(_t124_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(917504);
            _local_data = (unsigned *)_t125_storage;
            for (_t126_array_iter = 0; _t126_array_iter < 131072; _t126_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort768);
                flick_cdr_swap_decode_signed32(0, _local_data[_t126_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort768:
                  goto _flick_abort764;
                }
              }
            flick_iiop_decode_end_glob(917504);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort764);
              flick_iiop_encode_new_glob(4, _flick_abort764);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort776);
                    break;
                    {
                    _flick_abort776:
                      goto _flick_abort764;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort764:
              goto _flick_abort763;
            }
          }
          break;
          {
          _flick_abort763:
            goto _flick_abort2;
          }
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t127_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t128_storage[262144];
            flick_unsigned32_t _t129_array_iter;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort778);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(262144 * 4 + 4, _flick_abort778);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t127_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t127_principal_len);
            flick_iiop_check_span(_t127_principal_len * 1, _flick_abort778);
            flick_iiop_decode_new_chunk(_t127_principal_len);
            flick_iiop_decode_end_chunk(_t127_principal_len);
            flick_iiop_decode_end_glob(_t127_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1835008);
            _local_data = (unsigned *)_t128_storage;
            for (_t129_array_iter = 0; _t129_array_iter < 262144; _t129_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort782);
                flick_cdr_swap_decode_signed32(0, _local_data[_t129_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort782:
                  goto _flick_abort778;
                }
              }
            flick_iiop_decode_end_glob(1835008);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1024K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort778);
              flick_iiop_encode_new_glob(4, _flick_abort778);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort790);
                    break;
                    {
                    _flick_abort790:
                      goto _flick_abort778;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort778:
              goto _flick_abort777;
            }
          }
          break;
          {
          _flick_abort777:
            goto _flick_abort2;
          }
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t130_principal_len;
            kern_return_t _return;
            unsigned *_local_timer;
            unsigned _t131_storage[2];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort792);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_check_span(4, _flick_abort792);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t130_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t130_principal_len);
            flick_iiop_check_span(_t130_principal_len * 1, _flick_abort792);
            flick_iiop_decode_new_chunk(_t130_principal_len);
            flick_iiop_decode_end_chunk(_t130_principal_len);
            flick_iiop_decode_end_glob(_t130_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = (unsigned *)_t131_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_time(_local_target, _local_timer);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort792);
              flick_iiop_encode_new_glob(12, _flick_abort792);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_bcopy(0, _local_timer, 8);
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort802);
                    break;
                    {
                    _flick_abort802:
                      goto _flick_abort792;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort792:
              goto _flick_abort791;
            }
          }
          break;
          {
          _flick_abort791:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t18_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t19_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort182);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_check_span(_t19_principal_len * 1, _flick_abort182);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_iiop_check_span(64, _flick_abort182);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort182);
              flick_iiop_encode_new_glob(4, _flick_abort182);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort191);
                    break;
                    {
                    _flick_abort191:
                      goto _flick_abort182;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort182:
              goto _flick_abort181;
            }
          }
          break;
          {
          _flick_abort181:
            goto _flick_abort2;
          }
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t20_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort193);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t20_principal_len);
            flick_iiop_check_span(_t20_principal_len * 1, _flick_abort193);
            flick_iiop_decode_new_chunk(_t20_principal_len);
            flick_iiop_decode_end_chunk(_t20_principal_len);
            flick_iiop_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_iiop_check_span(128, _flick_abort193);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort193);
              flick_iiop_encode_new_glob(4, _flick_abort193);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort202);
                    break;
                    {
                    _flick_abort202:
                      goto _flick_abort193;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort193:
              goto _flick_abort192;
            }
          }
          break;
          {
          _flick_abort192:
            goto _flick_abort2;
          }
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t21_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort204);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t21_principal_len);
            flick_iiop_check_span(_t21_principal_len * 1, _flick_abort204);
            flick_iiop_decode_new_chunk(_t21_principal_len);
            flick_iiop_decode_end_chunk(_t21_principal_len);
            flick_iiop_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_iiop_check_span(256, _flick_abort204);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort204);
              flick_iiop_encode_new_glob(4, _flick_abort204);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort213);
                    break;
                    {
                    _flick_abort213:
                      goto _flick_abort204;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort204:
              goto _flick_abort203;
            }
          }
          break;
          {
          _flick_abort203:
            goto _flick_abort2;
          }
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t22_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort215);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t22_principal_len);
            flick_iiop_check_span(_t22_principal_len * 1, _flick_abort215);
            flick_iiop_decode_new_chunk(_t22_principal_len);
            flick_iiop_decode_end_chunk(_t22_principal_len);
            flick_iiop_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_iiop_check_span(512, _flick_abort215);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort215);
              flick_iiop_encode_new_glob(4, _flick_abort215);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort224);
                    break;
                    {
                    _flick_abort224:
                      goto _flick_abort215;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort215:
              goto _flick_abort214;
            }
          }
          break;
          {
          _flick_abort214:
            goto _flick_abort2;
          }
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t23_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort226);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_check_span(_t23_principal_len * 1, _flick_abort226);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_iiop_check_span(1024, _flick_abort226);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort226);
              flick_iiop_encode_new_glob(4, _flick_abort226);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort235);
                    break;
                    {
                    _flick_abort235:
                      goto _flick_abort226;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort226:
              goto _flick_abort225;
            }
          }
          break;
          {
          _flick_abort225:
            goto _flick_abort2;
          }
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t24_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort237);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t24_principal_len);
            flick_iiop_check_span(_t24_principal_len * 1, _flick_abort237);
            flick_iiop_decode_new_chunk(_t24_principal_len);
            flick_iiop_decode_end_chunk(_t24_principal_len);
            flick_iiop_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_iiop_check_span(2048, _flick_abort237);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort237);
              flick_iiop_encode_new_glob(4, _flick_abort237);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort246);
                    break;
                    {
                    _flick_abort246:
                      goto _flick_abort237;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort237:
              goto _flick_abort236;
            }
          }
          break;
          {
          _flick_abort236:
            goto _flick_abort2;
          }
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t25_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort248);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_check_span(_t25_principal_len * 1, _flick_abort248);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_iiop_check_span(4096, _flick_abort248);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort248);
              flick_iiop_encode_new_glob(4, _flick_abort248);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort257);
                    break;
                    {
                    _flick_abort257:
                      goto _flick_abort248;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort248:
              goto _flick_abort247;
            }
          }
          break;
          {
          _flick_abort247:
            goto _flick_abort2;
          }
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t26_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort259);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t26_principal_len);
            flick_iiop_check_span(_t26_principal_len * 1, _flick_abort259);
            flick_iiop_decode_new_chunk(_t26_principal_len);
            flick_iiop_decode_end_chunk(_t26_principal_len);
            flick_iiop_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_iiop_check_span(8192, _flick_abort259);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort259);
              flick_iiop_encode_new_glob(4, _flick_abort259);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort268);
                    break;
                    {
                    _flick_abort268:
                      goto _flick_abort259;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort259:
              goto _flick_abort258;
            }
          }
          break;
          {
          _flick_abort258:
            goto _flick_abort2;
          }
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t27_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort270);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t27_principal_len);
            flick_iiop_check_span(_t27_principal_len * 1, _flick_abort270);
            flick_iiop_decode_new_chunk(_t27_principal_len);
            flick_iiop_decode_end_chunk(_t27_principal_len);
            flick_iiop_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_iiop_check_span(16384, _flick_abort270);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort270);
              flick_iiop_encode_new_glob(4, _flick_abort270);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort279);
                    break;
                    {
                    _flick_abort279:
                      goto _flick_abort270;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort270:
              goto _flick_abort269;
            }
          }
          break;
          {
          _flick_abort269:
            goto _flick_abort2;
          }
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t28_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort281);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_check_span(_t28_principal_len * 1, _flick_abort281);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_iiop_check_span(32768, _flick_abort281);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort281);
              flick_iiop_encode_new_glob(4, _flick_abort281);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort290);
                    break;
                    {
                    _flick_abort290:
                      goto _flick_abort281;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort281:
              goto _flick_abort280;
            }
          }
          break;
          {
          _flick_abort280:
            goto _flick_abort2;
          }
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t29_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort292);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_check_span(_t29_principal_len * 1, _flick_abort292);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_iiop_check_span(65536, _flick_abort292);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort292);
              flick_iiop_encode_new_glob(4, _flick_abort292);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort301);
                    break;
                    {
                    _flick_abort301:
                      goto _flick_abort292;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort292:
              goto _flick_abort291;
            }
          }
          break;
          {
          _flick_abort291:
            goto _flick_abort2;
          }
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t30_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort303);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t30_principal_len);
            flick_iiop_check_span(_t30_principal_len * 1, _flick_abort303);
            flick_iiop_decode_new_chunk(_t30_principal_len);
            flick_iiop_decode_end_chunk(_t30_principal_len);
            flick_iiop_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(131072, 2, 0, 0);
            flick_iiop_check_span(131072, _flick_abort303);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(131072);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort303);
              flick_iiop_encode_new_glob(4, _flick_abort303);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort312);
                    break;
                    {
                    _flick_abort312:
                      goto _flick_abort303;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort303:
              goto _flick_abort302;
            }
          }
          break;
          {
          _flick_abort302:
            goto _flick_abort2;
          }
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t31_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort314);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_check_span(_t31_principal_len * 1, _flick_abort314);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(262144, 2, 0, 0);
            flick_iiop_check_span(262144, _flick_abort314);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(262144);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort314);
              flick_iiop_encode_new_glob(4, _flick_abort314);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort323);
                    break;
                    {
                    _flick_abort323:
                      goto _flick_abort314;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort314:
              goto _flick_abort313;
            }
          }
          break;
          {
          _flick_abort313:
            goto _flick_abort2;
          }
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t32_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort325);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t32_principal_len);
            flick_iiop_check_span(_t32_principal_len * 1, _flick_abort325);
            flick_iiop_decode_new_chunk(_t32_principal_len);
            flick_iiop_decode_end_chunk(_t32_principal_len);
            flick_iiop_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(524288, 2, 0, 0);
            flick_iiop_check_span(524288, _flick_abort325);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(524288);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort325);
              flick_iiop_encode_new_glob(4, _flick_abort325);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort334);
                    break;
                    {
                    _flick_abort334:
                      goto _flick_abort325;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort325:
              goto _flick_abort324;
            }
          }
          break;
          {
          _flick_abort324:
            goto _flick_abort2;
          }
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t33_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort336);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t33_principal_len);
            flick_iiop_check_span(_t33_principal_len * 1, _flick_abort336);
            flick_iiop_decode_new_chunk(_t33_principal_len);
            flick_iiop_decode_end_chunk(_t33_principal_len);
            flick_iiop_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(1048576, 2, 0, 0);
            flick_iiop_check_span(1048576, _flick_abort336);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_iiop_decode_end_chunk(1048576);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1024K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort336);
              flick_iiop_encode_new_glob(4, _flick_abort336);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort345);
                    break;
                    {
                    _flick_abort345:
                      goto _flick_abort336;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort336:
              goto _flick_abort335;
            }
          }
          break;
          {
          _flick_abort335:
            goto _flick_abort2;
          }
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t34_principal_len;
            kern_return_t _return;
            unsigned *_local_timer;
            unsigned _t35_storage[2];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort347);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t34_principal_len);
            flick_iiop_check_span(_t34_principal_len * 1, _flick_abort347);
            flick_iiop_decode_new_chunk(_t34_principal_len);
            flick_iiop_decode_end_chunk(_t34_principal_len);
            flick_iiop_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = (unsigned *)_t35_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_time(_local_target, _local_timer);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort347);
              flick_iiop_encode_new_glob(12, _flick_abort347);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_bcopy(0, _local_timer, 8);
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort357);
                    break;
                    {
                    _flick_abort357:
                      goto _flick_abort347;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort347:
              goto _flick_abort346;
            }
          }
          break;
          {
          _flick_abort346:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

