#include "mig-simple-client.h"

/* This is the runtime type information */
/* */

kern_return_t get_time(mach_port_t server_port, int format, int *time)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(server_port, 0, cdr, _flick_abort1);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort1);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 400, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format, int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(server_port, server_port->boa->in) || !flick_client_get_reply(server_port, server_port->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort11);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *time, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort11:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort6);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, iiop, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t foo_time(mach_port_t server_port, foo_int format, foo_int *time)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(server_port, 0, cdr, _flick_abort14);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort14);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 401, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format, foo_int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(server_port, server_port->boa->in) || !flick_client_get_reply(server_port, server_port->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort24);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *time, foo_int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort24:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort14;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort19);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time, foo_int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort19:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_mig_client_error(cdr, iiop, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

