#include "optional-5-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned32_t _t0_temp_array_len;

  flick_sun_ptr_not_nil(int *, *_data, flick_unsigned32_t , _t0_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_temp_array_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(4);
  if (_t0_temp_array_len)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, **_data, int );
      flick_iiop_encode_end_chunk(4);
      goto _flick_label1;
      {
        goto _flick_abort0;
      }
    }
  else
    {
      goto _flick_label1;
      {
        goto _flick_abort0;
      }
    }
_flick_label1:
  ;
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned32_t _t1_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(4, _flick_abort8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_array_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  if (_t1_temp_array_len)
    {
      {
        int *_t_alloc_ptr;

        _t_alloc_ptr = (int *)(sun_flick_alloc(sizeof(int )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14);
        *_data = _t_alloc_ptr;
      }
      flick_iiop_check_span(4, _flick_abort15);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, **_data, int );
      flick_iiop_decode_end_chunk(4);
      goto _flick_label3;
      {
      _flick_abort15:
        sun_flick_free(*_data);
      _flick_abort14:
        goto _flick_abort8;
      }
    }
  else
    {
      *_data = 0;
      goto _flick_label3;
      {
        goto _flick_abort8;
      }
    }
_flick_label3:
  ;
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_opt_int_swap(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned32_t _t2_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(4, _flick_abort18);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_array_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  if (_t2_temp_array_len)
    {
      {
        int *_t_alloc_ptr;

        _t_alloc_ptr = (int *)(sun_flick_alloc(sizeof(int )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
        *_data = _t_alloc_ptr;
      }
      flick_iiop_check_span(4, _flick_abort25);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, **_data, int );
      flick_iiop_decode_end_chunk(4);
      goto _flick_label5;
      {
      _flick_abort25:
        sun_flick_free(*_data);
      _flick_abort24:
        goto _flick_abort18;
      }
    }
  else
    {
      *_data = 0;
      goto _flick_label5;
      {
        goto _flick_abort18;
      }
    }
_flick_label5:
  ;
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t21_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort30);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t21_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t22_principal_len;
            int *_return;
            opt_int *_local_arg;
            opt_int _t23_storage;
            flick_unsigned32_t _t24_temp_array_len;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort82);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t22_principal_len);
            flick_iiop_check_span(_t22_principal_len * 1, _flick_abort82);
            flick_iiop_decode_new_chunk(_t22_principal_len);
            flick_iiop_decode_end_chunk(_t22_principal_len);
            flick_iiop_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (opt_int *)(&_t23_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort82);
            flick_cdr_swap_decode_unsigned32(0, _t24_temp_array_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            if (_t24_temp_array_len)
              {
                int _t26_storage;

                *_local_arg = (int *)(&_t26_storage);
                flick_iiop_check_span(4, _flick_abort87);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, **_local_arg, int );
                flick_iiop_decode_end_chunk(4);
                goto _flick_label13;
                {
                _flick_abort87:
                  goto _flick_abort82;
                }
              }
            else
              {
                *_local_arg = 0;
                goto _flick_label13;
                {
                  goto _flick_abort82;
                }
              }
          _flick_abort_block87:
            {
              _t24_temp_array_len = *_local_arg != 0;
            }
          _flick_label13:
            ;
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort89);
              flick_iiop_encode_new_glob(8, _flick_abort89);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort95);
                    break;
                    {
                    _flick_abort95:
                      goto _flick_abort89;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort96:
                      goto _flick_abort89;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort89:
              goto _flick_abort_block87;
            _flick_abort82:
              goto _flick_abort81;
            }
          }
          break;
          {
          _flick_abort81:
            goto _flick_abort30;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort30);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t10_principal_len;
            int *_return;
            opt_int *_local_arg;
            opt_int _t11_storage;
            flick_unsigned32_t _t12_temp_array_len;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort49);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t10_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t10_principal_len);
            flick_iiop_check_span(_t10_principal_len * 1, _flick_abort49);
            flick_iiop_decode_new_chunk(_t10_principal_len);
            flick_iiop_decode_end_chunk(_t10_principal_len);
            flick_iiop_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (opt_int *)(&_t11_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort49);
            flick_cdr_decode_unsigned32(0, _t12_temp_array_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            if (_t12_temp_array_len)
              {
                int _t14_storage;

                *_local_arg = (int *)(&_t14_storage);
                flick_iiop_check_span(4, _flick_abort54);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, **_local_arg, int );
                flick_iiop_decode_end_chunk(4);
                goto _flick_label9;
                {
                _flick_abort54:
                  goto _flick_abort49;
                }
              }
            else
              {
                *_local_arg = 0;
                goto _flick_label9;
                {
                  goto _flick_abort49;
                }
              }
          _flick_abort_block50:
            {
              _t12_temp_array_len = *_local_arg != 0;
            }
          _flick_label9:
            ;
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort56);
              flick_iiop_encode_new_glob(8, _flick_abort56);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort62);
                    break;
                    {
                    _flick_abort62:
                      goto _flick_abort56;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
                    flick_iiop_encode_end_glob(8);
                    break;
                    {
                    _flick_abort63:
                      goto _flick_abort56;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort56:
              goto _flick_abort_block50;
            _flick_abort49:
              goto _flick_abort48;
            }
          }
          break;
          {
          _flick_abort48:
            goto _flick_abort30;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort30:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort29);
  _flick_abort29:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

