#include "turtle-client-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Client[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_Client_swap(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t72_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t72_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t73_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t74_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        unsigned int _t75_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t76_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t75_principal_len);
                        flick_iiop_check_span(_t75_principal_len * 1, _flick_abort150);
                        flick_iiop_decode_new_chunk(_t75_principal_len);
                        flick_iiop_decode_end_chunk(_t75_principal_len);
                        flick_iiop_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_speed, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t76_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort150);
                          flick_iiop_encode_new_glob(8, _flick_abort150);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t77_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t78_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t78_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t79_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t79_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t79_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t80_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t81_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort159);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t80_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t80_principal_len);
                              flick_iiop_check_span(_t80_principal_len * 1, _flick_abort159);
                              flick_iiop_decode_new_chunk(_t80_principal_len);
                              flick_iiop_decode_end_chunk(_t80_principal_len);
                              flick_iiop_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort159);
                              flick_cdr_swap_decode_signed32(0, _local_speed, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t81_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort159);
                                flick_iiop_encode_new_glob(8, _flick_abort159);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort165);
                                      break;
                                      {
                                      _flick_abort165:
                                        goto _flick_abort159;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort166:
                                        goto _flick_abort159;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort159:
                                goto _flick_abort158;
                              }
                            }
                            break;
                            {
                            _flick_abort158:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t82_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t82_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t83_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t83_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t83_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t84_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t85_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort168);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t84_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t84_principal_len);
                              flick_iiop_check_span(_t84_principal_len * 1, _flick_abort168);
                              flick_iiop_decode_new_chunk(_t84_principal_len);
                              flick_iiop_decode_end_chunk(_t84_principal_len);
                              flick_iiop_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t85_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetPhoto(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort168);
                                flick_iiop_encode_new_glob(8, _flick_abort168);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort174);
                                      break;
                                      {
                                      _flick_abort174:
                                        goto _flick_abort168;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort175:
                                        goto _flick_abort168;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort168:
                                goto _flick_abort167;
                              }
                            }
                            break;
                            {
                            _flick_abort167:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t86_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t87_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t87_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t88_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t88_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              unsigned int _t89_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t90_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort177);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t89_principal_len);
                              flick_iiop_check_span(_t89_principal_len * 1, _flick_abort177);
                              flick_iiop_decode_new_chunk(_t89_principal_len);
                              flick_iiop_decode_end_chunk(_t89_principal_len);
                              flick_iiop_decode_end_glob(_t89_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t90_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetButton(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort177);
                                flick_iiop_encode_new_glob(8, _flick_abort177);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort183);
                                      break;
                                      {
                                      _flick_abort183:
                                        goto _flick_abort177;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort184:
                                        goto _flick_abort177;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort177:
                                goto _flick_abort176;
                              }
                            }
                            break;
                            {
                            _flick_abort176:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t91_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t92_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t92_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t92_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t93_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t94_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t95_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t93_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t93_principal_len);
                        flick_iiop_check_span(_t93_principal_len * 1, _flick_abort186);
                        flick_iiop_decode_new_chunk(_t93_principal_len);
                        flick_iiop_decode_end_chunk(_t93_principal_len);
                        flick_iiop_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t94_temp_string_len);
                        flick_iiop_check_span(1 * _t94_temp_string_len * 1, _flick_abort186);
                        flick_iiop_decode_new_chunk(1 * _t94_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t94_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t94_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t95_storage);
                        _par = flick_interface_parents_Client;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort186);
                          flick_iiop_encode_new_glob(5, _flick_abort186);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t25_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t26_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        unsigned int _t27_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t28_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t27_principal_len);
                        flick_iiop_check_span(_t27_principal_len * 1, _flick_abort55);
                        flick_iiop_decode_new_chunk(_t27_principal_len);
                        flick_iiop_decode_end_chunk(_t27_principal_len);
                        flick_iiop_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_speed, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t28_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort55);
                          flick_iiop_encode_new_glob(8, _flick_abort55);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t29_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t30_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t31_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t31_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t31_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t32_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t33_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort64);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t32_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t32_principal_len);
                              flick_iiop_check_span(_t32_principal_len * 1, _flick_abort64);
                              flick_iiop_decode_new_chunk(_t32_principal_len);
                              flick_iiop_decode_end_chunk(_t32_principal_len);
                              flick_iiop_decode_end_glob(_t32_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort64);
                              flick_cdr_decode_signed32(0, _local_speed, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t33_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort64);
                                flick_iiop_encode_new_glob(8, _flick_abort64);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort70);
                                      break;
                                      {
                                      _flick_abort70:
                                        goto _flick_abort64;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort71:
                                        goto _flick_abort64;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort64:
                                goto _flick_abort63;
                              }
                            }
                            break;
                            {
                            _flick_abort63:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t35_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t35_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t35_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t36_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t37_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort73);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t36_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t36_principal_len);
                              flick_iiop_check_span(_t36_principal_len * 1, _flick_abort73);
                              flick_iiop_decode_new_chunk(_t36_principal_len);
                              flick_iiop_decode_end_chunk(_t36_principal_len);
                              flick_iiop_decode_end_glob(_t36_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t37_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetPhoto(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort73);
                                flick_iiop_encode_new_glob(8, _flick_abort73);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort79);
                                      break;
                                      {
                                      _flick_abort79:
                                        goto _flick_abort73;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort80:
                                        goto _flick_abort73;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort73:
                                goto _flick_abort72;
                              }
                            }
                            break;
                            {
                            _flick_abort72:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t38_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t39_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t40_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t40_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              unsigned int _t41_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t42_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort82);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t41_principal_len);
                              flick_iiop_check_span(_t41_principal_len * 1, _flick_abort82);
                              flick_iiop_decode_new_chunk(_t41_principal_len);
                              flick_iiop_decode_end_chunk(_t41_principal_len);
                              flick_iiop_decode_end_glob(_t41_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t42_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetButton(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort82);
                                flick_iiop_encode_new_glob(8, _flick_abort82);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort88);
                                      break;
                                      {
                                      _flick_abort88:
                                        goto _flick_abort82;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort89:
                                        goto _flick_abort82;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort82:
                                goto _flick_abort81;
                              }
                            }
                            break;
                            {
                            _flick_abort81:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t43_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t44_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t44_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t44_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t45_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t45_principal_len);
                        flick_iiop_check_span(_t45_principal_len * 1, _flick_abort91);
                        flick_iiop_decode_new_chunk(_t45_principal_len);
                        flick_iiop_decode_end_chunk(_t45_principal_len);
                        flick_iiop_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t46_temp_string_len);
                        flick_iiop_check_span(1 * _t46_temp_string_len * 1, _flick_abort91);
                        flick_iiop_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_Client;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort91);
                          flick_iiop_encode_new_glob(5, _flick_abort91);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

