#include "arrayez_-server.h"

POA_arrays::POA_arrays()
{}

POA_arrays::POA_arrays(const POA_arrays &rhs)
  : TAO_ServantBase(rhs)
{}

POA_arrays::~POA_arrays()
{}

arrays *POA_arrays::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_arrays(this, stub);
}

CORBA::Boolean POA_arrays::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:arrays:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_arrays::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:arrays:1.0") == 0)
    return ACE_static_cast(POA_arrays_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_arrays::_interface_repository_id() const
{
  return "IDL:arrays:1.0";
}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_arrays_tie<T>::~POA_arrays_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_arrays_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_arrays_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_arrays_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_arrays_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_arrays_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_arrays_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(const POA_arrays_tie &c)
{}

template <class T>
  void POA_arrays_tie<T>::operator=(const POA_arrays_tie &c)
{}

template <class T>
  CORBA::Long POA_arrays_tie<T>::test8(/* POA_arrays *this, */ const arrays::arr8 a, CORBA::Environment &_ev)
{
  return this->ptr_->test8 (a, _ev);
}

template <class T>
  CORBA::Long POA_arrays_tie<T>::test256(/* POA_arrays *this, */ const arrays::arr256 a, CORBA::Environment &_ev)
{
  return this->ptr_->test256 (a, _ev);
}

template <class T>
  CORBA::Long POA_arrays_tie<T>::test8k(/* POA_arrays *this, */ const arrays::arr8k a, CORBA::Environment &_ev)
{
  return this->ptr_->test8k (a, _ev);
}

_tao_collocated_arrays::_tao_collocated_arrays(POA_arrays_ptr servant, TAO_Stub *stub)
  : arrays(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_arrays_ptr _tao_collocated_arrays::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_arrays::test8(const arrays::arr8 a, CORBA::Environment &_ev)
{
  return this->servant_->test8 (a, _ev);
}

CORBA::Long _tao_collocated_arrays::test256(const arrays::arr256 a, CORBA::Environment &_ev)
{
  return this->servant_->test256 (a, _ev);
}

CORBA::Long _tao_collocated_arrays::test8k(const arrays::arr8k a, CORBA::Environment &_ev)
{
  return this->servant_->test8k (a, _ev);
}

CORBA::Boolean _tao_collocated_arrays::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, arrays , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_arrays::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(10, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t58_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t58_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t59_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t59_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t59_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t60_principal_len;
                        CORBA::Long _return;
                        CORBA::Long *_local_a;
                        flick_unsigned32_t _t61_array_iter;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_check_span(8 * 4 + 6, _flick_abort150);
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t60_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t60_principal_len);
                        flick_iiopxx_check_span(_t60_principal_len * 1, _flick_abort150);
                        flick_iiopxx_decode_new_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_chunk(_t60_principal_len);
                        flick_iiopxx_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(56);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [8]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort150);
                          _local_a = _t_alloc_ptr;
                        }
                        for (_t61_array_iter = 0; _t61_array_iter < 8; _t61_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiopxx_check_span(4, _flick_abort154);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t61_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort154:
                              goto _flick_abort150;
                            }
                          }
                        flick_iiopxx_decode_end_glob(56);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->test8(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t62_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t62_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort150);
                          flick_iiopxx_encode_new_glob(8, _flick_abort150);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t62_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t62_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort161);
                                break;
                                {
                                _flick_abort161:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort162);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t63_switch_tag;

                flick_iiopxx_check_span(8, _flick_abort5);
                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t63_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t63_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t64_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t65_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort164);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t64_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t64_principal_len);
                        flick_iiopxx_check_span(_t64_principal_len * 1, _flick_abort164);
                        flick_iiopxx_decode_new_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_chunk(_t64_principal_len);
                        flick_iiopxx_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort164);
                        flick_cdr_swap_decode_unsigned32(0, _t65_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t65_temp_string_len);
                        flick_iiopxx_check_span(1 * _t65_temp_string_len * 1, _flick_abort164);
                        flick_iiopxx_decode_new_chunk(1 * _t65_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t65_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort164);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t65_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t65_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t65_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t66_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t66_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort164);
                          flick_iiopxx_encode_new_glob(5, _flick_abort164);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t66_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t66_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort172);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort164;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort173:
                                  goto _flick_abort164;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort164:
                          goto _flick_abort163;
                        }
                      }
                      break;
                      {
                      _flick_abort163:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t67_switch_tag;

          flick_iiopxx_check_span(8, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t69_principal_len;
                        CORBA::Long _return;
                        CORBA::Long *_local_a;
                        flick_unsigned32_t _t70_array_iter;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort175);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_check_span(256 * 4 + 4, _flick_abort175);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t69_principal_len);
                        flick_iiopxx_check_span(_t69_principal_len * 1, _flick_abort175);
                        flick_iiopxx_decode_new_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(1792);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [256]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort175);
                          _local_a = _t_alloc_ptr;
                        }
                        for (_t70_array_iter = 0; _t70_array_iter < 256; _t70_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiopxx_check_span(4, _flick_abort179);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t70_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort179:
                              goto _flick_abort175;
                            }
                          }
                        flick_iiopxx_decode_end_glob(1792);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->test256(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t71_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t71_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort175);
                          flick_iiopxx_encode_new_glob(8, _flick_abort175);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t71_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t71_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort186);
                                break;
                                {
                                _flick_abort186:
                                  goto _flick_abort175;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort187:
                                  goto _flick_abort175;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort175:
                          goto _flick_abort174;
                        }
                      }
                      break;
                      {
                      _flick_abort174:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t72_switch_tag;

          flick_iiopxx_check_span(7, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t73_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t73_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t73_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t74_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t74_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t74_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t75_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              flick_unsigned32_t _t76_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort189);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_check_span(8192 * 4 + 5, _flick_abort189);
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t75_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_decode_new_glob(_t75_principal_len);
                              flick_iiopxx_check_span(_t75_principal_len * 1, _flick_abort189);
                              flick_iiopxx_decode_new_chunk(_t75_principal_len);
                              flick_iiopxx_decode_end_chunk(_t75_principal_len);
                              flick_iiopxx_decode_end_glob(_t75_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(57344);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [8192]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort189);
                                _local_a = _t_alloc_ptr;
                              }
                              for (_t76_array_iter = 0; _t76_array_iter < 8192; _t76_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort193);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t76_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort193:
                                    goto _flick_abort189;
                                  }
                                }
                              flick_iiopxx_decode_end_glob(57344);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test8k(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t77_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t77_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort189);
                                flick_iiopxx_encode_new_glob(8, _flick_abort189);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t77_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t77_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort200);
                                      break;
                                      {
                                      _flick_abort200:
                                        goto _flick_abort189;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort201);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort201:
                                        goto _flick_abort189;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort189:
                                goto _flick_abort188;
                              }
                            }
                            break;
                            {
                            _flick_abort188:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t18_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t20_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t21_principal_len;
                        CORBA::Long _return;
                        CORBA::Long *_local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort52);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t21_principal_len);
                        flick_iiopxx_check_span(_t21_principal_len * 1, _flick_abort52);
                        flick_iiopxx_decode_new_chunk(_t21_principal_len);
                        flick_iiopxx_decode_end_chunk(_t21_principal_len);
                        flick_iiopxx_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(35);
                        flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                        flick_iiopxx_check_span(32, _flick_abort52);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [8]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort52);
                          _local_a = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a, 32);
                        flick_iiopxx_decode_end_chunk(32);
                        flick_iiopxx_decode_end_glob(35);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->test8(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t22_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t22_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort52);
                          flick_iiopxx_encode_new_glob(8, _flick_abort52);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t22_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t22_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort60);
                                break;
                                {
                                _flick_abort60:
                                  goto _flick_abort52;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort52;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort52:
                          goto _flick_abort51;
                        }
                      }
                      break;
                      {
                      _flick_abort51:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t23_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t23_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t24_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t25_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort63);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t24_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t24_principal_len);
                        flick_iiopxx_check_span(_t24_principal_len * 1, _flick_abort63);
                        flick_iiopxx_decode_new_chunk(_t24_principal_len);
                        flick_iiopxx_decode_end_chunk(_t24_principal_len);
                        flick_iiopxx_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort63);
                        flick_cdr_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t25_temp_string_len);
                        flick_iiopxx_check_span(1 * _t25_temp_string_len * 1, _flick_abort63);
                        flick_iiopxx_decode_new_chunk(1 * _t25_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t25_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort63);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t25_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t25_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t25_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t26_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort63);
                          flick_iiopxx_encode_new_glob(5, _flick_abort63);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t26_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t26_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort71);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort63;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort72);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort72:
                                  goto _flick_abort63;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort63:
                          goto _flick_abort62;
                        }
                      }
                      break;
                      {
                      _flick_abort62:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t27_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t28_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t28_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t29_principal_len;
                        CORBA::Long _return;
                        CORBA::Long *_local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort74);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t29_principal_len);
                        flick_iiopxx_check_span(_t29_principal_len * 1, _flick_abort74);
                        flick_iiopxx_decode_new_chunk(_t29_principal_len);
                        flick_iiopxx_decode_end_chunk(_t29_principal_len);
                        flick_iiopxx_decode_end_glob(_t29_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(1027);
                        flick_iiopxx_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_iiopxx_check_span(1024, _flick_abort74);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [256]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort74);
                          _local_a = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a, 1024);
                        flick_iiopxx_decode_end_chunk(1024);
                        flick_iiopxx_decode_end_glob(1027);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->test256(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t30_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t30_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort74);
                          flick_iiopxx_encode_new_glob(8, _flick_abort74);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t30_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t30_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort82);
                                break;
                                {
                                _flick_abort82:
                                  goto _flick_abort74;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort83);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort74;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort74:
                          goto _flick_abort73;
                        }
                      }
                      break;
                      {
                      _flick_abort73:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t31_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t32_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t32_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t33_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t33_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t33_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t34_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort85);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t34_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_decode_new_glob(_t34_principal_len);
                              flick_iiopxx_check_span(_t34_principal_len * 1, _flick_abort85);
                              flick_iiopxx_decode_new_chunk(_t34_principal_len);
                              flick_iiopxx_decode_end_chunk(_t34_principal_len);
                              flick_iiopxx_decode_end_glob(_t34_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(3);
                              flick_iiopxx_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_iiopxx_check_span(32768, _flick_abort85);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [8192]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort85);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a, 32768);
                              flick_iiopxx_decode_end_chunk(32768);
                              flick_iiopxx_decode_end_glob(3);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test8k(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t35_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort85);
                                flick_iiopxx_encode_new_glob(8, _flick_abort85);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t35_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t35_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort93);
                                      break;
                                      {
                                      _flick_abort93:
                                        goto _flick_abort85;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort94:
                                        goto _flick_abort85;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort85:
                                goto _flick_abort84;
                              }
                            }
                            break;
                            {
                            _flick_abort84:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

