#include "atomic_-client.h"
#include "atomic_-server.h"

static const CORBA::Long _oc_Atomic_test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x41746f6d), ACE_NTOHL(0x69632f74), ACE_NTOHL(0x6573743a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Atomic/test:1.0 */,
    5, ACE_NTOHL(0x74657374), ACE_NTOHL(0x00000000) /* name = test */
};

static CORBA::TypeCode _tc_TAO_tc_Atomic_test (CORBA::tk_objref, sizeof(_oc_Atomic_test), (char *) &_oc_Atomic_test, 0, sizeof(Atomic::test ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (Atomic)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_test, &_tc_TAO_tc_Atomic_test)
TAO_NAMESPACE_END

#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<Atomic::test >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<Atomic::test >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

Atomic::test_ptr Atomic::test::_duplicate(Atomic::test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

Atomic::test_ptr Atomic::test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return Atomic::test::_nil();
  if( !obj->_is_a("IDL:Atomic/test:1.0", _env) )
    return Atomic::test::_nil();
  return Atomic::test::_unchecked_narrow(obj, _env);
}

Atomic::test_ptr Atomic::test::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return Atomic::test::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new Atomic::test (stub);
  return new POA_Atomic::_tao_collocated_test(
      ACE_reinterpret_cast(POA_Atomic::test_ptr , servant),
      stub
    );
}

Atomic::test_ptr Atomic::test::_nil()
{
  return (Atomic::test_ptr )NULL;
}

CORBA::Boolean Atomic::test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Atomic/test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *Atomic::test::_interface_repository_id() const
{
  return "IDL:Atomic/test:1.0";
}

Atomic::test::test()
{}

Atomic::test::~test()
{}

void operator<<=(CORBA::Any &a, Atomic::test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = Atomic::test::_duplicate(o);
    a.replace (Atomic::_tc_test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Atomic::test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = Atomic::test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (Atomic::_tc_test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(Atomic::_tc_test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = Atomic::test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(Atomic::_tc_test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Atomic::test::test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

Atomic::test_var::test_var()
  : ptr_(Atomic::test::_nil())
{}

Atomic::test_var::test_var(Atomic::test_ptr p)
  : ptr_(p)
{}

Atomic::test_var::test_var(const Atomic::test_var &a)
  : ptr_(Atomic::test::_duplicate(a.ptr()))
{}

Atomic::test_var::~test_var()
{
  CORBA::release(this->ptr_);
}

Atomic::test_var &Atomic::test_var::operator=(Atomic::test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

Atomic::test_var &Atomic::test_var::operator=(const Atomic::test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = Atomic::test::_duplicate(p.ptr());
  }
  return *this;
}

Atomic::test_ptr Atomic::test_var::operator->() const
{
  return this->ptr_;
}

Atomic::test_var::operator const Atomic::test_ptr &() const
{
  return this->ptr_;
}

Atomic::test_var::operator Atomic::test_ptr &()
{
  return this->ptr_;
}

Atomic::test_ptr Atomic::test_var::in() const
{
  return this->ptr_;
}

Atomic::test_ptr &Atomic::test_var::inout()
{
  return this->ptr_;
}

Atomic::test_ptr &Atomic::test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = Atomic::test::_nil();
  return this->ptr_;
}

Atomic::test_ptr Atomic::test_var::_retn()
{
  Atomic::test_ptr  val = this->ptr_;
  this->ptr_ = Atomic::test::_nil();
  return val;
}

Atomic::test_ptr Atomic::test_var::ptr() const
{
  return this->ptr_;
}

Atomic::test_out::test_out(Atomic::test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = Atomic::test::_nil();
}

Atomic::test_out::test_out(Atomic::test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = Atomic::test::_nil();
}

Atomic::test_out::test_out(const Atomic::test_out &r)
  : ptr_(ACE_const_cast(Atomic::test_out &,r).ptr_)
{}

Atomic::test_out &Atomic::test_out::operator=(const Atomic::test_out &r)
{
  this->ptr_ = ACE_const_cast(Atomic::test_out &,r).ptr_;
  return *this;
}

Atomic::test_out &Atomic::test_out::operator=(const Atomic::test_var &r)
{
  this->ptr_ = Atomic::test::_duplicate(r.ptr());
  return *this;
}

Atomic::test_out &Atomic::test_out::operator=(Atomic::test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

Atomic::test_out::operator Atomic::test_ptr &()
{
  return this->ptr_;
}

Atomic::test_ptr &Atomic::test_out::ptr()
{
  return this->ptr_;
}

Atomic::test_ptr Atomic::test_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Short Atomic::test::Short(/* Atomic::test *this, */ CORBA::Short a, CORBA::Short &b, CORBA::Short &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort4);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort4);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 'h', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'r', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(16, a, CORBA::Short );
      flick_cdr_encode_signed16(18, b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort17);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, b, CORBA::Short );
              flick_cdr_swap_decode_signed16(4, c, CORBA::Short );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort17:
                goto _flick_abort4;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort18);
              break;
              {
              _flick_abort18:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort19:
                goto _flick_abort4;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort10);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_signed16(2, b, CORBA::Short );
              flick_cdr_decode_signed16(4, c, CORBA::Short );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort10:
                goto _flick_abort4;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort11);
              break;
              {
              _flick_abort11:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort12);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort12:
                goto _flick_abort4;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort4:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort3);
    _flick_abort3:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long Atomic::test::Long(/* Atomic::test *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Long &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort21);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort21);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'L', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'g', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, a, CORBA::Long );
      flick_cdr_encode_signed32(20, b, CORBA::Long );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort21);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort34);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, b, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort34:
                goto _flick_abort21;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort35);
              break;
              {
              _flick_abort35:
                goto _flick_abort21;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort36:
                goto _flick_abort21;
              }
            }
          }
      }
    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort21);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort27);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed32(4, b, CORBA::Long );
              flick_cdr_decode_signed32(8, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort27:
                goto _flick_abort21;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort28);
              break;
              {
              _flick_abort28:
                goto _flick_abort21;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort29:
                goto _flick_abort21;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort21:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort20);
    _flick_abort20:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::UShort Atomic::test::UShort(/* Atomic::test *this, */ CORBA::UShort a, CORBA::UShort &b, CORBA::UShort &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort38);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort38);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'U', flick_char8_t );
      flick_cdr_encode_char8(5, 'S', flick_char8_t );
      flick_cdr_encode_char8(6, 'h', flick_char8_t );
      flick_cdr_encode_char8(7, 'o', flick_char8_t );
      flick_cdr_encode_char8(8, 'r', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned16(16, a, CORBA::UShort );
      flick_cdr_encode_unsigned16(18, b, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort38);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort51);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, b, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(4, c, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort51:
                goto _flick_abort38;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort52);
              break;
              {
              _flick_abort52:
                goto _flick_abort38;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort53:
                goto _flick_abort38;
              }
            }
          }
      }
    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort38);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort44);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, b, CORBA::UShort );
              flick_cdr_decode_unsigned16(4, c, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort44:
                goto _flick_abort38;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
              break;
              {
              _flick_abort45:
                goto _flick_abort38;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort46:
                goto _flick_abort38;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort38:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort37);
    _flick_abort37:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::ULong Atomic::test::ULong(/* Atomic::test *this, */ CORBA::ULong a, CORBA::ULong &b, CORBA::ULong &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort55);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort55);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'U', flick_char8_t );
      flick_cdr_encode_char8(5, 'L', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'n', flick_char8_t );
      flick_cdr_encode_char8(8, 'g', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, a, CORBA::ULong );
      flick_cdr_encode_unsigned32(20, b, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort55);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort68);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, b, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(8, c, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort68:
                goto _flick_abort55;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort69);
              break;
              {
              _flick_abort69:
                goto _flick_abort55;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort70:
                goto _flick_abort55;
              }
            }
          }
      }
    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort55);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort61);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, b, CORBA::ULong );
              flick_cdr_decode_unsigned32(8, c, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort61:
                goto _flick_abort55;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort62);
              break;
              {
              _flick_abort62:
                goto _flick_abort55;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort63:
                goto _flick_abort55;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort55:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort54);
    _flick_abort54:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Float Atomic::test::Float(/* Atomic::test *this, */ CORBA::Float a, CORBA::Float &b, CORBA::Float &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort72);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort72);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'F', flick_char8_t );
      flick_cdr_encode_char8(5, 'l', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'a', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(16, a, CORBA::Float );
      flick_cdr_encode_float32(20, b, CORBA::Float );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort72);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort85);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_cdr_swap_decode_float32(4, b, CORBA::Float );
              flick_cdr_swap_decode_float32(8, c, CORBA::Float );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort85:
                goto _flick_abort72;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort86);
              break;
              {
              _flick_abort86:
                goto _flick_abort72;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort87:
                goto _flick_abort72;
              }
            }
          }
      }
    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort72);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort78);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_cdr_decode_float32(4, b, CORBA::Float );
              flick_cdr_decode_float32(8, c, CORBA::Float );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort78:
                goto _flick_abort72;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort79);
              break;
              {
              _flick_abort79:
                goto _flick_abort72;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort80:
                goto _flick_abort72;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort72:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort71);
    _flick_abort71:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double Atomic::test::Double(/* Atomic::test *this, */ CORBA::Double a, CORBA::Double &b, CORBA::Double &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort89);
    }
    {
      flick_iiopxx_encode_new_glob(36, _flick_abort89);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'D', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'u', flick_char8_t );
      flick_cdr_encode_char8(7, 'b', flick_char8_t );
      flick_cdr_encode_char8(8, 'l', flick_char8_t );
      flick_cdr_encode_char8(9, 'e', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
      flick_cdr_encode_float64(0, a, CORBA::Double );
      flick_cdr_encode_float64(8, b, CORBA::Double );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(36);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort89);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(24, 3, 2, 0);
              flick_iiopxx_check_span(24, _flick_abort102);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_float64(8, b, CORBA::Double );
              flick_cdr_swap_decode_float64(16, c, CORBA::Double );
              flick_iiopxx_decode_end_chunk(24);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort102:
                goto _flick_abort89;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort103);
              break;
              {
              _flick_abort103:
                goto _flick_abort89;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort104:
                goto _flick_abort89;
              }
            }
          }
      }
    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort89);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(24, 3, 2, 0);
              flick_iiopxx_check_span(24, _flick_abort95);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_float64(8, b, CORBA::Double );
              flick_cdr_decode_float64(16, c, CORBA::Double );
              flick_iiopxx_decode_end_chunk(24);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort95:
                goto _flick_abort89;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort96);
              break;
              {
              _flick_abort96:
                goto _flick_abort89;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort97:
                goto _flick_abort89;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort89:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort88);
    _flick_abort88:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Boolean Atomic::test::Boolean(/* Atomic::test *this, */ CORBA::Boolean a, CORBA::Boolean &b, CORBA::Boolean &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Boolean _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort106);
    }
    {
      flick_iiopxx_encode_new_glob(18, _flick_abort106);
      flick_iiopxx_encode_new_chunk(18);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'B', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'l', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 'a', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(16, a, CORBA::Boolean );
      flick_cdr_encode_unsigned8(17, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(18);
      flick_iiopxx_encode_end_glob(18);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort106);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort119);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, c, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort119:
                goto _flick_abort106;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort120);
              break;
              {
              _flick_abort120:
                goto _flick_abort106;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort121);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort121:
                goto _flick_abort106;
              }
            }
          }
      }
    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort106);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort112);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, c, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort112:
                goto _flick_abort106;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort113);
              break;
              {
              _flick_abort113:
                goto _flick_abort106;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort114);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort114:
                goto _flick_abort106;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort106:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort105);
    _flick_abort105:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Char Atomic::test::Char(/* Atomic::test *this, */ CORBA::Char a, CORBA::Char &b, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort123);
    }
    {
      flick_iiopxx_encode_new_glob(18, _flick_abort123);
      flick_iiopxx_encode_new_chunk(18);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'C', flick_char8_t );
      flick_cdr_encode_char8(5, 'h', flick_char8_t );
      flick_cdr_encode_char8(6, 'a', flick_char8_t );
      flick_cdr_encode_char8(7, 'r', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(16, a, CORBA::Char );
      flick_cdr_encode_char8(17, b, CORBA::Char );
      flick_iiopxx_encode_end_chunk(18);
      flick_iiopxx_encode_end_glob(18);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort123);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort136);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_char8(1, b, CORBA::Char );
              flick_cdr_swap_decode_char8(2, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort136:
                goto _flick_abort123;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort137);
              break;
              {
              _flick_abort137:
                goto _flick_abort123;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort138:
                goto _flick_abort123;
              }
            }
          }
      }
    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort123);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort129);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_char8(1, b, CORBA::Char );
              flick_cdr_decode_char8(2, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort129:
                goto _flick_abort123;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort130);
              break;
              {
              _flick_abort130:
                goto _flick_abort123;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort131:
                goto _flick_abort123;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort123:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort122);
    _flick_abort122:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Octet Atomic::test::Octet(/* Atomic::test *this, */ CORBA::Octet a, CORBA::Octet &b, CORBA::Octet &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Octet _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort140);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort140);
    }
    {
      flick_iiopxx_encode_new_glob(18, _flick_abort140);
      flick_iiopxx_encode_new_chunk(18);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'O', flick_char8_t );
      flick_cdr_encode_char8(5, 'c', flick_char8_t );
      flick_cdr_encode_char8(6, 't', flick_char8_t );
      flick_cdr_encode_char8(7, 'e', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(16, a, CORBA::Octet );
      flick_cdr_encode_unsigned8(17, b, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(18);
      flick_iiopxx_encode_end_glob(18);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort140);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort140);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort140);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort153);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(2, c, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort153:
                goto _flick_abort140;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort154);
              break;
              {
              _flick_abort154:
                goto _flick_abort140;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort155:
                goto _flick_abort140;
              }
            }
          }
      }
    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort140);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort146);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, b, CORBA::Octet );
              flick_cdr_decode_unsigned8(2, c, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort146:
                goto _flick_abort140;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort147);
              break;
              {
              _flick_abort147:
                goto _flick_abort140;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort148);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort148:
                goto _flick_abort140;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort140:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort139);
    _flick_abort139:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

