#ifndef _nest_refs_client_h_
#define _nest_refs_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class OctetSequence {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Octet *_buffer;
  CORBA::Boolean _release;
  OctetSequence();
  OctetSequence(CORBA::ULong max);
  OctetSequence(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release = 0);
  OctetSequence(const OctetSequence &o);
  virtual ~OctetSequence();
  OctetSequence &operator=(const OctetSequence &rhs);
  CORBA::Octet &operator[](CORBA::ULong i);
  const CORBA::Octet &operator[](CORBA::ULong i) const;
  static CORBA::Octet *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Octet *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Octet *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Octet *get_buffer() const;
} ;


typedef OctetSequence *OctetSequence_ptr;

class OctetSequence_var {

public:
  OctetSequence_var();
  OctetSequence_var(OctetSequence *p);
  OctetSequence_var(const OctetSequence_var &a);
  ~OctetSequence_var();
  OctetSequence_var &operator=(OctetSequence *p);
  OctetSequence_var &operator=(const OctetSequence_var &p);
  CORBA::Octet &operator[](CORBA::ULong index);
  const CORBA::Octet &operator[](CORBA::ULong index) const;
  OctetSequence *operator->();
  const OctetSequence *operator->() const;
  operator const OctetSequence &() const;
  operator OctetSequence &();
  operator OctetSequence &() const;
  const OctetSequence &in() const;
  OctetSequence &inout();
  OctetSequence *&out();
  OctetSequence *_retn();
  OctetSequence *ptr() const;

private:
  OctetSequence_ptr ptr_;
  OctetSequence_ptr ptr_;
} ;


class OctetSequence_out {

public:
  OctetSequence_out(OctetSequence *&r);
  OctetSequence_out(OctetSequence_var &r);
  OctetSequence_out(const OctetSequence_out &r);
  OctetSequence_out &operator=(const OctetSequence_out &r);

private:
  OctetSequence_out &operator=(const OctetSequence_var &r);

public:
  OctetSequence_out &operator=(OctetSequence *r);
  operator OctetSequence *&();
  OctetSequence *&ptr();
  CORBA::Octet &operator[](CORBA::ULong index);
  const CORBA::Octet &operator[](CORBA::ULong index) const;
  OctetSequence *operator->();

private:
  OctetSequence_ptr &ptr_;
  OctetSequence_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const OctetSequence &o);

void operator<<=(CORBA::Any &a, OctetSequence *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, OctetSequence *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const OctetSequence *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, OctetSequence *_data);

typedef OctetSequence ReferenceData;

typedef OctetSequence_ptr ReferenceData_ptr;

typedef OctetSequence_var ReferenceData_var;

typedef OctetSequence_out ReferenceData_out;

int flick_marshal_stub(flick_marshal_stream_t _stream, const ReferenceData *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ReferenceData *_data);

class test ;


typedef test *test_ptr;

class test_var {

public:
  test_var();
  test_var(test_ptr p);
  test_var(const test_var &a);
  ~test_var();
  test_var &operator=(test_ptr p);
  test_var &operator=(const test_var &p);
  test_ptr operator->() const;
  operator const test_ptr &() const;
  operator test_ptr &();
  test_ptr in() const;
  test_ptr &inout();
  test_ptr &out();
  test_ptr _retn();
  test_ptr ptr() const;

private:
  test_ptr ptr_;
} ;


class test_out {

public:
  test_out(test_ptr &r);
  test_out(test_var &r);
  test_out(const test_out &r);
  test_out &operator=(const test_out &r);
  test_out &operator=(const test_var &r);
  test_out &operator=(test_ptr r);
  operator test_ptr &();
  test_ptr &ptr();
  test_ptr operator->();

private:
  test_ptr &ptr_;
} ;


class test : public virtual ACE_CORBA_1 (Object) {

public:
  static test_ptr _duplicate(test_ptr obj);
  static test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  test();
  virtual ~test();

private:
  test(const test &v);
  void operator=(const test &v);

public:
  virtual ReferenceData *id(/* test *this, */ CORBA::Environment &_ev);
  virtual void id(/* test *this, */ const ReferenceData &id, CORBA::Environment &_ev);
  virtual OctetSequence *info(/* test *this, */ CORBA::Environment &_ev);
  virtual void info(/* test *this, */ const OctetSequence &info, CORBA::Environment &_ev);

protected:
  test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

void operator<<=(CORBA::Any &a, test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o);

extern CORBA::TypeCode_ptr _tc_OctetSequence;

extern CORBA::TypeCode_ptr _tc_ReferenceData;

extern CORBA::TypeCode_ptr _tc_test;

#endif /* _nest_refs_client_h_ */
