#include "recursive-server.h"

POA_obj::POA_obj()
{}

POA_obj::POA_obj(const POA_obj &rhs)
  : TAO_ServantBase(rhs)
{}

POA_obj::~POA_obj()
{}

obj *POA_obj::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_obj(this, stub);
}

CORBA::Boolean POA_obj::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:obj:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_obj::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:obj:1.0") == 0)
    return ACE_static_cast(POA_obj_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_obj::_interface_repository_id() const
{
  return "IDL:obj:1.0";
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::~POA_obj_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_obj_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_obj_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_obj_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_obj_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(const POA_obj_tie &c)
{}

template <class T>
  void POA_obj_tie<T>::operator=(const POA_obj_tie &c)
{}

template <class T>
  obj::my_obj_ptr POA_obj_tie<T>::get_server(/* POA_obj *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_server (_ev);
}

template <class T>
  void POA_obj_tie<T>::set_server(/* POA_obj *this, */ obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  this->ptr_->set_server (srvr, _ev);
}

template <class T>
  enum c POA_obj_tie<T>::convert(/* POA_obj *this, */ const struct a &a1, const struct b &b1, CORBA::Environment &_ev)
{
  return this->ptr_->convert (a1, b1, _ev);
}

_tao_collocated_obj::_tao_collocated_obj(POA_obj_ptr servant, TAO_Stub *stub)
  : obj(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_obj_ptr _tao_collocated_obj::_get_servant() const
{
  return this->servant_;
}

obj::my_obj_ptr _tao_collocated_obj::get_server(CORBA::Environment &_ev)
{
  return this->servant_->get_server (_ev);
}

void _tao_collocated_obj::set_server(obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  this->servant_->set_server (srvr, _ev);
}

enum c _tao_collocated_obj::convert(const struct a &a1, const struct b &b1, CORBA::Environment &_ev)
{
  return this->servant_->convert (a1, b1, _ev);
}

CORBA::Boolean _tao_collocated_obj::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_obj::POA_obj()
{}

POA_obj::POA_obj(const POA_obj &rhs)
  : TAO_ServantBase(rhs)
{}

POA_obj::~POA_obj()
{}

obj *POA_obj::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_obj(this, stub);
}

CORBA::Boolean POA_obj::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:obj:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_obj::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:obj:1.0") == 0)
    return ACE_static_cast(POA_obj_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_obj::_interface_repository_id() const
{
  return "IDL:obj:1.0";
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::~POA_obj_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_obj_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_obj_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_obj_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_obj_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(const POA_obj_tie &c)
{}

template <class T>
  void POA_obj_tie<T>::operator=(const POA_obj_tie &c)
{}

template <class T>
  obj::my_obj_ptr POA_obj_tie<T>::get_server(/* POA_obj *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_server (_ev);
}

template <class T>
  void POA_obj_tie<T>::set_server(/* POA_obj *this, */ obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  this->ptr_->set_server (srvr, _ev);
}

template <class T>
  enum c POA_obj_tie<T>::convert(/* POA_obj *this, */ const struct a &a1, const struct b &b1, CORBA::Environment &_ev)
{
  return this->ptr_->convert (a1, b1, _ev);
}

_tao_collocated_obj::_tao_collocated_obj(POA_obj_ptr servant, TAO_Stub *stub)
  : obj(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_obj_ptr _tao_collocated_obj::_get_servant() const
{
  return this->servant_;
}

obj::my_obj_ptr _tao_collocated_obj::get_server(CORBA::Environment &_ev)
{
  return this->servant_->get_server (_ev);
}

void _tao_collocated_obj::set_server(obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  this->servant_->set_server (srvr, _ev);
}

enum c _tao_collocated_obj::convert(const struct a &a1, const struct b &b1, CORBA::Environment &_ev)
{
  return this->servant_->convert (a1, b1, _ev);
}

CORBA::Boolean _tao_collocated_obj::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, obj , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_obj::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t111_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t111_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t111_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t112_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t112_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t113_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t113_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t114_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t114_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t114_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t115_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t115_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t115_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_obj *_local_this;
                                    unsigned int _t116_principal_len;
                                    obj::my_obj_ptr _return;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort336);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t116_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t116_principal_len);
                                    flick_iiopxx_check_span(_t116_principal_len * 1, _flick_abort336);
                                    flick_iiopxx_decode_new_chunk(_t116_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t116_principal_len);
                                    flick_iiopxx_decode_end_glob(_t116_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->get_server(_ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t117_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t117_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort336);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort336);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t117_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t117_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_cdrxx_encode_IOR(iiopxx, _return, 0, obj , _flick_abort341);
                                            break;
                                            {
                                            _flick_abort341:
                                              goto _flick_abort336;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort342);
                                            break;
                                            {
                                            _flick_abort342:
                                              goto _flick_abort336;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort343);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort343:
                                              goto _flick_abort336;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort336:
                                      goto _flick_abort335;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort335:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t118_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t118_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t119_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t119_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t119_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t120_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t120_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t120_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_obj *_local_this;
                                    unsigned int _t121_principal_len;
                                    obj::my_obj_ptr _local_srvr;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort345);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t121_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t121_principal_len);
                                    flick_iiopxx_check_span(_t121_principal_len * 1, _flick_abort345);
                                    flick_iiopxx_decode_new_chunk(_t121_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t121_principal_len);
                                    flick_iiopxx_decode_end_glob(_t121_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swapxx_decode_IOR(iiopxx, _local_srvr, 1, obj , _flick_abort345);
                                    flick_iiopxx_mark_port_for_cleanup(_local_srvr, 1);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->set_server(_local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t122_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t122_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort345);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort345);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t122_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t122_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort351);
                                            break;
                                            {
                                            _flick_abort351:
                                              goto _flick_abort345;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort352);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort352:
                                              goto _flick_abort345;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort345:
                                      goto _flick_abort344;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort344:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t123_switch_tag;

          flick_iiopxx_check_span(76, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t123_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t123_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t124_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t124_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t124_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        POA_obj *_local_this;
                        unsigned int _t125_principal_len;
                        enum c _return;
                        struct a _local_a1;
                        flick_unsigned32_t _t126_temp_string_len;
                        CORBA::ULong _t127_array_iter;
                        CORBA::ULong _t128_array_iter;
                        CORBA::ULong _t129_array_iter;
                        flick_unsigned32_t _t130_temp_string_len;
                        CORBA::ULong _t131_array_iter;
                        CORBA::ULong _t132_array_iter;
                        struct b _local_b1;
                        flick_unsigned32_t _t133_temp_string_len;
                        CORBA::ULong _t134_array_iter;
                        CORBA::ULong _t138_array_iter;
                        CORBA::ULong _t141_array_iter;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort354);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t125_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t125_principal_len);
                        flick_iiopxx_check_span(68 - 68 + 64 + _t125_principal_len * 1, _flick_abort354);
                        flick_iiopxx_decode_new_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_glob(_t125_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(27);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort354);
                        flick_cdr_swap_decode_signed32(0, _local_a1.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiopxx_check_span(16, _flick_abort354);
                        flick_cdr_swap_decode_float64(0, _local_a1.c.d, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _local_a1.c.e, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _local_a1.e.c, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(12, _t126_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(16);
                        flick_iiopxx_decode_end_glob(27);
                        flick_iiopxx_decode_new_glob(1 * _t126_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 64 + 1 * _t126_temp_string_len * 1, _flick_abort354);
                        flick_iiopxx_decode_new_chunk(1 * _t126_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t126_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.e.d = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a1.e.d, 1 * _t126_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t126_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t126_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort354);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1.e.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_a1.e.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.e.e._buffer = _t_alloc_ptr;
                          _local_a1.e.e._maximum = _local_a1.e.e._length;
                          _local_a1.e.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 64 + _local_a1.e.e._length * 0, _flick_abort354);
                        for (_t127_array_iter = 0; _t127_array_iter < _local_a1.e.e._length; _t127_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_a1.e.e._buffer + _t127_array_iter))
                              goto _flick_abort360;
                            continue;
                            {
                            _flick_abort360:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1.f.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort354);
                        flick_cdr_swap_decode_float64(0, _local_a1.f.c.d, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _local_a1.f.c.e, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _local_a1.f.d.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(11, _local_a1.f.d.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(12, _local_a1.f.d.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(13, _local_a1.f.d.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1.f.d.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_a1.f.d.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.f.d.e._buffer = _t_alloc_ptr;
                          _local_a1.f.d.e._maximum = _local_a1.f.d.e._length;
                          _local_a1.f.d.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 60 + _local_a1.f.d.e._length * 0, _flick_abort354);
                        for (_t128_array_iter = 0; _t128_array_iter < _local_a1.f.d.e._length; _t128_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_a1.f.d.e._buffer + _t128_array_iter))
                              goto _flick_abort365;
                            continue;
                            {
                            _flick_abort365:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct a *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a *)new (struct a [_local_a1.next._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.next._buffer = _t_alloc_ptr;
                          _local_a1.next._maximum = _local_a1.next._length;
                          _local_a1.next._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 56 + _local_a1.next._length * 0, _flick_abort354);
                        for (_t129_array_iter = 0; _t129_array_iter < _local_a1.next._length; _t129_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_a1.next._buffer + _t129_array_iter))
                              goto _flick_abort370;
                            continue;
                            {
                            _flick_abort370:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(24);
                        flick_iiopxx_decode_new_chunk(24);
                        flick_cdr_swap_decode_signed32(0, _local_a1.g.c, CORBA::Long );
                        flick_cdr_swap_decode_float64(8, _local_a1.g.d, CORBA::Double );
                        flick_cdr_swap_decode_signed16(16, _local_a1.g.e, CORBA::Short );
                        flick_cdr_swap_decode_char8(18, _local_a1.h.c, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(20, _t130_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(24);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 32 + 1 * _t130_temp_string_len * 1, _flick_abort354);
                        flick_iiopxx_decode_new_chunk(1 * _t130_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t130_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.h.d = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a1.h.d, 1 * _t130_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t130_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort354);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1.h.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_a1.h.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.h.e._buffer = _t_alloc_ptr;
                          _local_a1.h.e._maximum = _local_a1.h.e._length;
                          _local_a1.h.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 32 + _local_a1.h.e._length * 0, _flick_abort354);
                        for (_t131_array_iter = 0; _t131_array_iter < _local_a1.h.e._length; _t131_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_a1.h.e._buffer + _t131_array_iter))
                              goto _flick_abort377;
                            continue;
                            {
                            _flick_abort377:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1.i.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort354);
                        flick_cdr_swap_decode_float64(0, _local_a1.i.c.d, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _local_a1.i.c.e, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _local_a1.i.d.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(11, _local_a1.i.d.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(12, _local_a1.i.d.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(13, _local_a1.i.d.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1.i.d.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_a1.i.d.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_a1.i.d.e._buffer = _t_alloc_ptr;
                          _local_a1.i.d.e._maximum = _local_a1.i.d.e._length;
                          _local_a1.i.d.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 28 + _local_a1.i.d.e._length * 0, _flick_abort354);
                        for (_t132_array_iter = 0; _t132_array_iter < _local_a1.i.d.e._length; _t132_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_a1.i.d.e._buffer + _t132_array_iter))
                              goto _flick_abort382;
                            continue;
                            {
                            _flick_abort382:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(20);
                        flick_iiopxx_decode_new_chunk(20);
                        flick_cdr_swap_decode_signed32(0, _local_b1.a.c, CORBA::Long );
                        flick_cdr_swap_decode_float64(4, _local_b1.a.d, CORBA::Double );
                        flick_cdr_swap_decode_signed16(12, _local_b1.a.e, CORBA::Short );
                        flick_cdr_swap_decode_char8(14, _local_b1.b.c, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(16, _t133_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(1 * _t133_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 8 + 1 * _t133_temp_string_len * 1, _flick_abort354);
                        flick_iiopxx_decode_new_chunk(1 * _t133_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t133_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_b1.b.d = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_b1.b.d, 1 * _t133_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t133_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t133_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort354);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_b1.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_b1.b.e._buffer = _t_alloc_ptr;
                          _local_b1.b.e._maximum = _local_b1.b.e._length;
                          _local_b1.b.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 8 + _local_b1.b.e._length * 0, _flick_abort354);
                        for (_t134_array_iter = 0; _t134_array_iter < _local_b1.b.e._length; _t134_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_b1.b.e._buffer + _t134_array_iter))
                              goto _flick_abort389;
                            continue;
                            {
                            _flick_abort389:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_b1.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_b1.c._buffer = _t_alloc_ptr;
                          _local_b1.c._maximum = _local_b1.c._length;
                          _local_b1.c._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 4 + _local_b1.c._length * 4, _flick_abort354);
                        for (_t138_array_iter = 0; _t138_array_iter < _local_b1.c._length; _t138_array_iter++)
                          {
                            CORBA::ULong _t140_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b1.c._buffer[_t138_array_iter].c.c, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort409);
                            flick_cdr_swap_decode_float64(0, _local_b1.c._buffer[_t138_array_iter].c.d, CORBA::Double );
                            flick_cdr_swap_decode_signed16(8, _local_b1.c._buffer[_t138_array_iter].c.e, CORBA::Short );
                            flick_cdr_swap_decode_char8(10, _local_b1.c._buffer[_t138_array_iter].d.a, CORBA::Char );
                            flick_cdr_swap_decode_char8(11, _local_b1.c._buffer[_t138_array_iter].d.b, CORBA::Char );
                            flick_cdr_swap_decode_char8(12, _local_b1.c._buffer[_t138_array_iter].d.c, CORBA::Char );
                            flick_cdr_swap_decode_char8(13, _local_b1.c._buffer[_t138_array_iter].d.d, CORBA::Char );
                            flick_cdr_swap_decode_unsigned32(16, _local_b1.c._buffer[_t138_array_iter].d.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct a::f *_t_alloc_ptr;

                              _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_b1.c._buffer[_t138_array_iter].d.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort409);
                              _local_b1.c._buffer[_t138_array_iter].d.e._buffer = _t_alloc_ptr;
                              _local_b1.c._buffer[_t138_array_iter].d.e._maximum = _local_b1.c._buffer[_t138_array_iter].d.e._length;
                              _local_b1.c._buffer[_t138_array_iter].d.e._release = 1;
                            }
                            flick_iiopxx_check_span(_local_b1.c._buffer[_t138_array_iter].d.e._length * 0, _flick_abort409);
                            for (_t140_array_iter = 0; _t140_array_iter < _local_b1.c._buffer[_t138_array_iter].d.e._length; _t140_array_iter++)
                              {
                                if (flick_unmarshal_stub_swap(_stream, _local_b1.c._buffer[_t138_array_iter].d.e._buffer + _t140_array_iter))
                                  goto _flick_abort419;
                                continue;
                                {
                                _flick_abort419:
                                  goto _flick_abort409;
                                }
                              }
                            continue;
                            {
                            _flick_abort409:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1.d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct b *_t_alloc_ptr;

                          _t_alloc_ptr = (struct b *)new (struct b [_local_b1.d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort354);
                          _local_b1.d._buffer = _t_alloc_ptr;
                          _local_b1.d._maximum = _local_b1.d._length;
                          _local_b1.d._release = 1;
                        }
                        flick_iiopxx_check_span(_local_b1.d._length * 0, _flick_abort354);
                        for (_t141_array_iter = 0; _t141_array_iter < _local_b1.d._length; _t141_array_iter++)
                          {
                            if (flick_unmarshal_stub_swap(_stream, _local_b1.d._buffer + _t141_array_iter))
                              goto _flick_abort424;
                            continue;
                            {
                            _flick_abort424:
                              goto _flick_abort354;
                            }
                          }
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->convert(_local_a1, _local_b1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t142_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort354);
                          flick_iiopxx_encode_new_glob(8, _flick_abort354);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t142_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t142_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return, enum c );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort431);
                                break;
                                {
                                _flick_abort431:
                                  goto _flick_abort354;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort432);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort432:
                                  goto _flick_abort354;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort354:
                          goto _flick_abort353;
                        }
                      }
                      break;
                      {
                      _flick_abort353:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t143_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t144_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t144_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_obj *_local_this;
                        unsigned int _t145_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t146_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort434);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t145_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t145_principal_len);
                        flick_iiopxx_check_span(_t145_principal_len * 1, _flick_abort434);
                        flick_iiopxx_decode_new_chunk(_t145_principal_len);
                        flick_iiopxx_decode_end_chunk(_t145_principal_len);
                        flick_iiopxx_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort434);
                        flick_cdr_swap_decode_unsigned32(0, _t146_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t146_temp_string_len);
                        flick_iiopxx_check_span(1 * _t146_temp_string_len * 1, _flick_abort434);
                        flick_iiopxx_decode_new_chunk(1 * _t146_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t146_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort434);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t146_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t146_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t146_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t147_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort434);
                          flick_iiopxx_encode_new_glob(5, _flick_abort434);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t147_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t147_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort442);
                                break;
                                {
                                _flick_abort442:
                                  goto _flick_abort434;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort443);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort443:
                                  goto _flick_abort434;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort434:
                          goto _flick_abort433;
                        }
                      }
                      break;
                      {
                      _flick_abort433:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t37_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t37_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t38_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t39_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t40_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t40_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t41_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t41_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t41_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_obj *_local_this;
                                    unsigned int _t42_principal_len;
                                    obj::my_obj_ptr _return;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort117);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t42_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t42_principal_len);
                                    flick_iiopxx_check_span(_t42_principal_len * 1, _flick_abort117);
                                    flick_iiopxx_decode_new_chunk(_t42_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t42_principal_len);
                                    flick_iiopxx_decode_end_glob(_t42_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->get_server(_ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t43_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort117);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort117);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t43_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t43_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_cdrxx_encode_IOR(iiopxx, _return, 0, obj , _flick_abort122);
                                            break;
                                            {
                                            _flick_abort122:
                                              goto _flick_abort117;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort123);
                                            break;
                                            {
                                            _flick_abort123:
                                              goto _flick_abort117;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort124:
                                              goto _flick_abort117;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort117:
                                      goto _flick_abort116;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort116:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t44_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t44_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t45_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t45_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t45_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t46_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t46_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t46_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_obj *_local_this;
                                    unsigned int _t47_principal_len;
                                    obj::my_obj_ptr _local_srvr;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort126);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t47_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_decode_new_glob(_t47_principal_len);
                                    flick_iiopxx_check_span(_t47_principal_len * 1, _flick_abort126);
                                    flick_iiopxx_decode_new_chunk(_t47_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t47_principal_len);
                                    flick_iiopxx_decode_end_glob(_t47_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdrxx_decode_IOR(iiopxx, _local_srvr, 1, obj , _flick_abort126);
                                    flick_iiopxx_mark_port_for_cleanup(_local_srvr, 1);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->set_server(_local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t48_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t48_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort126);
                                      flick_iiopxx_encode_new_glob(4, _flick_abort126);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t48_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t48_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(4);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort132);
                                            break;
                                            {
                                            _flick_abort132:
                                              goto _flick_abort126;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
                                            flick_iiopxx_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort133:
                                              goto _flick_abort126;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort126:
                                      goto _flick_abort125;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort125:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t49_switch_tag;

          flick_iiopxx_check_span(76, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t49_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t50_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t50_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t50_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        POA_obj *_local_this;
                        unsigned int _t51_principal_len;
                        enum c _return;
                        struct a _local_a1;
                        flick_unsigned32_t _t52_temp_string_len;
                        CORBA::ULong _t53_array_iter;
                        CORBA::ULong _t54_array_iter;
                        CORBA::ULong _t55_array_iter;
                        flick_unsigned32_t _t56_temp_string_len;
                        CORBA::ULong _t57_array_iter;
                        CORBA::ULong _t58_array_iter;
                        struct b _local_b1;
                        flick_unsigned32_t _t59_temp_string_len;
                        CORBA::ULong _t60_array_iter;
                        CORBA::ULong _t64_array_iter;
                        CORBA::ULong _t67_array_iter;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort135);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t51_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t51_principal_len);
                        flick_iiopxx_check_span(68 - 68 + 64 + _t51_principal_len * 1, _flick_abort135);
                        flick_iiopxx_decode_new_chunk(_t51_principal_len);
                        flick_iiopxx_decode_end_chunk(_t51_principal_len);
                        flick_iiopxx_decode_end_glob(_t51_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(27);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort135);
                        flick_cdr_decode_signed32(0, _local_a1.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiopxx_check_span(16, _flick_abort135);
                        flick_cdr_decode_float64(0, _local_a1.c.d, CORBA::Double );
                        flick_cdr_decode_signed16(8, _local_a1.c.e, CORBA::Short );
                        flick_cdr_decode_char8(10, _local_a1.e.c, CORBA::Char );
                        flick_cdr_decode_unsigned32(12, _t52_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(16);
                        flick_iiopxx_decode_end_glob(27);
                        flick_iiopxx_decode_new_glob(1 * _t52_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 64 + 1 * _t52_temp_string_len * 1, _flick_abort135);
                        flick_iiopxx_decode_new_chunk(1 * _t52_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t52_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.e.d = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a1.e.d, 1 * _t52_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t52_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t52_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort135);
                        flick_cdr_decode_unsigned32(0, _local_a1.e.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_a1.e.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.e.e._buffer = _t_alloc_ptr;
                          _local_a1.e.e._maximum = _local_a1.e.e._length;
                          _local_a1.e.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 64 + _local_a1.e.e._length * 0, _flick_abort135);
                        for (_t53_array_iter = 0; _t53_array_iter < _local_a1.e.e._length; _t53_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_a1.e.e._buffer + _t53_array_iter))
                              goto _flick_abort141;
                            continue;
                            {
                            _flick_abort141:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1.f.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort135);
                        flick_cdr_decode_float64(0, _local_a1.f.c.d, CORBA::Double );
                        flick_cdr_decode_signed16(8, _local_a1.f.c.e, CORBA::Short );
                        flick_cdr_decode_char8(10, _local_a1.f.d.a, CORBA::Char );
                        flick_cdr_decode_char8(11, _local_a1.f.d.b, CORBA::Char );
                        flick_cdr_decode_char8(12, _local_a1.f.d.c, CORBA::Char );
                        flick_cdr_decode_char8(13, _local_a1.f.d.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(16, _local_a1.f.d.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_a1.f.d.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.f.d.e._buffer = _t_alloc_ptr;
                          _local_a1.f.d.e._maximum = _local_a1.f.d.e._length;
                          _local_a1.f.d.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 60 + _local_a1.f.d.e._length * 0, _flick_abort135);
                        for (_t54_array_iter = 0; _t54_array_iter < _local_a1.f.d.e._length; _t54_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_a1.f.d.e._buffer + _t54_array_iter))
                              goto _flick_abort146;
                            continue;
                            {
                            _flick_abort146:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct a *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a *)new (struct a [_local_a1.next._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.next._buffer = _t_alloc_ptr;
                          _local_a1.next._maximum = _local_a1.next._length;
                          _local_a1.next._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 56 + _local_a1.next._length * 0, _flick_abort135);
                        for (_t55_array_iter = 0; _t55_array_iter < _local_a1.next._length; _t55_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_a1.next._buffer + _t55_array_iter))
                              goto _flick_abort151;
                            continue;
                            {
                            _flick_abort151:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(24);
                        flick_iiopxx_decode_new_chunk(24);
                        flick_cdr_decode_signed32(0, _local_a1.g.c, CORBA::Long );
                        flick_cdr_decode_float64(8, _local_a1.g.d, CORBA::Double );
                        flick_cdr_decode_signed16(16, _local_a1.g.e, CORBA::Short );
                        flick_cdr_decode_char8(18, _local_a1.h.c, CORBA::Char );
                        flick_cdr_decode_unsigned32(20, _t56_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(24);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(1 * _t56_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 32 + 1 * _t56_temp_string_len * 1, _flick_abort135);
                        flick_iiopxx_decode_new_chunk(1 * _t56_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t56_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.h.d = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a1.h.d, 1 * _t56_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t56_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t56_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort135);
                        flick_cdr_decode_unsigned32(0, _local_a1.h.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_a1.h.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.h.e._buffer = _t_alloc_ptr;
                          _local_a1.h.e._maximum = _local_a1.h.e._length;
                          _local_a1.h.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 32 + _local_a1.h.e._length * 0, _flick_abort135);
                        for (_t57_array_iter = 0; _t57_array_iter < _local_a1.h.e._length; _t57_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_a1.h.e._buffer + _t57_array_iter))
                              goto _flick_abort158;
                            continue;
                            {
                            _flick_abort158:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1.i.c.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort135);
                        flick_cdr_decode_float64(0, _local_a1.i.c.d, CORBA::Double );
                        flick_cdr_decode_signed16(8, _local_a1.i.c.e, CORBA::Short );
                        flick_cdr_decode_char8(10, _local_a1.i.d.a, CORBA::Char );
                        flick_cdr_decode_char8(11, _local_a1.i.d.b, CORBA::Char );
                        flick_cdr_decode_char8(12, _local_a1.i.d.c, CORBA::Char );
                        flick_cdr_decode_char8(13, _local_a1.i.d.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(16, _local_a1.i.d.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_a1.i.d.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_a1.i.d.e._buffer = _t_alloc_ptr;
                          _local_a1.i.d.e._maximum = _local_a1.i.d.e._length;
                          _local_a1.i.d.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 28 + _local_a1.i.d.e._length * 0, _flick_abort135);
                        for (_t58_array_iter = 0; _t58_array_iter < _local_a1.i.d.e._length; _t58_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_a1.i.d.e._buffer + _t58_array_iter))
                              goto _flick_abort163;
                            continue;
                            {
                            _flick_abort163:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(20);
                        flick_iiopxx_decode_new_chunk(20);
                        flick_cdr_decode_signed32(0, _local_b1.a.c, CORBA::Long );
                        flick_cdr_decode_float64(4, _local_b1.a.d, CORBA::Double );
                        flick_cdr_decode_signed16(12, _local_b1.a.e, CORBA::Short );
                        flick_cdr_decode_char8(14, _local_b1.b.c, CORBA::Char );
                        flick_cdr_decode_unsigned32(16, _t59_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(1 * _t59_temp_string_len);
                        flick_iiopxx_check_span(68 - 68 + 8 + 1 * _t59_temp_string_len * 1, _flick_abort135);
                        flick_iiopxx_decode_new_chunk(1 * _t59_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t59_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_b1.b.d = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_b1.b.d, 1 * _t59_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t59_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t59_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort135);
                        flick_cdr_decode_unsigned32(0, _local_b1.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct a::d *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::d *)new (struct a::d [_local_b1.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_b1.b.e._buffer = _t_alloc_ptr;
                          _local_b1.b.e._maximum = _local_b1.b.e._length;
                          _local_b1.b.e._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 8 + _local_b1.b.e._length * 0, _flick_abort135);
                        for (_t60_array_iter = 0; _t60_array_iter < _local_b1.b.e._length; _t60_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_b1.b.e._buffer + _t60_array_iter))
                              goto _flick_abort170;
                            continue;
                            {
                            _flick_abort170:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct a::f *_t_alloc_ptr;

                          _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_b1.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_b1.c._buffer = _t_alloc_ptr;
                          _local_b1.c._maximum = _local_b1.c._length;
                          _local_b1.c._release = 1;
                        }
                        flick_iiopxx_check_span(68 - 68 + 4 + _local_b1.c._length * 4, _flick_abort135);
                        for (_t64_array_iter = 0; _t64_array_iter < _local_b1.c._length; _t64_array_iter++)
                          {
                            CORBA::ULong _t66_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _local_b1.c._buffer[_t64_array_iter].c.c, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort190);
                            flick_cdr_decode_float64(0, _local_b1.c._buffer[_t64_array_iter].c.d, CORBA::Double );
                            flick_cdr_decode_signed16(8, _local_b1.c._buffer[_t64_array_iter].c.e, CORBA::Short );
                            flick_cdr_decode_char8(10, _local_b1.c._buffer[_t64_array_iter].d.a, CORBA::Char );
                            flick_cdr_decode_char8(11, _local_b1.c._buffer[_t64_array_iter].d.b, CORBA::Char );
                            flick_cdr_decode_char8(12, _local_b1.c._buffer[_t64_array_iter].d.c, CORBA::Char );
                            flick_cdr_decode_char8(13, _local_b1.c._buffer[_t64_array_iter].d.d, CORBA::Char );
                            flick_cdr_decode_unsigned32(16, _local_b1.c._buffer[_t64_array_iter].d.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct a::f *_t_alloc_ptr;

                              _t_alloc_ptr = (struct a::f *)new (struct a::f [_local_b1.c._buffer[_t64_array_iter].d.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort190);
                              _local_b1.c._buffer[_t64_array_iter].d.e._buffer = _t_alloc_ptr;
                              _local_b1.c._buffer[_t64_array_iter].d.e._maximum = _local_b1.c._buffer[_t64_array_iter].d.e._length;
                              _local_b1.c._buffer[_t64_array_iter].d.e._release = 1;
                            }
                            flick_iiopxx_check_span(_local_b1.c._buffer[_t64_array_iter].d.e._length * 0, _flick_abort190);
                            for (_t66_array_iter = 0; _t66_array_iter < _local_b1.c._buffer[_t64_array_iter].d.e._length; _t66_array_iter++)
                              {
                                if (flick_unmarshal_stub(_stream, _local_b1.c._buffer[_t64_array_iter].d.e._buffer + _t66_array_iter))
                                  goto _flick_abort200;
                                continue;
                                {
                                _flick_abort200:
                                  goto _flick_abort190;
                                }
                              }
                            continue;
                            {
                            _flick_abort190:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1.d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct b *_t_alloc_ptr;

                          _t_alloc_ptr = (struct b *)new (struct b [_local_b1.d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                          _local_b1.d._buffer = _t_alloc_ptr;
                          _local_b1.d._maximum = _local_b1.d._length;
                          _local_b1.d._release = 1;
                        }
                        flick_iiopxx_check_span(_local_b1.d._length * 0, _flick_abort135);
                        for (_t67_array_iter = 0; _t67_array_iter < _local_b1.d._length; _t67_array_iter++)
                          {
                            if (flick_unmarshal_stub(_stream, _local_b1.d._buffer + _t67_array_iter))
                              goto _flick_abort205;
                            continue;
                            {
                            _flick_abort205:
                              goto _flick_abort135;
                            }
                          }
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->convert(_local_a1, _local_b1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t68_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort135);
                          flick_iiopxx_encode_new_glob(8, _flick_abort135);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t68_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t68_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return, enum c );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort212);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort135;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort213);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort213:
                                  goto _flick_abort135;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort135:
                          goto _flick_abort134;
                        }
                      }
                      break;
                      {
                      _flick_abort134:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t69_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t70_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t70_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_obj *_local_this;
                        unsigned int _t71_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t72_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort215);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t71_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t71_principal_len);
                        flick_iiopxx_check_span(_t71_principal_len * 1, _flick_abort215);
                        flick_iiopxx_decode_new_chunk(_t71_principal_len);
                        flick_iiopxx_decode_end_chunk(_t71_principal_len);
                        flick_iiopxx_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort215);
                        flick_cdr_decode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t72_temp_string_len);
                        flick_iiopxx_check_span(1 * _t72_temp_string_len * 1, _flick_abort215);
                        flick_iiopxx_decode_new_chunk(1 * _t72_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t72_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort215);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t72_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t72_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t72_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t73_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t73_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort215);
                          flick_iiopxx_encode_new_glob(5, _flick_abort215);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t73_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t73_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort223);
                                break;
                                {
                                _flick_abort223:
                                  goto _flick_abort215;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort224:
                                  goto _flick_abort215;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort215:
                          goto _flick_abort214;
                        }
                      }
                      break;
                      {
                      _flick_abort214:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

