#ifndef _simple2_server_h_
#define _simple2_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "simple2-client.h"
#include <flick/pres/corbaxx.h>

class vec10 {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  vec10();
  vec10(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  vec10(const vec10 &o);
  virtual ~vec10();
  vec10 &operator=(const vec10 &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef vec10 *vec10_ptr;

class vec10_var {

public:
  vec10_var();
  vec10_var(vec10 *p);
  vec10_var(const vec10_var &a);
  ~vec10_var();
  vec10_var &operator=(vec10 *p);
  vec10_var &operator=(const vec10_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();
  const vec10 *operator->() const;
  operator const vec10 &() const;
  operator vec10 &();
  operator vec10 &() const;
  const vec10 &in() const;
  vec10 &inout();
  vec10 *&out();
  vec10 *_retn();
  vec10 *ptr() const;

private:
  vec10_ptr ptr_;
} ;


class vec10_out {

public:
  vec10_out(vec10 *&r);
  vec10_out(vec10_var &r);
  vec10_out(const vec10_out &r);
  vec10_out &operator=(const vec10_out &r);

private:
  vec10_out &operator=(const vec10_var &r);

public:
  vec10_out &operator=(vec10 *r);
  operator vec10 *&();
  vec10 *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();

private:
  vec10_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const vec10 &o);

void operator<<=(CORBA::Any &a, vec10 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, vec10 *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, vec10 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, vec10 *_data);

class simple ;


typedef simple *simple_ptr;

class simple_var {

public:
  simple_var();
  simple_var(simple_ptr p);
  simple_var(const simple_var &a);
  ~simple_var();
  simple_var &operator=(simple_ptr p);
  simple_var &operator=(const simple_var &p);
  simple_ptr operator->() const;
  operator const simple_ptr &() const;
  operator simple_ptr &();
  simple_ptr in() const;
  simple_ptr &inout();
  simple_ptr &out();
  simple_ptr _retn();
  simple_ptr ptr() const;

private:
  simple_ptr ptr_;
} ;


class simple_out {

public:
  simple_out(simple_ptr &r);
  simple_out(simple_var &r);
  simple_out(const simple_out &r);
  simple_out &operator=(const simple_out &r);
  simple_out &operator=(const simple_var &r);
  simple_out &operator=(simple_ptr r);
  operator simple_ptr &();
  simple_ptr &ptr();
  simple_ptr operator->();

private:
  simple_ptr &ptr_;
} ;


class simple : public virtual ACE_CORBA_1 (Object) {

public:
  static simple_ptr _duplicate(simple_ptr obj);
  static simple_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  simple();
  virtual ~simple();

private:
  simple(const simple &v);
  void operator=(const simple &v);

public:
  virtual CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;

protected:
  simple(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


class POA_simple ;


typedef POA_simple *POA_simple_ptr;

class POA_simple : public virtual PortableServer::ServantBase {

protected:
  POA_simple();

public:
  POA_simple(const POA_simple &rhs);
  virtual ~POA_simple();
  simple *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple_tie : public POA_simple {

  public:
    POA_simple_tie(T &t);
    POA_simple_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple_tie(T *t, CORBA::Boolean release = 1);
    POA_simple_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple_tie(const POA_simple_tie &c);
    void operator=(const POA_simple_tie &c);

  public:
    CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, simple_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple_ptr *_data);

void operator<<=(CORBA::Any &a, simple_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, simple_ptr &o);

class simple2 ;


typedef simple2 *simple2_ptr;

class simple2_var {

public:
  simple2_var();
  simple2_var(simple2_ptr p);
  simple2_var(const simple2_var &a);
  ~simple2_var();
  simple2_var &operator=(simple2_ptr p);
  simple2_var &operator=(const simple2_var &p);
  simple2_ptr operator->() const;
  operator const simple2_ptr &() const;
  operator simple2_ptr &();
  simple2_ptr in() const;
  simple2_ptr &inout();
  simple2_ptr &out();
  simple2_ptr _retn();
  simple2_ptr ptr() const;

private:
  simple2_ptr ptr_;
} ;


class simple2_out {

public:
  simple2_out(simple2_ptr &r);
  simple2_out(simple2_var &r);
  simple2_out(const simple2_out &r);
  simple2_out &operator=(const simple2_out &r);
  simple2_out &operator=(const simple2_var &r);
  simple2_out &operator=(simple2_ptr r);
  operator simple2_ptr &();
  simple2_ptr &ptr();
  simple2_ptr operator->();

private:
  simple2_ptr &ptr_;
} ;


class simple2 : public virtual ACE_CORBA_1 (Object) {

public:
  static simple2_ptr _duplicate(simple2_ptr obj);
  static simple2_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple2_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple2_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  simple2();
  virtual ~simple2();

private:
  simple2(const simple2 &v);
  void operator=(const simple2 &v);

public:
  virtual CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;

protected:
  simple2(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


class POA_simple2 ;


typedef POA_simple2 *POA_simple2_ptr;

class POA_simple2 : public virtual PortableServer::ServantBase {

protected:
  POA_simple2();

public:
  POA_simple2(const POA_simple2 &rhs);
  virtual ~POA_simple2();
  simple2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple2_tie : public POA_simple2 {

  public:
    POA_simple2_tie(T &t);
    POA_simple2_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple2_tie(T *t, CORBA::Boolean release = 1);
    POA_simple2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple2_tie(const POA_simple2_tie &c);
    void operator=(const POA_simple2_tie &c);

  public:
    CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, simple2_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple2_ptr *_data);

void operator<<=(CORBA::Any &a, simple2_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, simple2_ptr &o);

class POA_simple3 ;


typedef POA_simple3 *POA_simple3_ptr;

class POA_simple3 : public virtual PortableServer::ServantBase {

protected:
  POA_simple3();

public:
  POA_simple3(const POA_simple3 &rhs);
  virtual ~POA_simple3();
  simple3 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev) = 0;
  virtual char *op4(/* POA_simple3 *this, */ const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev) = 0;
  virtual void op5(/* POA_simple3 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple3_tie : public POA_simple3 {

  public:
    POA_simple3_tie(T &t);
    POA_simple3_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple3_tie(T *t, CORBA::Boolean release = 1);
    POA_simple3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple3_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple3_tie(const POA_simple3_tie &c);
    void operator=(const POA_simple3_tie &c);

  public:
    CORBA::Long op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev);
    char *op4(/* POA_simple3 *this, */ const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev);
    void op5(/* POA_simple3 *this, */ CORBA::Environment &_ev);
    CORBA::Long op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, simple3_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3_ptr *_data);

class _tao_collocated_simple : public virtual simple {

public:
  _tao_collocated_simple(POA_simple_ptr servant, TAO_Stub *stub);
  POA_simple_ptr _get_servant() const;
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_simple_ptr servant_;
} ;


class _tao_collocated_simple2 : public virtual simple2 {

public:
  _tao_collocated_simple2(POA_simple2_ptr servant, TAO_Stub *stub);
  POA_simple2_ptr _get_servant() const;
  virtual CORBA::Long op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_simple2_ptr servant_;
} ;


class _tao_collocated_simple3 : public virtual simple3 {

public:
  _tao_collocated_simple3(POA_simple3_ptr servant, TAO_Stub *stub);
  POA_simple3_ptr _get_servant() const;
  virtual CORBA::Long op3(CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev);
  virtual char *op4(const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev);
  virtual void op5(CORBA::Environment &_ev);
  virtual CORBA::Long op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_simple3_ptr servant_;
} ;


#endif /* _simple2_server_h_ */
