#include "unionplain_-client.h"
#include "unionplain_-server.h"

static const CORBA::Long _oc_Foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
    4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
    CORBA::tk_long,
    -1 /* default used index */,
    3 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_short,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo (CORBA::tk_union, sizeof(_oc_Foo), (char *) &_oc_Foo, 0, sizeof(Foo ));

CORBA::TypeCode_ptr _tc_Foo = &_tc_TAO_tc_Foo;

Foo::Foo()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo::Foo(const Foo &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 1:
    {
      this->_u.x = o._u.x;
    }
    break;
  case 2:
    {
      this->_u.y = o._u.y;
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo::~Foo()
{
  this->_reset(this->disc_, 1);
}

Foo &Foo::operator=(const Foo &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 1:
    {
      this->_u.x = o._u.x;
    }
    break;
  
  case 2:
    {
      this->_u.y = o._u.y;
    }
    break;
  
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  
  }
  return *this;
}

void Foo::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 1:
      ;
      break;
    
    case 2:
      ;
      break;
    
    default:
      ;
      break;
    
    }
  }
}

void *Foo::_discriminant()
{
  return &this->disc_;
}

void Foo::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 1:
    return &this->_u.x;
  case 2:
    return &this->_u.y;
  default:
    return &this->_u.z;
  }
  return 0;
}

void Foo::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long Foo::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo &o)
{
  Foo  *_any_val;
  ACE_NEW(_any_val, Foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo::x(CORBA::Long v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.x =v;
}

CORBA::Long Foo::x() const
{
  return this->_u.x;
}

void Foo::y(CORBA::Short v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.y =v;
}

CORBA::Short Foo::y() const
{
  return this->_u.y;
}

void Foo::z(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.z =v;
}

CORBA::Char Foo::z() const
{
  return this->_u.z;
}

Foo_var::Foo_var()
  : ptr_(0)
{}

Foo_var::Foo_var(Foo *p)
 : ptr_(p)
{}

Foo_var::Foo_var(const Foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo_var::~Foo_var()
{
  delete this->ptr_;
}

Foo_var &Foo_var::operator=(Foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo_var &Foo_var::operator=(const Foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo (*p.ptr_);
  }
  return *this;
}

Foo *Foo_var::operator->()
{
  return this->ptr_;
}

const Foo *Foo_var::operator->() const
{
  return this->ptr_;
}

Foo_var::operator const Foo &() const
{
  return *this->ptr_;
}

Foo_var::operator Foo &()
{
  return *this->ptr_;
}

Foo_var::operator Foo &() const
{
  return *this->ptr_;
}

const Foo &Foo_var::in() const
{
  return *this->ptr_;
}

Foo &Foo_var::inout()
{
  return *this->ptr_;
}

Foo &Foo_var::out()
{
  return *this->ptr_;
}

Foo Foo_var::_retn()
{
  return *this->ptr_;
}

Foo *Foo_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo2:1.0 */,
    5, ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x00000000) /* name = Foo2 */,
    CORBA::tk_char,
    -1 /* default used index */,
    3 /* member count */,
    'a' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    'b' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_short,
    'c' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo2 (CORBA::tk_union, sizeof(_oc_Foo2), (char *) &_oc_Foo2, 0, sizeof(Foo2 ));

CORBA::TypeCode_ptr _tc_Foo2 = &_tc_TAO_tc_Foo2;

Foo2::Foo2()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo2::Foo2(const Foo2 &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  case 'b':
    {
      this->_u.y = o._u.y;
    }
    break;
  case 'c':
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo2::~Foo2()
{
  this->_reset(this->disc_, 1);
}

Foo2 &Foo2::operator=(const Foo2 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  
  case 'b':
    {
      this->_u.y = o._u.y;
    }
    break;
  
  case 'c':
    {
      this->_u.z = o._u.z;
    }
    break;
  
  }
  return *this;
}

void Foo2::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 'a':
      ;
      break;
    
    case 'b':
      ;
      break;
    
    case 'c':
      ;
      break;
    
    }
  }
}

void *Foo2::_discriminant()
{
  return &this->disc_;
}

void Foo2::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo2::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 'a':
    return &this->_u.x;
  case 'b':
    return &this->_u.y;
  case 'c':
    return &this->_u.z;
  }
  return 0;
}

void Foo2::_d(CORBA::Char _d_)
{
  this->disc_ = _d_;
}

CORBA::Char Foo2::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo2 &o)
{
  Foo2  *_any_val;
  ACE_NEW(_any_val, Foo2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo2::x(CORBA::Long v)
{
  this->_reset('a', 0);
  this->disc_ = (CORBA::Char )'a';
  this->_u.x =v;
}

CORBA::Long Foo2::x() const
{
  return this->_u.x;
}

void Foo2::y(CORBA::Short v)
{
  this->_reset('b', 0);
  this->disc_ = (CORBA::Char )'b';
  this->_u.y =v;
}

CORBA::Short Foo2::y() const
{
  return this->_u.y;
}

void Foo2::z(CORBA::Char v)
{
  this->_reset('c', 0);
  this->disc_ = (CORBA::Char )'c';
  this->_u.z =v;
}

CORBA::Char Foo2::z() const
{
  return this->_u.z;
}

Foo2_var::Foo2_var()
  : ptr_(0)
{}

Foo2_var::Foo2_var(Foo2 *p)
 : ptr_(p)
{}

Foo2_var::Foo2_var(const Foo2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo2_var::~Foo2_var()
{
  delete this->ptr_;
}

Foo2_var &Foo2_var::operator=(Foo2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo2_var &Foo2_var::operator=(const Foo2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo2 (*p.ptr_);
  }
  return *this;
}

Foo2 *Foo2_var::operator->()
{
  return this->ptr_;
}

const Foo2 *Foo2_var::operator->() const
{
  return this->ptr_;
}

Foo2_var::operator const Foo2 &() const
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &()
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &() const
{
  return *this->ptr_;
}

const Foo2 &Foo2_var::in() const
{
  return *this->ptr_;
}

Foo2 &Foo2_var::inout()
{
  return *this->ptr_;
}

Foo2 &Foo2_var::out()
{
  return *this->ptr_;
}

Foo2 Foo2_var::_retn()
{
  return *this->ptr_;
}

Foo2 *Foo2_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f33), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo3:1.0 */,
    5, ACE_NTOHL(0x466f6f33), ACE_NTOHL(0x00000000) /* name = Foo3 */,
    CORBA::tk_short,
    -1 /* default used index */,
    3 /* member count */,
    ACE_IDL_NSTOHL(0xffffffff) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_short,
    ACE_IDL_NSTOHL(0x0032) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_long,
    ACE_IDL_NSTOHL(0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo3 (CORBA::tk_union, sizeof(_oc_Foo3), (char *) &_oc_Foo3, 0, sizeof(Foo3 ));

CORBA::TypeCode_ptr _tc_Foo3 = &_tc_TAO_tc_Foo3;

Foo3::Foo3()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo3::Foo3(const Foo3 &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case -1:
    {
      this->_u.a = o._u.a;
    }
    break;
  case 50:
    {
      this->_u.b = o._u.b;
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
}

Foo3::~Foo3()
{
  this->_reset(this->disc_, 1);
}

Foo3 &Foo3::operator=(const Foo3 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case -1:
    {
      this->_u.a = o._u.a;
    }
    break;
  
  case 50:
    {
      this->_u.b = o._u.b;
    }
    break;
  
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  
  }
  return *this;
}

void Foo3::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case -1:
      ;
      break;
    
    case 50:
      ;
      break;
    
    default:
      ;
      break;
    
    }
  }
}

void *Foo3::_discriminant()
{
  return &this->disc_;
}

void Foo3::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo3::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case -1:
    return &this->_u.a;
  case 50:
    return &this->_u.b;
  default:
    return &this->_u.c;
  }
  return 0;
}

void Foo3::_d(CORBA::Short _d_)
{
  this->disc_ = _d_;
}

CORBA::Short Foo3::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo3 &o)
{
  Foo3  *_any_val;
  ACE_NEW(_any_val, Foo3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo3::a(CORBA::Short v)
{
  this->_reset(-1, 0);
  this->disc_ = (CORBA::Short )-1;
  this->_u.a =v;
}

CORBA::Short Foo3::a() const
{
  return this->_u.a;
}

void Foo3::b(CORBA::Long v)
{
  this->_reset(50, 0);
  this->disc_ = (CORBA::Short )50;
  this->_u.b =v;
}

CORBA::Long Foo3::b() const
{
  return this->_u.b;
}

void Foo3::c(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Short )0;
  this->_u.c =v;
}

CORBA::Char Foo3::c() const
{
  return this->_u.c;
}

Foo3_var::Foo3_var()
  : ptr_(0)
{}

Foo3_var::Foo3_var(Foo3 *p)
 : ptr_(p)
{}

Foo3_var::Foo3_var(const Foo3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo3_var::~Foo3_var()
{
  delete this->ptr_;
}

Foo3_var &Foo3_var::operator=(Foo3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo3_var &Foo3_var::operator=(const Foo3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo3 (*p.ptr_);
  }
  return *this;
}

Foo3 *Foo3_var::operator->()
{
  return this->ptr_;
}

const Foo3 *Foo3_var::operator->() const
{
  return this->ptr_;
}

Foo3_var::operator const Foo3 &() const
{
  return *this->ptr_;
}

Foo3_var::operator Foo3 &()
{
  return *this->ptr_;
}

Foo3_var::operator Foo3 &() const
{
  return *this->ptr_;
}

const Foo3 &Foo3_var::in() const
{
  return *this->ptr_;
}

Foo3 &Foo3_var::inout()
{
  return *this->ptr_;
}

Foo3 &Foo3_var::out()
{
  return *this->ptr_;
}

Foo3 Foo3_var::_retn()
{
  return *this->ptr_;
}

Foo3 *Foo3_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f34), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo4:1.0 */,
    5, ACE_NTOHL(0x466f6f34), ACE_NTOHL(0x00000000) /* name = Foo4 */,
    CORBA::tk_long,
    -1 /* default used index */,
    3 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_string,
    0,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_alias,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      20, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6c), ACE_NTOHL(0x6f6e6700) /* name = flick_sequence_long */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        10,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_Foo4 (CORBA::tk_union, sizeof(_oc_Foo4), (char *) &_oc_Foo4, 0, sizeof(Foo4 ));

CORBA::TypeCode_ptr _tc_Foo4 = &_tc_TAO_tc_Foo4;

Foo4::Foo4()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo4::Foo4(const Foo4 &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 1:
    {
      this->_u.a = CORBA::string_dup(o._u.a);
    }
    break;
  case 2:
    {
      this->_u.b = new Foo4::flick_sequence_long (*o._u.b);
    }
    break;
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  }
}

Foo4::~Foo4()
{
  this->_reset(this->disc_, 1);
}

Foo4 &Foo4::operator=(const Foo4 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 1:
    {
      this->_u.a = CORBA::string_dup(o._u.a);
    }
    break;
  
  case 2:
    {
      this->_u.b = new Foo4::flick_sequence_long (*o._u.b);
    }
    break;
  
  default:
    {
      this->_u.c = o._u.c;
    }
    break;
  
  }
  return *this;
}

void Foo4::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 1:
      CORBA::string_free(this->_u.a);
      break;
    
    case 2:
      delete this->_u.b;
      break;
    
    default:
      ;
      break;
    
    }
  }
}

void *Foo4::_discriminant()
{
  return &this->disc_;
}

void Foo4::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo4::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 1:
    return &this->_u.a;
  case 2:
    
    if( flag )
      this->_u.b = new Foo4::flick_sequence_long ;
    return this->_u.b;
  default:
    return &this->_u.c;
  }
  return 0;
}

void Foo4::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long Foo4::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo4 &o)
{
  Foo4  *_any_val;
  ACE_NEW(_any_val, Foo4  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo4, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo4 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo4, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo4 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo4  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo4 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo4, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo4, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo4::a(char *v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.a = v;
}

void Foo4::a(const char *v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.a = CORBA::string_dup(v);
}

void Foo4::a(const CORBA::String_var &v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  CORBA::String_var tmp_var = v;
  this->_u.a = tmp_var._retn();
}

const char *Foo4::a() const
{
  return this->_u.a;
}

void Foo4::b(const Foo4::flick_sequence_long &v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.b = new Foo4::flick_sequence_long (v);
}

const Foo4::flick_sequence_long &Foo4::b() const
{
  return *this->_u.b;
}

Foo4::flick_sequence_long &Foo4::b()
{
  return *this->_u.b;
}

void Foo4::c(CORBA::Long v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.c =v;
}

CORBA::Long Foo4::c() const
{
  return this->_u.c;
}

Foo4_var::Foo4_var()
  : ptr_(0)
{}

Foo4_var::Foo4_var(Foo4 *p)
 : ptr_(p)
{}

Foo4_var::Foo4_var(const Foo4_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo4 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo4_var::~Foo4_var()
{
  delete this->ptr_;
}

Foo4_var &Foo4_var::operator=(Foo4 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo4_var &Foo4_var::operator=(const Foo4_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo4 (*p.ptr_);
  }
  return *this;
}

Foo4 *Foo4_var::operator->()
{
  return this->ptr_;
}

const Foo4 *Foo4_var::operator->() const
{
  return this->ptr_;
}

Foo4_var::operator const Foo4 &() const
{
  return *this->ptr_;
}

Foo4_var::operator Foo4 &()
{
  return *this->ptr_;
}

Foo4_var::operator Foo4 &() const
{
  return *this->ptr_;
}

const Foo4 &Foo4_var::in() const
{
  return *this->ptr_;
}

Foo4 &Foo4_var::inout()
{
  return *this->ptr_;
}

Foo4 *&Foo4_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

Foo4 *Foo4_var::_retn()
{
  Foo4  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

Foo4 *Foo4_var::ptr() const
{
  return this->ptr_;
}

Foo4_out::Foo4_out(Foo4 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

Foo4_out::Foo4_out(Foo4_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

Foo4_out::Foo4_out(const Foo4_out &r)
  : ptr_(ACE_const_cast(Foo4_out &,r).ptr_)
{}

Foo4_out &Foo4_out::operator=(const Foo4_out &r)
{
  this->ptr_ = ACE_const_cast(Foo4_out &,r).ptr_;
  return *this;
}

Foo4_out &Foo4_out::operator=(Foo4 *r)
{
  this->ptr_ = r;
  return *this;
}

Foo4_out::operator Foo4 *&()
{
  return this->ptr_;
}

Foo4 *&Foo4_out::ptr()
{
  return this->ptr_;
}

Foo4 *Foo4_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo4_flick_sequence_long[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    20, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6c), ACE_NTOHL(0x6f6e6700) /* name = flick_sequence_long */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      10
};

static CORBA::TypeCode _tc_TAO_tc_Foo4_flick_sequence_long (CORBA::tk_alias, sizeof(_oc_Foo4_flick_sequence_long), (char *) &_oc_Foo4_flick_sequence_long, 0, sizeof(Foo4::flick_sequence_long ));

CORBA::TypeCode_ptr Foo4::_tc_flick_sequence_long = &_tc_TAO_tc_Foo4_flick_sequence_long;

Foo4::flick_sequence_long::flick_sequence_long()
  : _maximum(10),
    _length(0),
    _buffer(Foo4::flick_sequence_long::allocbuf(10)),
    _release(1)
{
}

Foo4::flick_sequence_long::flick_sequence_long(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release)
  : _maximum(10),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

Foo4::flick_sequence_long::flick_sequence_long(const Foo4::flick_sequence_long &o)
  : _maximum(10),
    _length(o._length),
    _release(1)
{
  CORBA::Long  *tmp1 = Foo4::flick_sequence_long::allocbuf(this->_maximum);
  
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

Foo4::flick_sequence_long::~flick_sequence_long()
{
  this->_deallocate_buffer();
}

Foo4::flick_sequence_long &Foo4::flick_sequence_long::operator=(const Foo4::flick_sequence_long &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
  
  }
  else
    this->_buffer = Foo4::flick_sequence_long::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Long  *tmp1 = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Long &Foo4::flick_sequence_long::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  return tmp[i];
}

const CORBA::Long &Foo4::flick_sequence_long::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * const tmp = ACE_reinterpret_cast(CORBA::Long  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Long *Foo4::flick_sequence_long::allocbuf(CORBA::ULong size)
{
  CORBA::Long  *tmp;
  tmp = new CORBA::Long [size];
  return tmp;
}

void Foo4::flick_sequence_long::freebuf(CORBA::Long *buffer)
{
  delete [] buffer;
}

void Foo4::flick_sequence_long::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Long  *tmp = Foo4::flick_sequence_long::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Long  *old = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      Foo4::flick_sequence_long::freebuf(old);
  }
  this->_buffer = tmp;
}

void Foo4::flick_sequence_long::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  
  Foo4::flick_sequence_long::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean Foo4::flick_sequence_long::release() const
{
  return this->_release;
}

CORBA::ULong Foo4::flick_sequence_long::maximum() const
{
  return 10;
}

CORBA::ULong Foo4::flick_sequence_long::length() const
{
  return this->_length;
}

void Foo4::flick_sequence_long::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    return;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void Foo4::flick_sequence_long::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Long *Foo4::flick_sequence_long::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Long  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = Foo4::flick_sequence_long::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Long *Foo4::flick_sequence_long::get_buffer() const
{
  return ACE_const_cast(const CORBA::Long  * ACE_CAST_CONST, this->_buffer);
}

Foo4::flick_sequence_long_var::flick_sequence_long_var()
  : ptr_(0)
{}

Foo4::flick_sequence_long_var::flick_sequence_long_var(Foo4::flick_sequence_long *p)
 : ptr_(p)
{}

Foo4::flick_sequence_long_var::flick_sequence_long_var(const Foo4::flick_sequence_long_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo4::flick_sequence_long (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo4::flick_sequence_long_var::~flick_sequence_long_var()
{
  delete this->ptr_;
}

Foo4::flick_sequence_long_var &Foo4::flick_sequence_long_var::operator=(Foo4::flick_sequence_long *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo4::flick_sequence_long_var &Foo4::flick_sequence_long_var::operator=(const Foo4::flick_sequence_long_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo4::flick_sequence_long (*p.ptr_);
  }
  return *this;
}

CORBA::Long &Foo4::flick_sequence_long_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &Foo4::flick_sequence_long_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

Foo4::flick_sequence_long *Foo4::flick_sequence_long_var::operator->()
{
  return this->ptr_;
}

const Foo4::flick_sequence_long *Foo4::flick_sequence_long_var::operator->() const
{
  return this->ptr_;
}

Foo4::flick_sequence_long_var::operator const Foo4::flick_sequence_long &() const
{
  return *this->ptr_;
}

Foo4::flick_sequence_long_var::operator Foo4::flick_sequence_long &()
{
  return *this->ptr_;
}

Foo4::flick_sequence_long_var::operator Foo4::flick_sequence_long &() const
{
  return *this->ptr_;
}

const Foo4::flick_sequence_long &Foo4::flick_sequence_long_var::in() const
{
  return *this->ptr_;
}

Foo4::flick_sequence_long &Foo4::flick_sequence_long_var::inout()
{
  return *this->ptr_;
}

Foo4::flick_sequence_long *&Foo4::flick_sequence_long_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

Foo4::flick_sequence_long *Foo4::flick_sequence_long_var::_retn()
{
  Foo4::flick_sequence_long  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

Foo4::flick_sequence_long *Foo4::flick_sequence_long_var::ptr() const
{
  return this->ptr_;
}

Foo4::flick_sequence_long_out::flick_sequence_long_out(Foo4::flick_sequence_long *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

Foo4::flick_sequence_long_out::flick_sequence_long_out(Foo4::flick_sequence_long_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

Foo4::flick_sequence_long_out::flick_sequence_long_out(const Foo4::flick_sequence_long_out &r)
  : ptr_(ACE_const_cast(Foo4::flick_sequence_long_out &,r).ptr_)
{}

Foo4::flick_sequence_long_out &Foo4::flick_sequence_long_out::operator=(const Foo4::flick_sequence_long_out &r)
{
  this->ptr_ = ACE_const_cast(Foo4::flick_sequence_long_out &,r).ptr_;
  return *this;
}

Foo4::flick_sequence_long_out &Foo4::flick_sequence_long_out::operator=(Foo4::flick_sequence_long *r)
{
  this->ptr_ = r;
  return *this;
}

Foo4::flick_sequence_long_out::operator Foo4::flick_sequence_long *&()
{
  return this->ptr_;
}

Foo4::flick_sequence_long *&Foo4::flick_sequence_long_out::ptr()
{
  return this->ptr_;
}

CORBA::Long &Foo4::flick_sequence_long_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &Foo4::flick_sequence_long_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

Foo4::flick_sequence_long *Foo4::flick_sequence_long_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_un[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x756e3a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:un:1.0 */,
    3, ACE_NTOHL(0x756e0000) /* name = un */
};

static CORBA::TypeCode _tc_TAO_tc_un (CORBA::tk_objref, sizeof(_oc_un), (char *) &_oc_un, 0, sizeof(un ));

CORBA::TypeCode_ptr _tc_un = &_tc_TAO_tc_un;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<un >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<un >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

un_ptr un::_duplicate(un_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

un_ptr un::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return un::_nil();
  if( !obj->_is_a("IDL:un:1.0", _env) )
    return un::_nil();
  return un::_unchecked_narrow(obj, _env);
}

un_ptr un::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return un::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new un (stub);
  return new _tao_collocated_un(
      ACE_reinterpret_cast(POA_un_ptr , servant),
      stub
    );
}

un_ptr un::_nil()
{
  return (un_ptr )NULL;
}

CORBA::Boolean un::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:un:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *un::_interface_repository_id() const
{
  return "IDL:un:1.0";
}

un::un()
{}

un::~un()
{}

void operator<<=(CORBA::Any &a, un_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = un::_duplicate(o);
    a.replace (_tc_un, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, un_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = un::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_un, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_un, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = un::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_un, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

un::un(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

un_var::un_var()
  : ptr_(un::_nil())
{}

un_var::un_var(un_ptr p)
  : ptr_(p)
{}

un_var::un_var(const un_var &a)
  : ptr_(un::_duplicate(a.ptr()))
{}

un_var::~un_var()
{
  CORBA::release(this->ptr_);
}

un_var &un_var::operator=(un_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

un_var &un_var::operator=(const un_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = un::_duplicate(p.ptr());
  }
  return *this;
}

un_ptr un_var::operator->() const
{
  return this->ptr_;
}

un_var::operator const un_ptr &() const
{
  return this->ptr_;
}

un_var::operator un_ptr &()
{
  return this->ptr_;
}

un_ptr un_var::in() const
{
  return this->ptr_;
}

un_ptr &un_var::inout()
{
  return this->ptr_;
}

un_ptr &un_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = un::_nil();
  return this->ptr_;
}

un_ptr un_var::_retn()
{
  un_ptr  val = this->ptr_;
  this->ptr_ = un::_nil();
  return val;
}

un_ptr un_var::ptr() const
{
  return this->ptr_;
}

un_out::un_out(un_ptr &r)
  : ptr_(r)
{
  this->ptr_ = un::_nil();
}

un_out::un_out(un_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = un::_nil();
}

un_out::un_out(const un_out &r)
  : ptr_(ACE_const_cast(un_out &,r).ptr_)
{}

un_out &un_out::operator=(const un_out &r)
{
  this->ptr_ = ACE_const_cast(un_out &,r).ptr_;
  return *this;
}

un_out &un_out::operator=(const un_var &r)
{
  this->ptr_ = un::_duplicate(r.ptr());
  return *this;
}

un_out &un_out::operator=(un_ptr r)
{
  this->ptr_ = r;
  return *this;
}

un_out::operator un_ptr &()
{
  return this->ptr_;
}

un_ptr &un_out::ptr()
{
  return this->ptr_;
}

un_ptr un_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiopxx_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.y, CORBA::Short );
        flick_iiopxx_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiopxx_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_encode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(5, _flick_abort8);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_iiopxx_check_span(4, _flick_abort13);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        break;
        {
        _flick_abort13:
          goto _flick_abort8;
        }
      }
    case 2:
      {
        flick_iiopxx_check_span(2, _flick_abort14);
        flick_iiopxx_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.y, CORBA::Short );
        flick_iiopxx_decode_end_chunk(2);
        break;
        {
        _flick_abort14:
          goto _flick_abort8;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(5, _flick_abort16);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_iiopxx_check_span(4, _flick_abort21);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        break;
        {
        _flick_abort21:
          goto _flick_abort16;
        }
      }
    case 2:
      {
        flick_iiopxx_check_span(2, _flick_abort22);
        flick_iiopxx_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.y, CORBA::Short );
        flick_iiopxx_decode_end_chunk(2);
        break;
        {
        _flick_abort22:
          goto _flick_abort16;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort24);
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->disc_, CORBA::Char );
  flick_iiopxx_encode_end_chunk(1);
  switch (_data->disc_)
    {
    case 'a':
      {
        flick_iiopxx_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x, CORBA::Long );
        flick_iiopxx_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiopxx_encode_new_chunk(3);
        flick_cdr_encode_signed16(1, _data->_u.y, CORBA::Short );
        flick_iiopxx_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiopxx_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_encode_end_chunk(1);
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(1, _flick_abort34);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->disc_, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  switch (_data->disc_)
    {
    case 'a':
      {
        flick_iiopxx_check_span(7, _flick_abort40);
        flick_iiopxx_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(7);
        break;
        {
        _flick_abort40:
          goto _flick_abort34;
        }
      }
    case 'b':
      {
        flick_iiopxx_check_span(3, _flick_abort41);
        flick_iiopxx_decode_new_chunk(3);
        flick_cdr_decode_signed16(1, _data->_u.y, CORBA::Short );
        flick_iiopxx_decode_end_chunk(3);
        break;
        {
        _flick_abort41:
          goto _flick_abort34;
        }
      }
    case 'c':
      {
        flick_iiopxx_check_span(1, _flick_abort42);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
        {
        _flick_abort42:
          goto _flick_abort34;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(1, _flick_abort44);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->disc_, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  switch (_data->disc_)
    {
    case 'a':
      {
        flick_iiopxx_check_span(7, _flick_abort50);
        flick_iiopxx_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(7);
        break;
        {
        _flick_abort50:
          goto _flick_abort44;
        }
      }
    case 'b':
      {
        flick_iiopxx_check_span(3, _flick_abort51);
        flick_iiopxx_decode_new_chunk(3);
        flick_cdr_swap_decode_signed16(1, _data->_u.y, CORBA::Short );
        flick_iiopxx_decode_end_chunk(3);
        break;
        {
        _flick_abort51:
          goto _flick_abort44;
        }
      }
    case 'c':
      {
        flick_iiopxx_check_span(1, _flick_abort52);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
        {
        _flick_abort52:
          goto _flick_abort44;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort54);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->disc_, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  switch (_data->disc_)
    {
    case -1:
      {
        flick_iiopxx_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.a, CORBA::Short );
        flick_iiopxx_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiopxx_encode_new_chunk(6);
        flick_cdr_encode_signed32(2, _data->_u.b, CORBA::Long );
        flick_iiopxx_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiopxx_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.c, CORBA::Char );
        flick_iiopxx_encode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(3, _flick_abort62);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->disc_, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  switch (_data->disc_)
    {
    case -1:
      {
        flick_iiopxx_check_span(2, _flick_abort67);
        flick_iiopxx_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.a, CORBA::Short );
        flick_iiopxx_decode_end_chunk(2);
        break;
        {
        _flick_abort67:
          goto _flick_abort62;
        }
      }
    case 50:
      {
        flick_iiopxx_check_span(6, _flick_abort68);
        flick_iiopxx_decode_new_chunk(6);
        flick_cdr_decode_signed32(2, _data->_u.b, CORBA::Long );
        flick_iiopxx_decode_end_chunk(6);
        break;
        {
        _flick_abort68:
          goto _flick_abort62;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.c, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(3, _flick_abort70);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->disc_, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  switch (_data->disc_)
    {
    case -1:
      {
        flick_iiopxx_check_span(2, _flick_abort75);
        flick_iiopxx_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.a, CORBA::Short );
        flick_iiopxx_decode_end_chunk(2);
        break;
        {
        _flick_abort75:
          goto _flick_abort70;
        }
      }
    case 50:
      {
        flick_iiopxx_check_span(6, _flick_abort76);
        flick_iiopxx_decode_new_chunk(6);
        flick_cdr_swap_decode_signed32(2, _data->_u.b, CORBA::Long );
        flick_iiopxx_decode_end_chunk(6);
        break;
        {
        _flick_abort76:
          goto _flick_abort70;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.c, CORBA::Char );
        flick_iiopxx_decode_end_chunk(1);
        break;
      }
    }
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(48, _flick_abort78);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t1_temp_string_len;

        flick_cdr_stringlen(CORBA::Char *, _data->_u.a, flick_unsigned32_t , _t1_temp_string_len);

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(48);
        flick_iiopxx_encode_new_glob(1 * _t1_temp_string_len, _flick_abort87);
        flick_iiopxx_encode_new_chunk(1 * _t1_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.a, 1 * _t1_temp_string_len);
        flick_iiopxx_encode_end_chunk(1 * _t1_temp_string_len);
        flick_iiopxx_encode_end_glob(1 * _t1_temp_string_len);
        break;
        {
        _flick_abort87:
          goto _flick_abort78;
        }
      }
    case 2:
      {
        flick_iiopxx_encode_new_chunk(4 + 4 * _data->_u.b->_length);
        flick_cdr_encode_unsigned32(0, _data->_u.b->_length, CORBA::ULong );
        if (_data->_u.b->_length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
        flick_cdr_encode_bcopy(4, _data->_u.b->_buffer, 4 * _data->_u.b->_length);
        flick_iiopxx_encode_end_chunk(4 + 4 * _data->_u.b->_length);
        flick_iiopxx_encode_end_glob(48);
        break;
        {
        _flick_abort90:
          goto _flick_abort78;
        }
      }
    default:
      {
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.c, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(48);
  flick_iiopxx_check_span(8, _flick_abort94);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        flick_iiopxx_decode_new_glob(1 * _t3_temp_string_len);
        flick_iiopxx_check_span(1 * _t3_temp_string_len * 1, _flick_abort103);
        flick_iiopxx_decode_new_chunk(1 * _t3_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.a, 1 * _t3_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t3_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort103:
          goto _flick_abort94;
        }
      }
    case 2:
      {
        {
          Foo4::flick_sequence_long *_t_alloc_ptr;

          _t_alloc_ptr = (Foo4::flick_sequence_long *)new Foo4::flick_sequence_long ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort106);
          _data->_u.b = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.b->_length, CORBA::ULong );
        if (_data->_u.b->_length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort106);
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_check_span(4 * _data->_u.b->_length * 1, _flick_abort106);
        flick_iiopxx_decode_new_chunk(4 * _data->_u.b->_length);
        {
          CORBA::Long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort106);
          _data->_u.b->_buffer = _t_alloc_ptr;
          _data->_u.b->_maximum = 10;
          _data->_u.b->_release = 1;
        }
        flick_cdr_decode_bcopy(0, _data->_u.b->_buffer, 4 * _data->_u.b->_length);
        flick_iiopxx_decode_end_chunk(4 * _data->_u.b->_length);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort106:
          goto _flick_abort94;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.c, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort94:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(48);
  flick_iiopxx_check_span(8, _flick_abort110);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t6_temp_string_len;

        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        flick_iiopxx_decode_new_glob(1 * _t6_temp_string_len);
        flick_iiopxx_check_span(1 * _t6_temp_string_len * 1, _flick_abort122);
        flick_iiopxx_decode_new_chunk(1 * _t6_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t6_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.a, 1 * _t6_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t6_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t6_temp_string_len);
        break;
        {
        _flick_abort122:
          goto _flick_abort110;
        }
      }
    case 2:
      {
        CORBA::ULong _t7_array_iter;

        {
          Foo4::flick_sequence_long *_t_alloc_ptr;

          _t_alloc_ptr = (Foo4::flick_sequence_long *)new Foo4::flick_sequence_long ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
          _data->_u.b = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.b->_length, CORBA::ULong );
        if (_data->_u.b->_length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
        flick_iiopxx_decode_end_chunk(4);
        {
          CORBA::Long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
          _data->_u.b->_buffer = _t_alloc_ptr;
          _data->_u.b->_maximum = 10;
          _data->_u.b->_release = 1;
        }
        flick_iiopxx_check_span(_data->_u.b->_length * 4, _flick_abort125);
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b->_length; _t7_array_iter++)
          {
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.b->_buffer[_t7_array_iter], CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            continue;
          }
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort125:
          goto _flick_abort110;
        }
      }
    default:
      {
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.c, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort110:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, un , _flick_abort132);
  return 0;
  {
  _flick_abort132:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, un , _flick_abort133);
  return 0;
  {
  _flick_abort133:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, un , _flick_abort134);
  return 0;
  {
  _flick_abort134:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

Foo un::one(/* un *this, */ const Foo2 &a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  Foo _return;

  memset(&_return, 0, sizeof(Foo ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort136);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort136);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort136);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'n', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, a.disc_, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      switch (a.disc_)
        {
        case 'a':
          {
            flick_iiopxx_encode_new_chunk(7);
            flick_cdr_encode_signed32(3, a._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(7);
            break;
          }
        case 'b':
          {
            flick_iiopxx_encode_new_chunk(3);
            flick_cdr_encode_signed16(1, a._u.y, CORBA::Short );
            flick_iiopxx_encode_end_chunk(3);
            break;
          }
        case 'c':
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, a._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        default:
          {
            break;
          }
        }
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort136);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort136);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort136);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort188);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort193);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort193:
                      goto _flick_abort188;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort194);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort194:
                      goto _flick_abort188;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort188:
                goto _flick_abort136;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort196);
              break;
              {
              _flick_abort196:
                goto _flick_abort136;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort197);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort197:
                goto _flick_abort136;
              }
            }
          }
      }
    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort136);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort167);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (_return.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort172);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort172:
                      goto _flick_abort167;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(2, _flick_abort173);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, _return._u.y, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort173:
                      goto _flick_abort167;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _return._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort167:
                goto _flick_abort136;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort175);
              break;
              {
              _flick_abort175:
                goto _flick_abort136;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort176);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort176:
                goto _flick_abort136;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort136:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort135);
    _flick_abort135:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

Foo3 un::two(/* un *this, */ const Foo4 &a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  Foo3 _return;

  memset(&_return, 0, sizeof(Foo3 ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort199);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort199);
    }
    {
      flick_iiopxx_encode_new_glob(60, _flick_abort199);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'w', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      switch (a.disc_)
        {
        case 1:
          {
            flick_unsigned32_t _t13_temp_string_len;

            flick_cdr_stringlen(CORBA::Char *, a._u.a, flick_unsigned32_t , _t13_temp_string_len);

            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(60);
            flick_iiopxx_encode_new_glob(1 * _t13_temp_string_len, _flick_abort224);
            flick_iiopxx_encode_new_chunk(1 * _t13_temp_string_len);
            flick_cdr_encode_bcopy(0, a._u.a, 1 * _t13_temp_string_len);
            flick_iiopxx_encode_end_chunk(1 * _t13_temp_string_len);
            flick_iiopxx_encode_end_glob(1 * _t13_temp_string_len);
            break;
            {
            _flick_abort224:
              goto _flick_abort199;
            }
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(4 + 4 * a._u.b->_length);
            flick_cdr_encode_unsigned32(0, a._u.b->_length, CORBA::ULong );
            if (a._u.b->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort227);
            flick_cdr_encode_bcopy(4, a._u.b->_buffer, 4 * a._u.b->_length);
            flick_iiopxx_encode_end_chunk(4 + 4 * a._u.b->_length);
            flick_iiopxx_encode_end_glob(60);
            break;
            {
            _flick_abort227:
              goto _flick_abort199;
            }
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, a._u.c, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_end_glob(60);
            break;
          }
        }
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort199);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort199);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort199);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort263);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (_return.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort268);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_swap_decode_signed16(0, _return._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort268:
                      goto _flick_abort263;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_check_span(6, _flick_abort269);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_swap_decode_signed32(2, _return._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                    {
                    _flick_abort269:
                      goto _flick_abort263;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, _return._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort263:
                goto _flick_abort199;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort271);
              break;
              {
              _flick_abort271:
                goto _flick_abort199;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort272);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort272:
                goto _flick_abort199;
              }
            }
          }
      }
    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort199);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort242);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.disc_, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              switch (_return.disc_)
                {
                case -1:
                  {
                    flick_iiopxx_check_span(2, _flick_abort247);
                    flick_iiopxx_decode_new_chunk(2);
                    flick_cdr_decode_signed16(0, _return._u.a, CORBA::Short );
                    flick_iiopxx_decode_end_chunk(2);
                    break;
                    {
                    _flick_abort247:
                      goto _flick_abort242;
                    }
                  }
                case 50:
                  {
                    flick_iiopxx_check_span(6, _flick_abort248);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_decode_signed32(2, _return._u.b, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                    {
                    _flick_abort248:
                      goto _flick_abort242;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, _return._u.c, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort242:
                goto _flick_abort199;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort250);
              break;
              {
              _flick_abort250:
                goto _flick_abort199;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort251);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort251:
                goto _flick_abort199;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort199:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort198);
    _flick_abort198:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

