#include "any-server.h"

/* This is the runtime type information */
char *flick_interface_parents_I[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_any_seq(flick_marshal_stream_t _stream, any_seq *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_cdr_encode_type_tag_and_value(khazana, _data->_buffer[_t0_array_iter], _flick_label4, _flick_abort4);
      continue;
      {
      _flick_abort4:
        goto _flick_abort0;
      }
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_seq(flick_marshal_stream_t _stream, any_seq *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort6);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_any *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_any )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 0, _flick_abort10);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_cdr_decode_type_tag_and_value(khazana, _data->_buffer[_t1_array_iter], _flick_label9, _flick_abort11);
      continue;
      {
      _flick_abort11:
        goto _flick_abort10;
      }
    }
  return 0;
  {
  _flick_abort10:
    CORBA_flick_free(_data->_buffer);
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_seq_swap(flick_marshal_stream_t _stream, any_seq *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort13);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_any *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_any )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 0, _flick_abort17);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_cdr_swap_decode_type_tag_and_value(khazana, _data->_buffer[_t2_array_iter], _flick_label14, _flick_abort18);
      continue;
      {
      _flick_abort18:
        goto _flick_abort17;
      }
    }
  return 0;
  {
  _flick_abort17:
    CORBA_flick_free(_data->_buffer);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_any_struct(flick_marshal_stream_t _stream, struct any_struct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort20);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->slot_1, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_cdr_encode_type_tag_and_value(khazana, _data->slot_2, _flick_label15, _flick_abort20);
  flick_khazana_encode_new_glob(7, _flick_abort20);
  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->slot_3, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(7);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_struct(flick_marshal_stream_t _stream, struct any_struct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(8, _flick_abort21);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->slot_1, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_cdr_decode_type_tag_and_value(khazana, _data->slot_2, _flick_label16, _flick_abort21);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort21);
  flick_cdr_decode_signed32(0, _data->slot_3, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_struct_swap(flick_marshal_stream_t _stream, struct any_struct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(8, _flick_abort22);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->slot_1, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_cdr_swap_decode_type_tag_and_value(khazana, _data->slot_2, _flick_label17, _flick_abort22);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort22);
  flick_cdr_swap_decode_signed32(0, _data->slot_3, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_I(flick_marshal_stream_t _stream, I *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort23);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_I(flick_marshal_stream_t _stream, I *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_I_swap(flick_marshal_stream_t _stream, I *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t I_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t123_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort28);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t123_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t123_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t124_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t124_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t124_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t125_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t125_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t125_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t126_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t126_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t126_switch_tag)
                        {
                        case 0:
                          {
                            {
                              I _obj;
                              unsigned int _t127_principal_len;
                              CORBA_any *_return;
                              CORBA_any *_local_a;
                              CORBA_any _t128_storage;
                              CORBA_any *_local_b;
                              CORBA_any _t129_storage;
                              CORBA_any **_local_c;
                              CORBA_any *_t130_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t131_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort272);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t127_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t127_principal_len);
                              flick_khazana_check_span(_t127_principal_len * 1, _flick_abort272);
                              flick_khazana_decode_new_chunk(_t127_principal_len);
                              flick_khazana_decode_end_chunk(_t127_principal_len);
                              flick_khazana_decode_end_glob(_t127_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_any *)(&_t128_storage);
                              flick_cdr_swap_decode_type_tag_and_value(khazana, *_local_a, _flick_label186, _flick_abort272);
                              _local_b = (CORBA_any *)(&_t129_storage);
                              flick_cdr_swap_decode_type_tag_and_value(khazana, *_local_b, _flick_label187, _flick_abort272);
                              _local_c = (CORBA_any **)(&_t130_storage);
                              _ev = (CORBA_Environment *)(&_t131_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = I_op_any(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort272);
                                flick_khazana_encode_new_glob(4, _flick_abort272);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(khazana, *_return, _flick_label191, _flick_abort277);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_cdr_encode_type_tag_and_value(khazana, *_local_b, _flick_label192, _flick_abort277);
                                      flick_cdr_encode_type_tag_and_value(khazana, **_local_c, _flick_label193, _flick_abort277);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort277:
                                        goto _flick_abort272;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort278);
                                      break;
                                      {
                                      _flick_abort278:
                                        goto _flick_abort272;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort279);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort279:
                                        goto _flick_abort272;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort272:
                                goto _flick_abort271;
                              }
                            }
                            break;
                            {
                            _flick_abort271:
                              goto _flick_abort28;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t132_switch_tag;

          flick_khazana_check_span(16, _flick_abort28);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t132_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t132_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t133_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t133_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t134_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t134_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t134_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t135_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t135_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t135_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    I _obj;
                                    unsigned int _t136_principal_len;
                                    any_seq *_return;
                                    any_seq *_local_a;
                                    any_seq _t137_storage;
                                    CORBA_unsigned_long _t138_array_iter;
                                    any_seq *_local_b;
                                    any_seq _t139_storage;
                                    CORBA_unsigned_long _t140_array_iter;
                                    any_seq **_local_c;
                                    any_seq *_t141_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t142_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort281);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t136_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t136_principal_len);
                                    flick_khazana_check_span(_t136_principal_len * 1, _flick_abort281);
                                    flick_khazana_decode_new_chunk(_t136_principal_len);
                                    flick_khazana_decode_end_chunk(_t136_principal_len);
                                    flick_khazana_decode_end_glob(_t136_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (any_seq *)(&_t137_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort281);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort281);
                                      _local_a->_buffer = _t_alloc_ptr;
                                      _local_a->_maximum = _local_a->_length;
                                      _local_a->_release = 1;
                                    }
                                    flick_khazana_check_span(_local_a->_length * 0, _flick_abort285);
                                    for (_t138_array_iter = 0; _t138_array_iter < _local_a->_length; _t138_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(khazana, _local_a->_buffer[_t138_array_iter], _flick_label198, _flick_abort286);
                                        continue;
                                        {
                                        _flick_abort286:
                                          goto _flick_abort285;
                                        }
                                      }
                                    _local_b = (any_seq *)(&_t139_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort285);
                                    flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort285);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    flick_khazana_check_span(_local_b->_length * 0, _flick_abort291);
                                    for (_t140_array_iter = 0; _t140_array_iter < _local_b->_length; _t140_array_iter++)
                                      {
                                        flick_cdr_swap_decode_type_tag_and_value(khazana, _local_b->_buffer[_t140_array_iter], _flick_label203, _flick_abort292);
                                        continue;
                                        {
                                        _flick_abort292:
                                          goto _flick_abort291;
                                        }
                                      }
                                    _local_c = (any_seq **)(&_t141_storage);
                                    _ev = (CORBA_Environment *)(&_t142_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_seq(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort291);
                                      flick_khazana_encode_new_glob(8, _flick_abort291);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            CORBA_unsigned_long _t146_array_iter;
                                            CORBA_unsigned_long _t147_array_iter;
                                            CORBA_unsigned_long _t148_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            for (_t146_array_iter = 0; _t146_array_iter < _return->_length; _t146_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, _return->_buffer[_t146_array_iter], _flick_label223, _flick_abort317);
                                                continue;
                                                {
                                                _flick_abort317:
                                                  goto _flick_abort313;
                                                }
                                              }
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = 0;
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_new_glob(7, _flick_abort313);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            for (_t147_array_iter = 0; _t147_array_iter < _local_b->_length; _t147_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, _local_b->_buffer[_t147_array_iter], _flick_label228, _flick_abort322);
                                                continue;
                                                {
                                                _flick_abort322:
                                                  goto _flick_abort313;
                                                }
                                              }
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = 0;
                                            flick_khazana_encode_new_glob(7, _flick_abort313);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            for (_t148_array_iter = 0; _t148_array_iter < (*_local_c)->_length; _t148_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, (*_local_c)->_buffer[_t148_array_iter], _flick_label233, _flick_abort327);
                                                continue;
                                                {
                                                _flick_abort327:
                                                  goto _flick_abort313;
                                                }
                                              }
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = 0;
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            break;
                                            {
                                            _flick_abort313:
                                              goto _flick_abort291;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort329);
                                            break;
                                            {
                                            _flick_abort329:
                                              goto _flick_abort291;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort330:
                                              goto _flick_abort291;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort291:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort285:
                                      auto_flick_free(_local_a->_buffer);
                                    _flick_abort281:
                                      goto _flick_abort280;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort280:
                                    goto _flick_abort28;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t149_switch_tag;

          flick_khazana_check_span(20, _flick_abort28);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t149_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t149_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t150_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t150_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t150_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t151_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t151_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t152_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t152_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t152_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    I _obj;
                                    unsigned int _t153_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct *_local_a;
                                    struct any_struct _t154_storage;
                                    struct any_struct *_local_b;
                                    struct any_struct _t155_storage;
                                    struct any_struct **_local_c;
                                    struct any_struct *_t156_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t157_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort332);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(2, _t153_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(6);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t153_principal_len);
                                    flick_khazana_check_span(_t153_principal_len * 1, _flick_abort332);
                                    flick_khazana_decode_new_chunk(_t153_principal_len);
                                    flick_khazana_decode_end_chunk(_t153_principal_len);
                                    flick_khazana_decode_end_glob(_t153_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (struct any_struct *)(&_t154_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort332);
                                    flick_cdr_swap_decode_signed32(0, _local_a->slot_1, CORBA_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_cdr_swap_decode_type_tag_and_value(khazana, _local_a->slot_2, _flick_label234, _flick_abort332);
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort332);
                                    flick_cdr_swap_decode_signed32(0, _local_a->slot_3, CORBA_long );
                                    _local_b = (struct any_struct *)(&_t155_storage);
                                    flick_cdr_swap_decode_signed32(4, _local_b->slot_1, CORBA_long );
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_cdr_swap_decode_type_tag_and_value(khazana, _local_b->slot_2, _flick_label235, _flick_abort332);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort332);
                                    flick_cdr_swap_decode_signed32(0, _local_b->slot_3, CORBA_long );
                                    _local_c = (struct any_struct **)(&_t156_storage);
                                    _ev = (CORBA_Environment *)(&_t157_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_struct(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort332);
                                      flick_khazana_encode_new_glob(8, _flick_abort332);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(khazana, _return->slot_2, _flick_label239, _flick_abort337);
                                            flick_khazana_encode_new_glob(11, _flick_abort337);
                                            flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA_long );
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_cdr_encode_signed32(4, _local_b->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(khazana, _local_b->slot_2, _flick_label240, _flick_abort337);
                                            flick_khazana_encode_new_glob(11, _flick_abort337);
                                            flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->slot_3, CORBA_long );
                                            flick_cdr_encode_signed32(4, (*_local_c)->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(khazana, (*_local_c)->slot_2, _flick_label241, _flick_abort337);
                                            flick_khazana_encode_new_glob(7, _flick_abort337);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, (*_local_c)->slot_3, CORBA_long );
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort337:
                                              goto _flick_abort332;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort338);
                                            break;
                                            {
                                            _flick_abort338:
                                              goto _flick_abort332;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort339:
                                              goto _flick_abort332;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort332:
                                      goto _flick_abort331;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort331:
                                    goto _flick_abort28;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t158_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t158_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t158_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t159_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t159_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t159_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t160_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t161_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t160_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t160_principal_len);
                        flick_khazana_check_span(_t160_principal_len * 1, _flick_abort341);
                        flick_khazana_decode_new_chunk(_t160_principal_len);
                        flick_khazana_decode_end_chunk(_t160_principal_len);
                        flick_khazana_decode_end_glob(_t160_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort341);
                        flick_cdr_swap_decode_unsigned32(0, _t161_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t161_temp_string_len);
                        flick_khazana_check_span(1 * _t161_temp_string_len * 1, _flick_abort341);
                        flick_khazana_decode_new_chunk(1 * _t161_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t161_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t161_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        _par = flick_interface_parents_I;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort341);
                          flick_khazana_encode_new_glob(5, _flick_abort341);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort349);
                                break;
                                {
                                _flick_abort349:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort350);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort28;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t43_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort28);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t43_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t44_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t44_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned short int _t45_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t45_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t45_switch_tag)
                  {
                  case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                    {
                      char _t46_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t46_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t46_switch_tag)
                        {
                        case 0:
                          {
                            {
                              I _obj;
                              unsigned int _t47_principal_len;
                              CORBA_any *_return;
                              CORBA_any *_local_a;
                              CORBA_any _t48_storage;
                              CORBA_any *_local_b;
                              CORBA_any _t49_storage;
                              CORBA_any **_local_c;
                              CORBA_any *_t50_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t51_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort111);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t47_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t47_principal_len);
                              flick_khazana_check_span(_t47_principal_len * 1, _flick_abort111);
                              flick_khazana_decode_new_chunk(_t47_principal_len);
                              flick_khazana_decode_end_chunk(_t47_principal_len);
                              flick_khazana_decode_end_glob(_t47_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_any *)(&_t48_storage);
                              flick_cdr_decode_type_tag_and_value(khazana, *_local_a, _flick_label74, _flick_abort111);
                              _local_b = (CORBA_any *)(&_t49_storage);
                              flick_cdr_decode_type_tag_and_value(khazana, *_local_b, _flick_label75, _flick_abort111);
                              _local_c = (CORBA_any **)(&_t50_storage);
                              _ev = (CORBA_Environment *)(&_t51_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = I_op_any(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort111);
                                flick_khazana_encode_new_glob(4, _flick_abort111);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_type_tag_and_value(khazana, *_return, _flick_label79, _flick_abort116);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_cdr_encode_type_tag_and_value(khazana, *_local_b, _flick_label80, _flick_abort116);
                                      flick_cdr_encode_type_tag_and_value(khazana, **_local_c, _flick_label81, _flick_abort116);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = 0;
                                      break;
                                      {
                                      _flick_abort116:
                                        goto _flick_abort111;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort117);
                                      break;
                                      {
                                      _flick_abort117:
                                        goto _flick_abort111;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort118:
                                        goto _flick_abort111;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort111:
                                goto _flick_abort110;
                              }
                            }
                            break;
                            {
                            _flick_abort110:
                              goto _flick_abort28;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t52_switch_tag;

          flick_khazana_check_span(16, _flick_abort28);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t52_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t53_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t53_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned short int _t54_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t54_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t54_switch_tag)
                        {
                        case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                          {
                            char _t55_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t55_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t55_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    I _obj;
                                    unsigned int _t56_principal_len;
                                    any_seq *_return;
                                    any_seq *_local_a;
                                    any_seq _t57_storage;
                                    CORBA_unsigned_long _t58_array_iter;
                                    any_seq *_local_b;
                                    any_seq _t59_storage;
                                    CORBA_unsigned_long _t60_array_iter;
                                    any_seq **_local_c;
                                    any_seq *_t61_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t62_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort120);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t56_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t56_principal_len);
                                    flick_khazana_check_span(_t56_principal_len * 1, _flick_abort120);
                                    flick_khazana_decode_new_chunk(_t56_principal_len);
                                    flick_khazana_decode_end_chunk(_t56_principal_len);
                                    flick_khazana_decode_end_glob(_t56_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (any_seq *)(&_t57_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort120);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort120);
                                      _local_a->_buffer = _t_alloc_ptr;
                                      _local_a->_maximum = _local_a->_length;
                                      _local_a->_release = 1;
                                    }
                                    flick_khazana_check_span(_local_a->_length * 0, _flick_abort124);
                                    for (_t58_array_iter = 0; _t58_array_iter < _local_a->_length; _t58_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(khazana, _local_a->_buffer[_t58_array_iter], _flick_label86, _flick_abort125);
                                        continue;
                                        {
                                        _flick_abort125:
                                          goto _flick_abort124;
                                        }
                                      }
                                    _local_b = (any_seq *)(&_t59_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort124);
                                    flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    {
                                      CORBA_any *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_any *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_any )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort124);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    flick_khazana_check_span(_local_b->_length * 0, _flick_abort130);
                                    for (_t60_array_iter = 0; _t60_array_iter < _local_b->_length; _t60_array_iter++)
                                      {
                                        flick_cdr_decode_type_tag_and_value(khazana, _local_b->_buffer[_t60_array_iter], _flick_label91, _flick_abort131);
                                        continue;
                                        {
                                        _flick_abort131:
                                          goto _flick_abort130;
                                        }
                                      }
                                    _local_c = (any_seq **)(&_t61_storage);
                                    _ev = (CORBA_Environment *)(&_t62_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_seq(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort130);
                                      flick_khazana_encode_new_glob(8, _flick_abort130);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            CORBA_unsigned_long _t66_array_iter;
                                            CORBA_unsigned_long _t67_array_iter;
                                            CORBA_unsigned_long _t68_array_iter;

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            for (_t66_array_iter = 0; _t66_array_iter < _return->_length; _t66_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, _return->_buffer[_t66_array_iter], _flick_label111, _flick_abort156);
                                                continue;
                                                {
                                                _flick_abort156:
                                                  goto _flick_abort152;
                                                }
                                              }
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = 0;
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_new_glob(7, _flick_abort152);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            for (_t67_array_iter = 0; _t67_array_iter < _local_b->_length; _t67_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, _local_b->_buffer[_t67_array_iter], _flick_label116, _flick_abort161);
                                                continue;
                                                {
                                                _flick_abort161:
                                                  goto _flick_abort152;
                                                }
                                              }
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = 0;
                                            flick_khazana_encode_new_glob(7, _flick_abort152);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            for (_t68_array_iter = 0; _t68_array_iter < (*_local_c)->_length; _t68_array_iter++)
                                              {
                                                flick_cdr_encode_type_tag_and_value(khazana, (*_local_c)->_buffer[_t68_array_iter], _flick_label121, _flick_abort166);
                                                continue;
                                                {
                                                _flick_abort166:
                                                  goto _flick_abort152;
                                                }
                                              }
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = 0;
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            break;
                                            {
                                            _flick_abort152:
                                              goto _flick_abort130;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort168);
                                            break;
                                            {
                                            _flick_abort168:
                                              goto _flick_abort130;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort169:
                                              goto _flick_abort130;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort130:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort124:
                                      auto_flick_free(_local_a->_buffer);
                                    _flick_abort120:
                                      goto _flick_abort119;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort119:
                                    goto _flick_abort28;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t69_switch_tag;

          flick_khazana_check_span(20, _flick_abort28);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
              {
                unsigned int _t70_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t70_switch_tag)
                  {
                  case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                    {
                      unsigned int _t71_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t71_switch_tag)
                        {
                        case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                          {
                            unsigned short int _t72_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t72_switch_tag)
                              {
                              case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                {
                                  {
                                    I _obj;
                                    unsigned int _t73_principal_len;
                                    struct any_struct *_return;
                                    struct any_struct *_local_a;
                                    struct any_struct _t74_storage;
                                    struct any_struct *_local_b;
                                    struct any_struct _t75_storage;
                                    struct any_struct **_local_c;
                                    struct any_struct *_t76_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t77_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort171);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(2, _t73_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(6);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t73_principal_len);
                                    flick_khazana_check_span(_t73_principal_len * 1, _flick_abort171);
                                    flick_khazana_decode_new_chunk(_t73_principal_len);
                                    flick_khazana_decode_end_chunk(_t73_principal_len);
                                    flick_khazana_decode_end_glob(_t73_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (struct any_struct *)(&_t74_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort171);
                                    flick_cdr_decode_signed32(0, _local_a->slot_1, CORBA_long );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_cdr_decode_type_tag_and_value(khazana, _local_a->slot_2, _flick_label122, _flick_abort171);
                                    flick_khazana_decode_new_glob(11);
                                    flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_khazana_check_span(8, _flick_abort171);
                                    flick_cdr_decode_signed32(0, _local_a->slot_3, CORBA_long );
                                    _local_b = (struct any_struct *)(&_t75_storage);
                                    flick_cdr_decode_signed32(4, _local_b->slot_1, CORBA_long );
                                    flick_khazana_decode_end_chunk(8);
                                    flick_khazana_decode_end_glob(11);
                                    flick_cdr_decode_type_tag_and_value(khazana, _local_b->slot_2, _flick_label123, _flick_abort171);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort171);
                                    flick_cdr_decode_signed32(0, _local_b->slot_3, CORBA_long );
                                    _local_c = (struct any_struct **)(&_t76_storage);
                                    _ev = (CORBA_Environment *)(&_t77_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = I_op_any_struct(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort171);
                                      flick_khazana_encode_new_glob(8, _flick_abort171);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_cdr_encode_type_tag_and_value(khazana, _return->slot_2, _flick_label127, _flick_abort176);
                                            flick_khazana_encode_new_glob(11, _flick_abort176);
                                            flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _return->slot_3, CORBA_long );
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_cdr_encode_signed32(4, _local_b->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(khazana, _local_b->slot_2, _flick_label128, _flick_abort176);
                                            flick_khazana_encode_new_glob(11, _flick_abort176);
                                            flick_khazana_encode_new_chunk_align(8, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->slot_3, CORBA_long );
                                            flick_cdr_encode_signed32(4, (*_local_c)->slot_1, CORBA_long );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(11);
                                            flick_cdr_encode_type_tag_and_value(khazana, (*_local_c)->slot_2, _flick_label129, _flick_abort176);
                                            flick_khazana_encode_new_glob(7, _flick_abort176);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, (*_local_c)->slot_3, CORBA_long );
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = 0;
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort176:
                                              goto _flick_abort171;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort177);
                                            break;
                                            {
                                            _flick_abort177:
                                              goto _flick_abort171;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort178:
                                              goto _flick_abort171;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort171:
                                      goto _flick_abort170;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort170:
                                    goto _flick_abort28;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t78_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t78_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t79_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t79_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t79_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t80_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t81_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t82_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort180);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t80_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t80_principal_len);
                        flick_khazana_check_span(_t80_principal_len * 1, _flick_abort180);
                        flick_khazana_decode_new_chunk(_t80_principal_len);
                        flick_khazana_decode_end_chunk(_t80_principal_len);
                        flick_khazana_decode_end_glob(_t80_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort180);
                        flick_cdr_decode_unsigned32(0, _t81_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t81_temp_string_len);
                        flick_khazana_check_span(1 * _t81_temp_string_len * 1, _flick_abort180);
                        flick_khazana_decode_new_chunk(1 * _t81_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t81_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t81_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t82_storage);
                        _par = flick_interface_parents_I;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort180);
                          flick_khazana_encode_new_glob(5, _flick_abort180);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort188);
                                break;
                                {
                                _flick_abort188:
                                  goto _flick_abort180;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort189);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort189:
                                  goto _flick_abort180;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort180:
                          goto _flick_abort179;
                        }
                      }
                      break;
                      {
                      _flick_abort179:
                        goto _flick_abort28;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort28);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort28:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort27);
  _flick_abort27:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

