#include "mig-arrays-ool-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t s_rpc_128_in(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t36_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t36_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t36_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t37_principal_len;
            kern_return_t _return;
            t64B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort237);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t37_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t37_principal_len);
            flick_khazana_check_span(_t37_principal_len * 1, _flick_abort237);
            flick_khazana_decode_new_chunk(_t37_principal_len);
            flick_khazana_decode_end_chunk(_t37_principal_len);
            flick_khazana_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort237);
              flick_khazana_encode_new_glob(4, _flick_abort237);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort242);
                    break;
                    {
                    _flick_abort242:
                      goto _flick_abort237;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort237:
              goto _flick_abort236;
            }
          }
          break;
          {
          _flick_abort236:
            goto _flick_abort2;
          }
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t38_principal_len;
            kern_return_t _return;
            t128B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort244);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t38_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t38_principal_len);
            flick_khazana_check_span(_t38_principal_len * 1, _flick_abort244);
            flick_khazana_decode_new_chunk(_t38_principal_len);
            flick_khazana_decode_end_chunk(_t38_principal_len);
            flick_khazana_decode_end_glob(_t38_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort244);
              flick_khazana_encode_new_glob(4, _flick_abort244);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort249);
                    break;
                    {
                    _flick_abort249:
                      goto _flick_abort244;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort244:
              goto _flick_abort243;
            }
          }
          break;
          {
          _flick_abort243:
            goto _flick_abort2;
          }
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t39_principal_len;
            kern_return_t _return;
            t256B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort251);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t39_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t39_principal_len);
            flick_khazana_check_span(_t39_principal_len * 1, _flick_abort251);
            flick_khazana_decode_new_chunk(_t39_principal_len);
            flick_khazana_decode_end_chunk(_t39_principal_len);
            flick_khazana_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort251);
              flick_khazana_encode_new_glob(4, _flick_abort251);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort256);
                    break;
                    {
                    _flick_abort256:
                      goto _flick_abort251;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort251:
              goto _flick_abort250;
            }
          }
          break;
          {
          _flick_abort250:
            goto _flick_abort2;
          }
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t40_principal_len;
            kern_return_t _return;
            t512B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort258);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t40_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t40_principal_len);
            flick_khazana_check_span(_t40_principal_len * 1, _flick_abort258);
            flick_khazana_decode_new_chunk(_t40_principal_len);
            flick_khazana_decode_end_chunk(_t40_principal_len);
            flick_khazana_decode_end_glob(_t40_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort258);
              flick_khazana_encode_new_glob(4, _flick_abort258);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort263);
                    break;
                    {
                    _flick_abort263:
                      goto _flick_abort258;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort258:
              goto _flick_abort257;
            }
          }
          break;
          {
          _flick_abort257:
            goto _flick_abort2;
          }
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t41_principal_len;
            kern_return_t _return;
            t1K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort265);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t41_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t41_principal_len);
            flick_khazana_check_span(_t41_principal_len * 1, _flick_abort265);
            flick_khazana_decode_new_chunk(_t41_principal_len);
            flick_khazana_decode_end_chunk(_t41_principal_len);
            flick_khazana_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort265);
              flick_khazana_encode_new_glob(4, _flick_abort265);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort270);
                    break;
                    {
                    _flick_abort270:
                      goto _flick_abort265;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort265:
              goto _flick_abort264;
            }
          }
          break;
          {
          _flick_abort264:
            goto _flick_abort2;
          }
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t42_principal_len;
            kern_return_t _return;
            t2K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort272);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t42_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t42_principal_len);
            flick_khazana_check_span(_t42_principal_len * 1, _flick_abort272);
            flick_khazana_decode_new_chunk(_t42_principal_len);
            flick_khazana_decode_end_chunk(_t42_principal_len);
            flick_khazana_decode_end_glob(_t42_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort272);
              flick_khazana_encode_new_glob(4, _flick_abort272);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort277);
                    break;
                    {
                    _flick_abort277:
                      goto _flick_abort272;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort272:
              goto _flick_abort271;
            }
          }
          break;
          {
          _flick_abort271:
            goto _flick_abort2;
          }
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t43_principal_len;
            kern_return_t _return;
            t4K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort279);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t43_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t43_principal_len);
            flick_khazana_check_span(_t43_principal_len * 1, _flick_abort279);
            flick_khazana_decode_new_chunk(_t43_principal_len);
            flick_khazana_decode_end_chunk(_t43_principal_len);
            flick_khazana_decode_end_glob(_t43_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort279);
              flick_khazana_encode_new_glob(4, _flick_abort279);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort284);
                    break;
                    {
                    _flick_abort284:
                      goto _flick_abort279;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort279:
              goto _flick_abort278;
            }
          }
          break;
          {
          _flick_abort278:
            goto _flick_abort2;
          }
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t44_principal_len;
            kern_return_t _return;
            t8K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort286);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t44_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t44_principal_len);
            flick_khazana_check_span(_t44_principal_len * 1, _flick_abort286);
            flick_khazana_decode_new_chunk(_t44_principal_len);
            flick_khazana_decode_end_chunk(_t44_principal_len);
            flick_khazana_decode_end_glob(_t44_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort286);
              flick_khazana_encode_new_glob(4, _flick_abort286);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort291);
                    break;
                    {
                    _flick_abort291:
                      goto _flick_abort286;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort286:
              goto _flick_abort285;
            }
          }
          break;
          {
          _flick_abort285:
            goto _flick_abort2;
          }
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t45_principal_len;
            kern_return_t _return;
            t16K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort293);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t45_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t45_principal_len);
            flick_khazana_check_span(_t45_principal_len * 1, _flick_abort293);
            flick_khazana_decode_new_chunk(_t45_principal_len);
            flick_khazana_decode_end_chunk(_t45_principal_len);
            flick_khazana_decode_end_glob(_t45_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort293);
              flick_khazana_encode_new_glob(4, _flick_abort293);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort298);
                    break;
                    {
                    _flick_abort298:
                      goto _flick_abort293;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort293:
              goto _flick_abort292;
            }
          }
          break;
          {
          _flick_abort292:
            goto _flick_abort2;
          }
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t46_principal_len;
            kern_return_t _return;
            t32K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort300);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t46_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t46_principal_len);
            flick_khazana_check_span(_t46_principal_len * 1, _flick_abort300);
            flick_khazana_decode_new_chunk(_t46_principal_len);
            flick_khazana_decode_end_chunk(_t46_principal_len);
            flick_khazana_decode_end_glob(_t46_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort300);
              flick_khazana_encode_new_glob(4, _flick_abort300);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort305);
                    break;
                    {
                    _flick_abort305:
                      goto _flick_abort300;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort300:
              goto _flick_abort299;
            }
          }
          break;
          {
          _flick_abort299:
            goto _flick_abort2;
          }
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t47_principal_len;
            kern_return_t _return;
            t64K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort307);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t47_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t47_principal_len);
            flick_khazana_check_span(_t47_principal_len * 1, _flick_abort307);
            flick_khazana_decode_new_chunk(_t47_principal_len);
            flick_khazana_decode_end_chunk(_t47_principal_len);
            flick_khazana_decode_end_glob(_t47_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort307);
              flick_khazana_encode_new_glob(4, _flick_abort307);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort312);
                    break;
                    {
                    _flick_abort312:
                      goto _flick_abort307;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort307:
              goto _flick_abort306;
            }
          }
          break;
          {
          _flick_abort306:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t12_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t13_principal_len;
            kern_return_t _return;
            t64B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort82);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t13_principal_len);
            flick_khazana_check_span(_t13_principal_len * 1, _flick_abort82);
            flick_khazana_decode_new_chunk(_t13_principal_len);
            flick_khazana_decode_end_chunk(_t13_principal_len);
            flick_khazana_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort82);
              flick_khazana_encode_new_glob(4, _flick_abort82);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort87);
                    break;
                    {
                    _flick_abort87:
                      goto _flick_abort82;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort82:
              goto _flick_abort81;
            }
          }
          break;
          {
          _flick_abort81:
            goto _flick_abort2;
          }
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t14_principal_len;
            kern_return_t _return;
            t128B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort89);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t14_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t14_principal_len);
            flick_khazana_check_span(_t14_principal_len * 1, _flick_abort89);
            flick_khazana_decode_new_chunk(_t14_principal_len);
            flick_khazana_decode_end_chunk(_t14_principal_len);
            flick_khazana_decode_end_glob(_t14_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort89);
              flick_khazana_encode_new_glob(4, _flick_abort89);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort94);
                    break;
                    {
                    _flick_abort94:
                      goto _flick_abort89;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort89:
              goto _flick_abort88;
            }
          }
          break;
          {
          _flick_abort88:
            goto _flick_abort2;
          }
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t15_principal_len;
            kern_return_t _return;
            t256B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort96);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t15_principal_len);
            flick_khazana_check_span(_t15_principal_len * 1, _flick_abort96);
            flick_khazana_decode_new_chunk(_t15_principal_len);
            flick_khazana_decode_end_chunk(_t15_principal_len);
            flick_khazana_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort96);
              flick_khazana_encode_new_glob(4, _flick_abort96);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort101);
                    break;
                    {
                    _flick_abort101:
                      goto _flick_abort96;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort96:
              goto _flick_abort95;
            }
          }
          break;
          {
          _flick_abort95:
            goto _flick_abort2;
          }
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t16_principal_len;
            kern_return_t _return;
            t512B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort103);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t16_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t16_principal_len);
            flick_khazana_check_span(_t16_principal_len * 1, _flick_abort103);
            flick_khazana_decode_new_chunk(_t16_principal_len);
            flick_khazana_decode_end_chunk(_t16_principal_len);
            flick_khazana_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort103);
              flick_khazana_encode_new_glob(4, _flick_abort103);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort108);
                    break;
                    {
                    _flick_abort108:
                      goto _flick_abort103;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort103:
              goto _flick_abort102;
            }
          }
          break;
          {
          _flick_abort102:
            goto _flick_abort2;
          }
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t17_principal_len;
            kern_return_t _return;
            t1K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort110);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t17_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t17_principal_len);
            flick_khazana_check_span(_t17_principal_len * 1, _flick_abort110);
            flick_khazana_decode_new_chunk(_t17_principal_len);
            flick_khazana_decode_end_chunk(_t17_principal_len);
            flick_khazana_decode_end_glob(_t17_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort110);
              flick_khazana_encode_new_glob(4, _flick_abort110);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort115);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort110;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort110:
              goto _flick_abort109;
            }
          }
          break;
          {
          _flick_abort109:
            goto _flick_abort2;
          }
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t18_principal_len;
            kern_return_t _return;
            t2K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort117);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t18_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t18_principal_len);
            flick_khazana_check_span(_t18_principal_len * 1, _flick_abort117);
            flick_khazana_decode_new_chunk(_t18_principal_len);
            flick_khazana_decode_end_chunk(_t18_principal_len);
            flick_khazana_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort117);
              flick_khazana_encode_new_glob(4, _flick_abort117);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort122);
                    break;
                    {
                    _flick_abort122:
                      goto _flick_abort117;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort117:
              goto _flick_abort116;
            }
          }
          break;
          {
          _flick_abort116:
            goto _flick_abort2;
          }
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t19_principal_len;
            kern_return_t _return;
            t4K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort124);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t19_principal_len);
            flick_khazana_check_span(_t19_principal_len * 1, _flick_abort124);
            flick_khazana_decode_new_chunk(_t19_principal_len);
            flick_khazana_decode_end_chunk(_t19_principal_len);
            flick_khazana_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort124);
              flick_khazana_encode_new_glob(4, _flick_abort124);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort124;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort124:
              goto _flick_abort123;
            }
          }
          break;
          {
          _flick_abort123:
            goto _flick_abort2;
          }
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t20_principal_len;
            kern_return_t _return;
            t8K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort131);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t20_principal_len);
            flick_khazana_check_span(_t20_principal_len * 1, _flick_abort131);
            flick_khazana_decode_new_chunk(_t20_principal_len);
            flick_khazana_decode_end_chunk(_t20_principal_len);
            flick_khazana_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort131);
              flick_khazana_encode_new_glob(4, _flick_abort131);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort136);
                    break;
                    {
                    _flick_abort136:
                      goto _flick_abort131;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t21_principal_len;
            kern_return_t _return;
            t16K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort138);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t21_principal_len);
            flick_khazana_check_span(_t21_principal_len * 1, _flick_abort138);
            flick_khazana_decode_new_chunk(_t21_principal_len);
            flick_khazana_decode_end_chunk(_t21_principal_len);
            flick_khazana_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort138);
              flick_khazana_encode_new_glob(4, _flick_abort138);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort143);
                    break;
                    {
                    _flick_abort143:
                      goto _flick_abort138;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort138:
              goto _flick_abort137;
            }
          }
          break;
          {
          _flick_abort137:
            goto _flick_abort2;
          }
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t22_principal_len;
            kern_return_t _return;
            t32K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort145);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t22_principal_len);
            flick_khazana_check_span(_t22_principal_len * 1, _flick_abort145);
            flick_khazana_decode_new_chunk(_t22_principal_len);
            flick_khazana_decode_end_chunk(_t22_principal_len);
            flick_khazana_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort145);
              flick_khazana_encode_new_glob(4, _flick_abort145);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort150);
                    break;
                    {
                    _flick_abort150:
                      goto _flick_abort145;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort145:
              goto _flick_abort144;
            }
          }
          break;
          {
          _flick_abort144:
            goto _flick_abort2;
          }
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t23_principal_len;
            kern_return_t _return;
            t64K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort152);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t23_principal_len);
            flick_khazana_check_span(_t23_principal_len * 1, _flick_abort152);
            flick_khazana_decode_new_chunk(_t23_principal_len);
            flick_khazana_decode_end_chunk(_t23_principal_len);
            flick_khazana_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort152);
              flick_khazana_encode_new_glob(4, _flick_abort152);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort157);
                    break;
                    {
                    _flick_abort157:
                      goto _flick_abort152;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort152:
              goto _flick_abort151;
            }
          }
          break;
          {
          _flick_abort151:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

