#include "primtypes-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t ex1_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t108_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t108_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t108_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t109_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t109_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t109_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t110_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t110_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t110_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        unsigned int _t111_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t111_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t111_principal_len);
                        flick_khazana_check_span(_t111_principal_len * 1, _flick_abort150);
                        flick_khazana_decode_new_chunk(_t111_principal_len);
                        flick_khazana_decode_end_chunk(_t111_principal_len);
                        flick_khazana_decode_end_glob(_t111_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort150);
                          flick_khazana_encode_new_glob(8, _flick_abort150);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t113_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t113_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t114_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t114_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t114_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t115_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t115_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t115_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              unsigned int _t116_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t117_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t118_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t119_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t120_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t121_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t122_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t123_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t124_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t125_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t126_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t127_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t128_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t129_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t130_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t131_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort159);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t116_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_decode_new_glob(_t116_principal_len);
                              flick_khazana_check_span(_t116_principal_len * 1, _flick_abort159);
                              flick_khazana_decode_new_chunk(_t116_principal_len);
                              flick_khazana_decode_end_chunk(_t116_principal_len);
                              flick_khazana_decode_end_glob(_t116_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(57);
                              flick_khazana_decode_new_chunk_align(32, 2, 0, 0);
                              flick_khazana_check_span(32, _flick_abort159);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t117_storage);
                              flick_cdr_swap_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t118_storage);
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t119_storage);
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t120_storage);
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t121_storage);
                              flick_cdr_swap_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t122_storage);
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t123_storage);
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t124_storage);
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t125_storage);
                              flick_cdr_swap_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t126_storage);
                              flick_khazana_decode_end_chunk(32);
                              flick_khazana_decode_new_chunk_align(18, 3, 2, 0);
                              flick_khazana_check_span(18, _flick_abort159);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t127_storage);
                              flick_cdr_swap_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t128_storage);
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t129_storage);
                              flick_cdr_swap_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t130_storage);
                              _ev = (CORBA_Environment *)(&_t131_storage);
                              flick_khazana_decode_end_chunk(18);
                              flick_khazana_decode_end_glob(57);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort159);
                                flick_khazana_encode_new_glob(4, _flick_abort159);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort164);
                                      flick_khazana_encode_new_glob(57, _flick_abort164);
                                      flick_khazana_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_khazana_encode_end_chunk(32);
                                      flick_khazana_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_khazana_encode_end_chunk(18);
                                      flick_khazana_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort164:
                                        goto _flick_abort159;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort165);
                                      break;
                                      {
                                      _flick_abort165:
                                        goto _flick_abort159;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort166:
                                        goto _flick_abort159;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort159:
                                goto _flick_abort158;
                              }
                            }
                            break;
                            {
                            _flick_abort158:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t132_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t132_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t132_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t133_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t133_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t134_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t135_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort168);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t134_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t134_principal_len);
                        flick_khazana_check_span(_t134_principal_len * 1, _flick_abort168);
                        flick_khazana_decode_new_chunk(_t134_principal_len);
                        flick_khazana_decode_end_chunk(_t134_principal_len);
                        flick_khazana_decode_end_glob(_t134_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t135_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort168);
                          flick_khazana_encode_new_glob(8, _flick_abort168);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort174);
                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort168;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort175:
                                  goto _flick_abort168;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort168:
                          goto _flick_abort167;
                        }
                      }
                      break;
                      {
                      _flick_abort167:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t136_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t136_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t136_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t137_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t138_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t137_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t137_principal_len);
                        flick_khazana_check_span(_t137_principal_len * 1, _flick_abort177);
                        flick_khazana_decode_new_chunk(_t137_principal_len);
                        flick_khazana_decode_end_chunk(_t137_principal_len);
                        flick_khazana_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort177);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t138_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort177);
                          flick_khazana_encode_new_glob(4, _flick_abort177);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort183);
                                break;
                                {
                                _flick_abort183:
                                  goto _flick_abort177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort184:
                                  goto _flick_abort177;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort177:
                          goto _flick_abort176;
                        }
                      }
                      break;
                      {
                      _flick_abort176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t139_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t139_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t140_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t140_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t140_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t141_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t142_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t143_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t141_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t141_principal_len);
                        flick_khazana_check_span(_t141_principal_len * 1, _flick_abort186);
                        flick_khazana_decode_new_chunk(_t141_principal_len);
                        flick_khazana_decode_end_chunk(_t141_principal_len);
                        flick_khazana_decode_end_glob(_t141_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t142_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t142_temp_string_len);
                        flick_khazana_check_span(1 * _t142_temp_string_len * 1, _flick_abort186);
                        flick_khazana_decode_new_chunk(1 * _t142_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t142_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t142_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t143_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort186);
                          flick_khazana_encode_new_glob(5, _flick_abort186);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t36_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t37_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t37_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t38_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t38_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        unsigned int _t39_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t40_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t39_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t39_principal_len);
                        flick_khazana_check_span(_t39_principal_len * 1, _flick_abort55);
                        flick_khazana_decode_new_chunk(_t39_principal_len);
                        flick_khazana_decode_end_chunk(_t39_principal_len);
                        flick_khazana_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t40_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort55);
                          flick_khazana_encode_new_glob(8, _flick_abort55);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t41_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t41_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t42_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t42_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t42_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t43_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t43_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t43_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              unsigned int _t44_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t45_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t46_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t47_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t48_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t49_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t50_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t51_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t52_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t53_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t54_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t55_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t56_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t57_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t58_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t59_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort64);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t44_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_decode_new_glob(_t44_principal_len);
                              flick_khazana_check_span(_t44_principal_len * 1, _flick_abort64);
                              flick_khazana_decode_new_chunk(_t44_principal_len);
                              flick_khazana_decode_end_chunk(_t44_principal_len);
                              flick_khazana_decode_end_glob(_t44_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(57);
                              flick_khazana_decode_new_chunk_align(32, 2, 0, 0);
                              flick_khazana_check_span(32, _flick_abort64);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t45_storage);
                              flick_cdr_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t46_storage);
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t47_storage);
                              flick_cdr_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t48_storage);
                              flick_cdr_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t49_storage);
                              flick_cdr_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t50_storage);
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t51_storage);
                              flick_cdr_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t52_storage);
                              flick_cdr_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t53_storage);
                              flick_cdr_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t54_storage);
                              flick_khazana_decode_end_chunk(32);
                              flick_khazana_decode_new_chunk_align(18, 3, 2, 0);
                              flick_khazana_check_span(18, _flick_abort64);
                              flick_cdr_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t55_storage);
                              flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t56_storage);
                              flick_cdr_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t57_storage);
                              flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t58_storage);
                              _ev = (CORBA_Environment *)(&_t59_storage);
                              flick_khazana_decode_end_chunk(18);
                              flick_khazana_decode_end_glob(57);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort64);
                                flick_khazana_encode_new_glob(4, _flick_abort64);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort69);
                                      flick_khazana_encode_new_glob(57, _flick_abort69);
                                      flick_khazana_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_khazana_encode_end_chunk(32);
                                      flick_khazana_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_khazana_encode_end_chunk(18);
                                      flick_khazana_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort69:
                                        goto _flick_abort64;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort70);
                                      break;
                                      {
                                      _flick_abort70:
                                        goto _flick_abort64;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort71:
                                        goto _flick_abort64;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort64:
                                goto _flick_abort63;
                              }
                            }
                            break;
                            {
                            _flick_abort63:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t60_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t60_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t61_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t61_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t62_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t63_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort73);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t62_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t62_principal_len);
                        flick_khazana_check_span(_t62_principal_len * 1, _flick_abort73);
                        flick_khazana_decode_new_chunk(_t62_principal_len);
                        flick_khazana_decode_end_chunk(_t62_principal_len);
                        flick_khazana_decode_end_glob(_t62_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t63_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort73);
                          flick_khazana_encode_new_glob(8, _flick_abort73);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort79);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort73;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort80:
                                  goto _flick_abort73;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort73:
                          goto _flick_abort72;
                        }
                      }
                      break;
                      {
                      _flick_abort72:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t64_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t64_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        unsigned int _t65_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t66_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort82);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t65_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t65_principal_len);
                        flick_khazana_check_span(_t65_principal_len * 1, _flick_abort82);
                        flick_khazana_decode_new_chunk(_t65_principal_len);
                        flick_khazana_decode_end_chunk(_t65_principal_len);
                        flick_khazana_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort82);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t66_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort82);
                          flick_khazana_encode_new_glob(4, _flick_abort82);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort82;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort82;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort82:
                          goto _flick_abort81;
                        }
                      }
                      break;
                      {
                      _flick_abort81:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t67_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t68_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t68_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t68_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t69_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t70_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t71_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t69_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t69_principal_len);
                        flick_khazana_check_span(_t69_principal_len * 1, _flick_abort91);
                        flick_khazana_decode_new_chunk(_t69_principal_len);
                        flick_khazana_decode_end_chunk(_t69_principal_len);
                        flick_khazana_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t70_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t70_temp_string_len);
                        flick_khazana_check_span(1 * _t70_temp_string_len * 1, _flick_abort91);
                        flick_khazana_decode_new_chunk(1 * _t70_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t70_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t70_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t71_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort91);
                          flick_khazana_encode_new_glob(5, _flick_abort91);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort196);
  return 0;
  {
  _flick_abort196:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t ex2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t279_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort201);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t279_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t279_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t280_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t280_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t280_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t281_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t281_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t281_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t282_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t283_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t284_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t282_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t282_principal_len);
                        flick_khazana_check_span(_t282_principal_len * 1, _flick_abort427);
                        flick_khazana_decode_new_chunk(_t282_principal_len);
                        flick_khazana_decode_end_chunk(_t282_principal_len);
                        flick_khazana_decode_end_glob(_t282_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort427);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t283_storage);
                        _ev = (CORBA_Environment *)(&_t284_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort427);
                          flick_khazana_encode_new_glob(12, _flick_abort427);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_khazana_encode_end_chunk(8);
                                flick_khazana_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort433);
                                break;
                                {
                                _flick_abort433:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort434);
                                flick_khazana_encode_end_glob(12);
                                break;
                                {
                                _flick_abort434:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t285_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t285_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t285_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t286_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t287_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort436);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t286_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t286_principal_len);
                        flick_khazana_check_span(_t286_principal_len * 1, _flick_abort436);
                        flick_khazana_decode_new_chunk(_t286_principal_len);
                        flick_khazana_decode_end_chunk(_t286_principal_len);
                        flick_khazana_decode_end_glob(_t286_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t287_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2_mv(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort436);
                          flick_khazana_encode_new_glob(4, _flick_abort436);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort442);
                                break;
                                {
                                _flick_abort442:
                                  goto _flick_abort436;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort443);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort443:
                                  goto _flick_abort436;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort436:
                          goto _flick_abort435;
                        }
                      }
                      break;
                      {
                      _flick_abort435:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t288_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t288_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t288_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t289_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t290_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort445);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t289_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t289_principal_len);
                        flick_khazana_check_span(_t289_principal_len * 1, _flick_abort445);
                        flick_khazana_decode_new_chunk(_t289_principal_len);
                        flick_khazana_decode_end_chunk(_t289_principal_len);
                        flick_khazana_decode_end_glob(_t289_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort445);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t290_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort445);
                          flick_khazana_encode_new_glob(8, _flick_abort445);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort451);
                                break;
                                {
                                _flick_abort451:
                                  goto _flick_abort445;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort452:
                                  goto _flick_abort445;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort445:
                          goto _flick_abort444;
                        }
                      }
                      break;
                      {
                      _flick_abort444:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t291_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t291_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t291_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t292_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t292_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t292_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t293_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t294_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort454);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t293_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t293_principal_len);
                        flick_khazana_check_span(_t293_principal_len * 1, _flick_abort454);
                        flick_khazana_decode_new_chunk(_t293_principal_len);
                        flick_khazana_decode_end_chunk(_t293_principal_len);
                        flick_khazana_decode_end_glob(_t293_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t294_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort454);
                          flick_khazana_encode_new_glob(8, _flick_abort454);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort460);
                                break;
                                {
                                _flick_abort460:
                                  goto _flick_abort454;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort461:
                                  goto _flick_abort454;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort454:
                          goto _flick_abort453;
                        }
                      }
                      break;
                      {
                      _flick_abort453:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t295_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t296_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort463);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t295_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t295_principal_len);
                        flick_khazana_check_span(_t295_principal_len * 1, _flick_abort463);
                        flick_khazana_decode_new_chunk(_t295_principal_len);
                        flick_khazana_decode_end_chunk(_t295_principal_len);
                        flick_khazana_decode_end_glob(_t295_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t296_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort463);
                          flick_khazana_encode_new_glob(8, _flick_abort463);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort469);
                                break;
                                {
                                _flick_abort469:
                                  goto _flick_abort463;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort470:
                                  goto _flick_abort463;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort463:
                          goto _flick_abort462;
                        }
                      }
                      break;
                      {
                      _flick_abort462:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t297_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t297_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t297_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t298_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t299_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort472);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t298_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t298_principal_len);
                        flick_khazana_check_span(_t298_principal_len * 1, _flick_abort472);
                        flick_khazana_decode_new_chunk(_t298_principal_len);
                        flick_khazana_decode_end_chunk(_t298_principal_len);
                        flick_khazana_decode_end_glob(_t298_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort472);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t299_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort472);
                          flick_khazana_encode_new_glob(4, _flick_abort472);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort478);
                                break;
                                {
                                _flick_abort478:
                                  goto _flick_abort472;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort479:
                                  goto _flick_abort472;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort471;
                        }
                      }
                      break;
                      {
                      _flick_abort471:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t300_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t300_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t300_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t301_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t301_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t301_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t302_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t302_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t302_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t303_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t304_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t305_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t306_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t307_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t308_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t309_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t310_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t311_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t312_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t313_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t314_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t315_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t316_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t317_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t318_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort481);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t303_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_decode_new_glob(_t303_principal_len);
                              flick_khazana_check_span(_t303_principal_len * 1, _flick_abort481);
                              flick_khazana_decode_new_chunk(_t303_principal_len);
                              flick_khazana_decode_end_chunk(_t303_principal_len);
                              flick_khazana_decode_end_glob(_t303_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(57);
                              flick_khazana_decode_new_chunk_align(32, 2, 0, 0);
                              flick_khazana_check_span(32, _flick_abort481);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t304_storage);
                              flick_cdr_swap_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t305_storage);
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t306_storage);
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t307_storage);
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t308_storage);
                              flick_cdr_swap_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t309_storage);
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t310_storage);
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t311_storage);
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t312_storage);
                              flick_cdr_swap_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t313_storage);
                              flick_khazana_decode_end_chunk(32);
                              flick_khazana_decode_new_chunk_align(18, 3, 2, 0);
                              flick_khazana_check_span(18, _flick_abort481);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t314_storage);
                              flick_cdr_swap_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t315_storage);
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t316_storage);
                              flick_cdr_swap_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t317_storage);
                              _ev = (CORBA_Environment *)(&_t318_storage);
                              flick_khazana_decode_end_chunk(18);
                              flick_khazana_decode_end_glob(57);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort481);
                                flick_khazana_encode_new_glob(4, _flick_abort481);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort486);
                                      flick_khazana_encode_new_glob(57, _flick_abort486);
                                      flick_khazana_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_khazana_encode_end_chunk(32);
                                      flick_khazana_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_khazana_encode_end_chunk(18);
                                      flick_khazana_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort486:
                                        goto _flick_abort481;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort487);
                                      break;
                                      {
                                      _flick_abort487:
                                        goto _flick_abort481;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort488:
                                        goto _flick_abort481;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort481:
                                goto _flick_abort480;
                              }
                            }
                            break;
                            {
                            _flick_abort480:
                              goto _flick_abort201;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t319_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t319_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t319_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t320_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t320_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t320_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t321_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t322_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t323_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort490);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t321_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t321_principal_len);
                        flick_khazana_check_span(_t321_principal_len * 1, _flick_abort490);
                        flick_khazana_decode_new_chunk(_t321_principal_len);
                        flick_khazana_decode_end_chunk(_t321_principal_len);
                        flick_khazana_decode_end_glob(_t321_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort490);
                        flick_cdr_swap_decode_unsigned32(0, _t322_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t322_temp_string_len);
                        flick_khazana_check_span(1 * _t322_temp_string_len * 1, _flick_abort490);
                        flick_khazana_decode_new_chunk(1 * _t322_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t322_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t322_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t323_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort490);
                          flick_khazana_encode_new_glob(5, _flick_abort490);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort498);
                                break;
                                {
                                _flick_abort498:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort499:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort489;
                        }
                      }
                      break;
                      {
                      _flick_abort489:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t189_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort201);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t189_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t190_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t190_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t190_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t191_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t191_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t191_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t192_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t193_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t194_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort278);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t192_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t192_principal_len);
                        flick_khazana_check_span(_t192_principal_len * 1, _flick_abort278);
                        flick_khazana_decode_new_chunk(_t192_principal_len);
                        flick_khazana_decode_end_chunk(_t192_principal_len);
                        flick_khazana_decode_end_glob(_t192_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort278);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t193_storage);
                        _ev = (CORBA_Environment *)(&_t194_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort278);
                          flick_khazana_encode_new_glob(12, _flick_abort278);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_khazana_encode_end_chunk(8);
                                flick_khazana_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort284);
                                break;
                                {
                                _flick_abort284:
                                  goto _flick_abort278;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
                                flick_khazana_encode_end_glob(12);
                                break;
                                {
                                _flick_abort285:
                                  goto _flick_abort278;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort278:
                          goto _flick_abort277;
                        }
                      }
                      break;
                      {
                      _flick_abort277:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t195_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t195_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t195_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t196_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t197_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort287);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t196_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t196_principal_len);
                        flick_khazana_check_span(_t196_principal_len * 1, _flick_abort287);
                        flick_khazana_decode_new_chunk(_t196_principal_len);
                        flick_khazana_decode_end_chunk(_t196_principal_len);
                        flick_khazana_decode_end_glob(_t196_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t197_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2_mv(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort287);
                          flick_khazana_encode_new_glob(4, _flick_abort287);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort293);
                                break;
                                {
                                _flick_abort293:
                                  goto _flick_abort287;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort294);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort294:
                                  goto _flick_abort287;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort287:
                          goto _flick_abort286;
                        }
                      }
                      break;
                      {
                      _flick_abort286:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t198_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t198_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t198_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t199_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t200_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort296);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t199_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t199_principal_len);
                        flick_khazana_check_span(_t199_principal_len * 1, _flick_abort296);
                        flick_khazana_decode_new_chunk(_t199_principal_len);
                        flick_khazana_decode_end_chunk(_t199_principal_len);
                        flick_khazana_decode_end_glob(_t199_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort296);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t200_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort296);
                          flick_khazana_encode_new_glob(8, _flick_abort296);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort296;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort296;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort296:
                          goto _flick_abort295;
                        }
                      }
                      break;
                      {
                      _flick_abort295:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t201_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t201_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t201_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t202_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t202_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t202_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t203_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t204_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort305);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t203_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t203_principal_len);
                        flick_khazana_check_span(_t203_principal_len * 1, _flick_abort305);
                        flick_khazana_decode_new_chunk(_t203_principal_len);
                        flick_khazana_decode_end_chunk(_t203_principal_len);
                        flick_khazana_decode_end_glob(_t203_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t204_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort305);
                          flick_khazana_encode_new_glob(8, _flick_abort305);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort311);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort305;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort305;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort304;
                        }
                      }
                      break;
                      {
                      _flick_abort304:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t205_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t206_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort314);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t205_principal_len);
                        flick_khazana_check_span(_t205_principal_len * 1, _flick_abort314);
                        flick_khazana_decode_new_chunk(_t205_principal_len);
                        flick_khazana_decode_end_chunk(_t205_principal_len);
                        flick_khazana_decode_end_glob(_t205_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t206_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort314);
                          flick_khazana_encode_new_glob(8, _flick_abort314);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort320);
                                break;
                                {
                                _flick_abort320:
                                  goto _flick_abort314;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort321:
                                  goto _flick_abort314;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort314:
                          goto _flick_abort313;
                        }
                      }
                      break;
                      {
                      _flick_abort313:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t207_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t207_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        unsigned int _t208_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t209_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort323);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t208_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t208_principal_len);
                        flick_khazana_check_span(_t208_principal_len * 1, _flick_abort323);
                        flick_khazana_decode_new_chunk(_t208_principal_len);
                        flick_khazana_decode_end_chunk(_t208_principal_len);
                        flick_khazana_decode_end_glob(_t208_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort323);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t209_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort323);
                          flick_khazana_encode_new_glob(4, _flick_abort323);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort323;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort323;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort323:
                          goto _flick_abort322;
                        }
                      }
                      break;
                      {
                      _flick_abort322:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t210_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t210_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t210_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t211_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t211_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t211_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t212_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t212_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t212_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t213_principal_len;
                              ex1 _return;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long _t214_storage;
                              CORBA_long *_local_a3;
                              CORBA_long _t215_storage;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long _t216_storage;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_unsigned_long _t217_storage;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short _t218_storage;
                              CORBA_short *_local_c3;
                              CORBA_short _t219_storage;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short _t220_storage;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_unsigned_short _t221_storage;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float _t222_storage;
                              CORBA_float *_local_e3;
                              CORBA_float _t223_storage;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double _t224_storage;
                              CORBA_double *_local_f3;
                              CORBA_double _t225_storage;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char _t226_storage;
                              CORBA_char *_local_g3;
                              CORBA_char _t227_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t228_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort332);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t213_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_decode_new_glob(_t213_principal_len);
                              flick_khazana_check_span(_t213_principal_len * 1, _flick_abort332);
                              flick_khazana_decode_new_chunk(_t213_principal_len);
                              flick_khazana_decode_end_chunk(_t213_principal_len);
                              flick_khazana_decode_end_glob(_t213_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(57);
                              flick_khazana_decode_new_chunk_align(32, 2, 0, 0);
                              flick_khazana_check_span(32, _flick_abort332);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA_long );
                              _local_a2 = (CORBA_long *)(&_t214_storage);
                              flick_cdr_decode_signed32(4, *_local_a2, CORBA_long );
                              _local_a3 = (CORBA_long *)(&_t215_storage);
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA_unsigned_long );
                              _local_b2 = (CORBA_unsigned_long *)(&_t216_storage);
                              flick_cdr_decode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                              _local_b3 = (CORBA_unsigned_long *)(&_t217_storage);
                              flick_cdr_decode_signed16(16, _local_c1, CORBA_short );
                              _local_c2 = (CORBA_short *)(&_t218_storage);
                              flick_cdr_decode_signed16(18, *_local_c2, CORBA_short );
                              _local_c3 = (CORBA_short *)(&_t219_storage);
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA_unsigned_short );
                              _local_d2 = (CORBA_unsigned_short *)(&_t220_storage);
                              flick_cdr_decode_unsigned16(22, *_local_d2, CORBA_unsigned_short );
                              _local_d3 = (CORBA_unsigned_short *)(&_t221_storage);
                              flick_cdr_decode_float32(24, _local_e1, CORBA_float );
                              _local_e2 = (CORBA_float *)(&_t222_storage);
                              flick_cdr_decode_float32(28, *_local_e2, CORBA_float );
                              _local_e3 = (CORBA_float *)(&_t223_storage);
                              flick_khazana_decode_end_chunk(32);
                              flick_khazana_decode_new_chunk_align(18, 3, 2, 0);
                              flick_khazana_check_span(18, _flick_abort332);
                              flick_cdr_decode_float64(0, _local_f1, CORBA_double );
                              _local_f2 = (CORBA_double *)(&_t224_storage);
                              flick_cdr_decode_float64(8, *_local_f2, CORBA_double );
                              _local_f3 = (CORBA_double *)(&_t225_storage);
                              flick_cdr_decode_char8(16, _local_g1, CORBA_char );
                              _local_g2 = (CORBA_char *)(&_t226_storage);
                              flick_cdr_decode_char8(17, *_local_g2, CORBA_char );
                              _local_g3 = (CORBA_char *)(&_t227_storage);
                              _ev = (CORBA_Environment *)(&_t228_storage);
                              flick_khazana_decode_end_chunk(18);
                              flick_khazana_decode_end_glob(57);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort332);
                                flick_khazana_encode_new_glob(4, _flick_abort332);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort337);
                                      flick_khazana_encode_new_glob(57, _flick_abort337);
                                      flick_khazana_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, *_local_a2, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_a3, CORBA_long );
                                      flick_cdr_encode_unsigned32(8, *_local_b2, CORBA_unsigned_long );
                                      flick_cdr_encode_unsigned32(12, *_local_b3, CORBA_unsigned_long );
                                      flick_cdr_encode_signed16(16, *_local_c2, CORBA_short );
                                      flick_cdr_encode_signed16(18, *_local_c3, CORBA_short );
                                      flick_cdr_encode_unsigned16(20, *_local_d2, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(22, *_local_d3, CORBA_unsigned_short );
                                      flick_cdr_encode_float32(24, *_local_e2, CORBA_float );
                                      flick_cdr_encode_float32(28, *_local_e3, CORBA_float );
                                      flick_khazana_encode_end_chunk(32);
                                      flick_khazana_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, *_local_f2, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_f3, CORBA_double );
                                      flick_cdr_encode_char8(16, *_local_g2, CORBA_char );
                                      flick_cdr_encode_char8(17, *_local_g3, CORBA_char );
                                      flick_khazana_encode_end_chunk(18);
                                      flick_khazana_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort337:
                                        goto _flick_abort332;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort338);
                                      break;
                                      {
                                      _flick_abort338:
                                        goto _flick_abort332;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort339:
                                        goto _flick_abort332;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort332:
                                goto _flick_abort331;
                              }
                            }
                            break;
                            {
                            _flick_abort331:
                              goto _flick_abort201;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t229_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t229_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t229_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t230_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t230_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t230_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t231_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t232_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t233_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t231_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_decode_new_glob(_t231_principal_len);
                        flick_khazana_check_span(_t231_principal_len * 1, _flick_abort341);
                        flick_khazana_decode_new_chunk(_t231_principal_len);
                        flick_khazana_decode_end_chunk(_t231_principal_len);
                        flick_khazana_decode_end_glob(_t231_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort341);
                        flick_cdr_decode_unsigned32(0, _t232_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t232_temp_string_len);
                        flick_khazana_check_span(1 * _t232_temp_string_len * 1, _flick_abort341);
                        flick_khazana_decode_new_chunk(1 * _t232_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t232_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t232_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t233_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort341);
                          flick_khazana_encode_new_glob(5, _flick_abort341);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort349);
                                break;
                                {
                                _flick_abort349:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort350);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort201:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort200);
  _flick_abort200:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

