#ifndef _IIOP_client_h_
#define _IIOP_client_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___Version
#define _typedef___Version
typedef struct Version {
  CORBA_char major;
  CORBA_char minor;
} Version;
#endif /* _typedef___Version */

#ifndef _typedef___IOP_ServiceID
#define _typedef___IOP_ServiceID
typedef CORBA_unsigned_long IOP_ServiceID;
#endif /* _typedef___IOP_ServiceID */

#ifndef _typedef___CORBA_sequence_octet
#define _typedef___CORBA_sequence_octet
typedef struct CORBA_sequence_octet {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_octet *_buffer;
} CORBA_sequence_octet;
#endif /* _typedef___CORBA_sequence_octet */

#ifndef _typedef___IOP_ServiceContext
#define _typedef___IOP_ServiceContext
typedef struct IOP_ServiceContext {
  IOP_ServiceID context_id;
  struct CORBA_sequence_octet context_data;
} IOP_ServiceContext;
#endif /* _typedef___IOP_ServiceContext */

#ifndef _typedef___CORBA_sequence_IOP_ServiceContext
#define _typedef___CORBA_sequence_IOP_ServiceContext
typedef struct CORBA_sequence_IOP_ServiceContext {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  struct IOP_ServiceContext *_buffer;
} CORBA_sequence_IOP_ServiceContext;
#endif /* _typedef___CORBA_sequence_IOP_ServiceContext */

#ifndef _typedef___IOP_ServiceContextList
#define _typedef___IOP_ServiceContextList
typedef struct CORBA_sequence_IOP_ServiceContext IOP_ServiceContextList;
#endif /* _typedef___IOP_ServiceContextList */

#define IOP_TransactionServer (0)

#ifndef _typedef___GIOP_Principal
#define _typedef___GIOP_Principal
typedef CORBA_Object GIOP_Principal;
#endif /* _typedef___GIOP_Principal */

#define GIOP_Request (0)

#define GIOP_Reply (1)

#define GIOP_CancelRequest (2)

#define GIOP_LocateRequest (3)

#define GIOP_LocateReply (4)

#define GIOP_CloseConnection (5)

#define GIOP_MessageError (6)

#ifndef _typedef___GIOP_MsgType
#define _typedef___GIOP_MsgType
typedef CORBA_enum GIOP_MsgType;
#endif /* _typedef___GIOP_MsgType */

#ifndef _typedef___GIOP_MessageHeader
#define _typedef___GIOP_MessageHeader
typedef struct GIOP_MessageHeader {
  CORBA_char magic[4];
  struct Version GIOP_version;
  CORBA_boolean byte_order;
  CORBA_octet message_type;
  CORBA_unsigned_long message_size;
} GIOP_MessageHeader;
#endif /* _typedef___GIOP_MessageHeader */

#ifndef _typedef___GIOP_RequestHeader
#define _typedef___GIOP_RequestHeader
typedef struct GIOP_RequestHeader {
  IOP_ServiceContextList service_context;
  CORBA_unsigned_long request_id;
  CORBA_boolean response_expected;
  struct CORBA_sequence_octet object_key;
  CORBA_char *operation;
  GIOP_Principal requesting_principal;
} GIOP_RequestHeader;
#endif /* _typedef___GIOP_RequestHeader */

#define GIOP_NO_EXCEPTION (0)

#define GIOP_USER_EXCEPTION (1)

#define GIOP_SYSTEM_EXCEPTION (2)

#define GIOP_LOCATION_FORWARD (3)

#ifndef _typedef___GIOP_ReplyStatusType
#define _typedef___GIOP_ReplyStatusType
typedef CORBA_enum GIOP_ReplyStatusType;
#endif /* _typedef___GIOP_ReplyStatusType */

#ifndef _typedef___GIOP_ReplyHeader
#define _typedef___GIOP_ReplyHeader
typedef struct GIOP_ReplyHeader {
  IOP_ServiceContextList server_context;
  CORBA_unsigned_long request_id;
  GIOP_ReplyStatusType reply_status;
} GIOP_ReplyHeader;
#endif /* _typedef___GIOP_ReplyHeader */

#ifndef _typedef___GIOP_CancelRequestHeader
#define _typedef___GIOP_CancelRequestHeader
typedef struct GIOP_CancelRequestHeader {
  CORBA_unsigned_long request_id;
} GIOP_CancelRequestHeader;
#endif /* _typedef___GIOP_CancelRequestHeader */

#ifndef _typedef___GIOP_LocateRequestHeader
#define _typedef___GIOP_LocateRequestHeader
typedef struct GIOP_LocateRequestHeader {
  CORBA_unsigned_long request_id;
  struct CORBA_sequence_octet object_key;
} GIOP_LocateRequestHeader;
#endif /* _typedef___GIOP_LocateRequestHeader */

#define GIOP_UNKNOWN_OBJECT (0)

#define GIOP_OBJECT_HERE (1)

#define GIOP_OBJECT_FORWARD (2)

#ifndef _typedef___GIOP_LocateStatusType
#define _typedef___GIOP_LocateStatusType
typedef CORBA_enum GIOP_LocateStatusType;
#endif /* _typedef___GIOP_LocateStatusType */

#ifndef _typedef___GIOP_LocateReplyHeader
#define _typedef___GIOP_LocateReplyHeader
typedef struct GIOP_LocateReplyHeader {
  CORBA_unsigned_long request_id;
  GIOP_LocateStatusType locate_status;
} GIOP_LocateReplyHeader;
#endif /* _typedef___GIOP_LocateReplyHeader */

#ifndef _typedef___IIOP_ProfileBody
#define _typedef___IIOP_ProfileBody
typedef struct IIOP_ProfileBody {
  struct Version iiop_version;
  CORBA_char *host;
  CORBA_unsigned_short port;
  struct CORBA_sequence_octet object_key;
} IIOP_ProfileBody;
#endif /* _typedef___IIOP_ProfileBody */

#endif /* _IIOP_client_h_ */
