#include "complex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROGNAME;
	s.vers_num = VERSNAME;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(char *, _data->name, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(207, _flick_abort0);
  flick_suntcp_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_xdr_encode_bcopy(4, _data->name, 1 * _t0_temp_string_len);
  flick_suntcp_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(207);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(207);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len + 1 > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(1 * _t1_temp_string_len * 1, _flick_abort3);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc((_t1_temp_string_len + 1) * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->name = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->name, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort6);
  _data->name[_t1_temp_string_len] = 0;
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(207);
  return 0;
  {
  _flick_abort6:
    sun_flick_free(_data->name);
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t5_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort7);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->people_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->people_len; _t5_array_iter++)
    {
      flick_unsigned32_t _t7_temp_string_len;

      flick_xdr_stringlen(char *, _data->people_val[_t5_array_iter].name, flick_unsigned32_t , _t7_temp_string_len);

      flick_suntcp_encode_new_glob(207, _flick_abort17);
      flick_suntcp_encode_new_chunk(4 + 1 * _t7_temp_string_len);
      flick_xdr_encode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
      if (_t7_temp_string_len + 1 > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort17);
      flick_xdr_encode_bcopy(4, _data->people_val[_t5_array_iter].name, 1 * _t7_temp_string_len);
      flick_suntcp_encode_end_chunk(4 + 1 * _t7_temp_string_len);
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
      flick_suntcp_encode_end_glob(207);
      continue;
      {
      _flick_abort17:
        goto _flick_abort7;
      }
    }
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort23);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->people_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc((_data->people_len + 1) * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort23);
    _data->people_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->people_len * 4, _flick_abort36);
  for (_t11_array_iter = 0; _t11_array_iter < _data->people_len; _t11_array_iter++)
    {
      flick_unsigned32_t _t13_temp_string_len;

      flick_suntcp_decode_new_glob(207);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
      if (_t13_temp_string_len + 1 > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort37);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_check_span(1 * _t13_temp_string_len * 1, _flick_abort37);
      flick_suntcp_decode_new_chunk(1 * _t13_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc((_t13_temp_string_len + 1) * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
        _data->people_val[_t11_array_iter].name = _t_alloc_ptr;
      }
      flick_xdr_decode_bcopy(0, _data->people_val[_t11_array_iter].name, 1 * _t13_temp_string_len);
      flick_suntcp_decode_end_chunk(1 * _t13_temp_string_len);
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_check_span(0, _flick_abort44);
      _data->people_val[_t11_array_iter].name[_t13_temp_string_len] = 0;
      flick_suntcp_decode_end_chunk(0);
      flick_suntcp_decode_end_glob(207);
      continue;
      {
      _flick_abort47:
        _t11_array_iter--;
      _flick_abort44:
        sun_flick_free(_data->people_val[_t11_array_iter].name);
      _flick_abort37:
        if ((unsigned int )_t11_array_iter < _data->people_len)
          goto _flick_abort47;
        goto _flick_abort36;
      }
    }
  return 0;
  {
  _flick_abort36:
    sun_flick_free(_data->people_val);
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t28_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_check_span(24, _flick_abort52);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t28_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t28_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t29_ignore;
            void *_return;
            people *_local_arg;
            people _t30_storage;
            unsigned int _t37_array_iter;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort80);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t29_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t29_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t29_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t29_ignore, unsigned int );
            _return = 0;
            _local_arg = (people *)(&_t30_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->people_len, unsigned int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc((_local_arg->people_len + 1) * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort80);
              _local_arg->people_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->people_len * 4, _flick_abort90);
            for (_t37_array_iter = 0; _t37_array_iter < _local_arg->people_len; _t37_array_iter++)
              {
                flick_unsigned32_t _t40_temp_string_len;

                flick_suntcp_decode_new_glob(207);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                if (_t40_temp_string_len + 1 > 201)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort91);
                flick_suntcp_decode_end_chunk(4);
                flick_suntcp_check_span(1 * _t40_temp_string_len * 1, _flick_abort91);
                flick_suntcp_decode_new_chunk(1 * _t40_temp_string_len);
                if ((_t40_temp_string_len + 3) & ~3)
                  {
                    flick_xdr_decode_msgptr(0, _local_arg->people_val[_t37_array_iter].name, char *);
                  }
                else
                  {
                    char _t41_storage[201];

                    _local_arg->people_val[_t37_array_iter].name = (char *)_t41_storage;
                    flick_xdr_decode_bcopy(0, _local_arg->people_val[_t37_array_iter].name, 1 * _t40_temp_string_len);
                  }
                flick_suntcp_decode_end_chunk(1 * _t40_temp_string_len);
                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                flick_suntcp_check_span(0, _flick_abort91);
                _local_arg->people_val[_t37_array_iter].name[_t40_temp_string_len] = 0;
                flick_suntcp_decode_end_chunk(0);
                flick_suntcp_decode_end_glob(207);
                continue;
                {
                _flick_abort91:
                  goto _flick_abort90;
                }
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort90);
              flick_suntcp_encode_new_glob(4, _flick_abort90);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort90;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
                    flick_suntcp_encode_end_glob(4);
                    break;
                    {
                    _flick_abort103:
                      goto _flick_abort90;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort90:
              auto_flick_free(_local_arg->people_val);
            _flick_abort80:
              goto _flick_abort79;
            }
          }
          break;
          {
          _flick_abort79:
            goto _flick_abort52;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort52:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort51);
  _flick_abort51:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

