#include "mig-tests-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t s_inline_fixed_structs(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t57_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t57_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t57_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint _t58_storage;
            Iint *_local_outInt;
            Iint _t59_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort170);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort170);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_inInt, Iint );
            _local_inoutInt = (Iint *)(&_t58_storage);
            flick_cdr_decode_signed32(8, *_local_inoutInt, Iint );
            _local_outInt = (Iint *)(&_t59_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort170);
              flick_trapeze_encode_new_glob(12, _flick_abort170);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, *_local_inoutInt, Iint );
                    flick_cdr_encode_signed32(4, *_local_outInt, Iint );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort170:
              goto _flick_abort169;
            }
          }
          break;
          {
          _flick_abort169:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            IFstruct _local_inStruct;
            unsigned *_t60_internal;
            IFstruct *_local_inoutStruct;
            IFstruct _t61_storage;
            unsigned *_t62_internal;
            IFstruct *_local_outStruct;
            IFstruct _t63_storage;
            unsigned *_t64_internal;

            _t60_internal = (unsigned *)(&(_local_inStruct));
            _t62_internal = (unsigned *)(&(*_local_inoutStruct));
            _t64_internal = (unsigned *)(&(*_local_outStruct));

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort177);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_t60_internal, 4 * 100);
            _local_inoutStruct = (IFstruct *)(&_t61_storage);
            flick_trapeze_server_decode_array(_t62_internal, 4 * 100);
            _local_outStruct = (IFstruct *)(&_t63_storage);
            flick_trapeze_server_decode_array(_t64_internal, sizeof(unsigned ) * 100);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort177);
              flick_trapeze_encode_new_glob(4, _flick_abort177);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    unsigned *_t68_internal;
                    unsigned *_t69_internal;
                    unsigned *_t70_internal;

                    _t68_internal = (unsigned *)(&(_local_inStruct));
                    _t69_internal = (unsigned *)(&(*_local_inoutStruct));
                    _t70_internal = (unsigned *)(&(*_local_outStruct));

                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_t68_internal, sizeof(unsigned ) * 100);
                    flick_trapeze_server_encode_array(_t69_internal, 4 * 100);
                    flick_trapeze_server_encode_array(_t70_internal, 4 * 100);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort177:
              goto _flick_abort176;
            }
          }
          break;
          {
          _flick_abort176:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned *_local_outArray;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort184);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_inArray, 4 * 300);
            flick_trapeze_server_decode_array(_local_inoutArray, 4 * 300);
            _local_outArray = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort184);
              flick_trapeze_encode_new_glob(4, _flick_abort184);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * 300);
                    flick_trapeze_server_encode_array(_local_inoutArray, 4 * 300);
                    flick_trapeze_server_encode_array(_local_outArray, 4 * 300);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort184:
              goto _flick_abort183;
            }
          }
          break;
          {
          _flick_abort183:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t71_storage;
            unsigned *_local_outArray;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort191);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort191);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt, mach_msg_type_number_t );
            if (_local_inArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort191);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t71_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = 0;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort191);
              flick_trapeze_encode_new_glob(8, _flick_abort191);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    if (*_local_outArrayCnt > 500)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort195);
                    flick_trapeze_server_encode_array(_local_outArray, 4 * *_local_outArrayCnt);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                    {
                    _flick_abort195:
                      goto _flick_abort191;
                    }
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort191:
              goto _flick_abort190;
            }
          }
          break;
          {
          _flick_abort190:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t72_storage;
            Iarray *_local_outArray;
            Iarray _t73_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort198);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort198);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt, mach_msg_type_number_t );
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t72_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t73_storage);
            *_local_outArray = 0;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort198);
              flick_trapeze_encode_new_glob(8, _flick_abort198);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_trapeze_server_encode_array(*_local_outArray, 4 * *_local_outArrayCnt);
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    flick_trapeze_encode_end_glob(8);
                    break;
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort198:
              goto _flick_abort197;
            }
          }
          break;
          {
          _flick_abort197:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char *_local_inString;
            char *_local_inoutString;
            char *_local_outString;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort207);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_inString, 1 * 799);
            flick_trapeze_server_decode_array(_local_inoutString, 1 * 799);
            _local_outString = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort207);
              flick_trapeze_encode_new_glob(4, _flick_abort207);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inString, sizeof(char ) * 799);
                    flick_trapeze_server_encode_array(_local_inoutString, 1 * 799);
                    flick_trapeze_server_encode_array(_local_outString, 1 * 799);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort207:
              goto _flick_abort206;
            }
          }
          break;
          {
          _flick_abort206:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char *_local_inString;
            flick_unsigned32_t _t74_temp_string_len;
            char *_local_outString;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort214);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort214);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _t74_temp_string_len, flick_unsigned32_t );
            if (_t74_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort214);
            flick_trapeze_server_decode_array(_local_inString, 1 * _t74_temp_string_len);
            _local_outString = 0;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort214);
              flick_trapeze_encode_new_glob(8, _flick_abort214);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    flick_unsigned32_t _t77_temp_string_len;
                    flick_unsigned32_t _t78_temp_string_len;

                    flick_cdr_stringlen(char *, _local_inString, flick_unsigned32_t , _t77_temp_string_len);
                    flick_cdr_stringlen(char *, _local_outString, flick_unsigned32_t , _t78_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inString, sizeof(char ) * _t77_temp_string_len);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                    if (_t78_temp_string_len > 4997)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort218);
                    flick_trapeze_server_encode_array(_local_outString, 1 * _t78_temp_string_len);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                    {
                    _flick_abort218:
                      goto _flick_abort214;
                    }
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort214:
              goto _flick_abort213;
            }
          }
          break;
          {
          _flick_abort213:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t _t79_storage;
            mach_port_t *_local_outRight;
            mach_port_t _t80_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort221);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inoutRight = (mach_port_t *)(&_t79_storage);
            _local_outRight = (mach_port_t *)(&_t80_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort221);
              flick_trapeze_encode_new_glob(4, _flick_abort221);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort221:
              goto _flick_abort220;
            }
          }
          break;
          {
          _flick_abort220:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t81_storage;
            Imach_port_array_t *_local_outRight;
            Imach_port_array_t _t82_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort228);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort228);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt, mach_msg_type_number_t );
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t81_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_port_array_t *)(&_t82_storage);
            *_local_outRight = 0;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort228);
              flick_trapeze_encode_new_glob(8, _flick_abort228);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort228:
              goto _flick_abort227;
            }
          }
          break;
          {
          _flick_abort227:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t83_storage;
            Imach_poly_array_t *_local_outRight;
            Imach_poly_array_t _t84_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort235);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort235);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt, mach_msg_type_number_t );
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t83_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_poly_array_t *)(&_t84_storage);
            *_local_outRight = 0;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort235);
              flick_trapeze_encode_new_glob(8, _flick_abort235);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort235:
              goto _flick_abort234;
            }
          }
          break;
          {
          _flick_abort234:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint _t85_storage;
            Oint *_local_outInt;
            Oint _t86_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort242);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inoutInt = (Oint *)(&_t85_storage);
            _local_outInt = (Oint *)(&_t86_storage);
            *_local_outInt = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort242);
              flick_trapeze_encode_new_glob(4, _flick_abort242);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort242:
              goto _flick_abort241;
            }
          }
          break;
          {
          _flick_abort241:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct _t87_storage;
            OFstruct *_local_outStruct;
            OFstruct _t88_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort249);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inoutStruct = (OFstruct *)(&_t87_storage);
            _local_outStruct = (OFstruct *)(&_t88_storage);
            *_local_outStruct = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort249);
              flick_trapeze_encode_new_glob(4, _flick_abort249);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort249:
              goto _flick_abort248;
            }
          }
          break;
          {
          _flick_abort248:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray _t89_storage;
            OFarray *_local_outArray;
            OFarray _t90_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort256);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inoutArray = (OFarray *)(&_t89_storage);
            _local_outArray = (OFarray *)(&_t90_storage);
            *_local_outArray = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort256);
              flick_trapeze_encode_new_glob(4, _flick_abort256);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort256:
              goto _flick_abort255;
            }
          }
          break;
          {
          _flick_abort255:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t91_storage;
            Oarray *_local_inoutArray;
            Oarray _t92_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t93_storage;
            Oarray *_local_outArray;
            Oarray _t94_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort263);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort263);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t91_storage);
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t92_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t93_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t94_storage);
            *_local_outArray = 0;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort263);
              flick_trapeze_encode_new_glob(12, _flick_abort263);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort263:
              goto _flick_abort262;
            }
          }
          break;
          {
          _flick_abort262:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring _t95_storage;
            OFstring *_local_outString;
            OFstring _t96_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort270);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_inoutString = (OFstring *)(&_t95_storage);
            _local_outString = (OFstring *)(&_t96_storage);
            *_local_outString = 0;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort270);
              flick_trapeze_encode_new_glob(4, _flick_abort270);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort270:
              goto _flick_abort269;
            }
          }
          break;
          {
          _flick_abort269:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t97_storage;
            mach_port_array_t *_local_inoutRight;
            mach_port_array_t _t98_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t99_storage;
            mach_port_array_t *_local_outRight;
            mach_port_array_t _t100_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort277);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort277);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t97_storage);
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (mach_port_array_t *)(&_t98_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t99_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (mach_port_array_t *)(&_t100_storage);
            *_local_outRight = 0;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort277);
              flick_trapeze_encode_new_glob(12, _flick_abort277);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort277:
              goto _flick_abort276;
            }
          }
          break;
          {
          _flick_abort276:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t101_storage;
            Omach_poly_array_t *_local_inoutRight;
            Omach_poly_array_t _t102_storage;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t103_storage;
            Omach_poly_array_t *_local_outRight;
            Omach_poly_array_t _t104_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort284);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort284);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt, mach_msg_type_number_t );
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t101_storage);
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (Omach_poly_array_t *)(&_t102_storage);
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t103_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Omach_poly_array_t *)(&_t104_storage);
            *_local_outRight = 0;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort284);
              flick_trapeze_encode_new_glob(12, _flick_abort284);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_cdr_encode_unsigned32(4, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort284:
              goto _flick_abort283;
            }
          }
          break;
          {
          _flick_abort283:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t105_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort291);
            flick_trapeze_server_decode_client(_local_reply, 0, cdr, _flick_abort291);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort291);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t105_storage);
            flick_cdr_decode_signed32(4, *_local_data, unsigned int );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort291);
              flick_trapeze_encode_new_glob(8, _flick_abort291);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort291:
              goto _flick_abort290;
            }
          }
          break;
          {
          _flick_abort290:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t106_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort298);
            flick_trapeze_server_decode_client(_local_reply, 0, cdr, _flick_abort298);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort298);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t106_storage);
            flick_cdr_decode_signed32(4, *_local_data, unsigned int );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort298);
              flick_trapeze_encode_new_glob(8, _flick_abort298);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort298:
              goto _flick_abort297;
            }
          }
          break;
          {
          _flick_abort297:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t107_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort305);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort305);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t107_storage);
            flick_cdr_decode_signed32(4, *_local_data, unsigned int );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_ureply_ports(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort305);
              flick_trapeze_encode_new_glob(8, _flick_abort305);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort305:
              goto _flick_abort304;
            }
          }
          break;
          {
          _flick_abort304:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned int _local_seq;
            unsigned int *_local_data;
            unsigned int _t108_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort312);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort312);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t108_storage);
            flick_cdr_decode_signed32(4, *_local_data, unsigned int );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort312);
              flick_trapeze_encode_new_glob(8, _flick_abort312);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(8);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort312:
              goto _flick_abort311;
            }
          }
          break;
          {
          _flick_abort311:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t109_storage;
            Oarray *_local_inoutArray;
            Oarray _t110_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t111_storage;
            Oarray *_local_outArray;
            Oarray _t112_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort319);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort319);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t109_storage);
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t110_storage);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t111_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t112_storage);
            *_local_outArray = 0;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort319);
              flick_trapeze_encode_new_glob(12, _flick_abort319);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArray = 0;
                    flick_cdr_encode_unsigned32(4, *_local_outArrayCnt, mach_msg_type_number_t );
                    mach_vm_flick_free(*_local_outArray);
                    *_local_outArray = 0;
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort319:
              goto _flick_abort318;
            }
          }
          break;
          {
          _flick_abort318:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            boolean_t *_local_scopy;
            boolean_t _t113_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort326);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort326);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt, mach_msg_type_number_t );
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_scopy = (boolean_t *)(&_t113_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_scopy);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort326);
              flick_trapeze_encode_new_glob(5, _flick_abort326);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_local_scopy, boolean_t );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort326:
              goto _flick_abort325;
            }
          }
          break;
          {
          _flick_abort325:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort333);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_terminate(_local_target);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort333:
              goto _flick_abort332;
            }
          }
          break;
          {
          _flick_abort332:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

