#include "turtle-server-client.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	0
};

/* */

CORBA_long Server_SetSize(Server _obj, CORBA_long width, CORBA_long height, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort1);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, width, CORBA_long );
    flick_cdr_encode_signed32(12, height, CORBA_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort7);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_AddWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort11);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort11);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx, CORBA_long );
    flick_cdr_encode_signed32(12, starty, CORBA_long );
    flick_cdr_encode_signed32(16, endx, CORBA_long );
    flick_cdr_encode_signed32(20, endy, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort11);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort17);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort11:
    flick_corba_client_error(cdr, trapeze, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_DelWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort21);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort21);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx, CORBA_long );
    flick_cdr_encode_signed32(12, starty, CORBA_long );
    flick_cdr_encode_signed32(16, endx, CORBA_long );
    flick_cdr_encode_signed32(20, endy, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort27);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_corba_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_AddRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_long color, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort31);
  }
  {
    flick_trapeze_encode_new_glob(28, _flick_abort31);
    flick_trapeze_encode_new_chunk(28);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left, CORBA_long );
    flick_cdr_encode_signed32(12, top, CORBA_long );
    flick_cdr_encode_signed32(16, right, CORBA_long );
    flick_cdr_encode_signed32(20, bottom, CORBA_long );
    flick_cdr_encode_signed32(24, color, CORBA_long );
    flick_trapeze_encode_end_chunk(28);
    flick_trapeze_encode_end_glob(28);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort31);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort37);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort31:
    flick_corba_client_error(cdr, trapeze, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_DelRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort41);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort41);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left, CORBA_long );
    flick_cdr_encode_signed32(12, top, CORBA_long );
    flick_cdr_encode_signed32(16, right, CORBA_long );
    flick_cdr_encode_signed32(20, bottom, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort41);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort47);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort41:
    flick_corba_client_error(cdr, trapeze, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_SetTurtle(Server _obj, CORBA_long x, CORBA_long y, CORBA_long angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort51);
  }
  {
    flick_trapeze_encode_new_glob(20, _flick_abort51);
    flick_trapeze_encode_new_chunk(20);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, x, CORBA_long );
    flick_cdr_encode_signed32(12, y, CORBA_long );
    flick_cdr_encode_signed32(16, angle, CORBA_long );
    flick_trapeze_encode_end_chunk(20);
    flick_trapeze_encode_end_glob(20);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort51);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort57);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_corba_client_error(cdr, trapeze, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_GetTurtle(Server _obj, CORBA_long *x, CORBA_long *y, CORBA_long *angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort61);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort61);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(20);
      flick_trapeze_check_span(4, _flick_abort61);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(16, _flick_abort67);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_cdr_decode_signed32(4, *x, CORBA_long );
            flick_cdr_decode_signed32(8, *y, CORBA_long );
            flick_cdr_decode_signed32(12, *angle, CORBA_long );
            flick_trapeze_decode_end_chunk(16);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
      flick_trapeze_decode_end_glob(20);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_corba_client_error(cdr, trapeze, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

