#include "simple2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple3[] = {
	"IDL:simple2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort0);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort3);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort7);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_iiop_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiop_check_span(_data->_length * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->_buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t37_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort19);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t37_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t37_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t38_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t38_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t39_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t39_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t39_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t40_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t41_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t42_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort83);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t40_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t40_principal_len);
                        flick_iiop_check_span(_t40_principal_len * 1, _flick_abort83);
                        flick_iiop_decode_new_chunk(_t40_principal_len);
                        flick_iiop_decode_end_chunk(_t40_principal_len);
                        flick_iiop_decode_end_glob(_t40_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort83);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t41_storage);
                        _local_c = (CORBA_long *)(&_t42_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort83);
                          flick_iiop_encode_new_glob(8, _flick_abort83);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort88);
                                flick_iiop_encode_new_glob(7, _flick_abort88);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort83;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort89);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort83;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort90);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort90:
                                  goto _flick_abort83;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort83:
                          goto _flick_abort82;
                        }
                      }
                      break;
                      {
                      _flick_abort82:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t44_switch_tag;

          flick_iiop_check_span(12, _flick_abort19);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t44_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t45_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t45_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t45_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t46_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t47_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t48_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort92);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t46_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t46_principal_len);
                        flick_iiop_check_span(_t46_principal_len * 1, _flick_abort92);
                        flick_iiop_decode_new_chunk(_t46_principal_len);
                        flick_iiop_decode_end_chunk(_t46_principal_len);
                        flick_iiop_decode_end_glob(_t46_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort92);
                        flick_cdr_swap_decode_unsigned32(0, _t47_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t47_temp_string_len);
                        flick_iiop_check_span(1 * _t47_temp_string_len * 1, _flick_abort92);
                        flick_iiop_decode_new_chunk(1 * _t47_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t47_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t47_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t48_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort92);
                          flick_iiop_encode_new_glob(5, _flick_abort92);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort100);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort92;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort101:
                                  goto _flick_abort92;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort92:
                          goto _flick_abort91;
                        }
                      }
                      break;
                      {
                      _flick_abort91:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort19);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t14_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t14_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t14_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t15_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t15_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t15_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t16_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t17_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t18_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t19_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort42);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t16_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t16_principal_len);
                        flick_iiop_check_span(_t16_principal_len * 1, _flick_abort42);
                        flick_iiop_decode_new_chunk(_t16_principal_len);
                        flick_iiop_decode_end_chunk(_t16_principal_len);
                        flick_iiop_decode_end_glob(_t16_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort42);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t17_storage);
                        _local_c = (CORBA_long *)(&_t18_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t19_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort42);
                          flick_iiop_encode_new_glob(8, _flick_abort42);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort47);
                                flick_iiop_encode_new_glob(7, _flick_abort47);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort47:
                                  goto _flick_abort42;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort48);
                                break;
                                {
                                _flick_abort48:
                                  goto _flick_abort42;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort49:
                                  goto _flick_abort42;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort42:
                          goto _flick_abort41;
                        }
                      }
                      break;
                      {
                      _flick_abort41:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t20_switch_tag;

          flick_iiop_check_span(12, _flick_abort19);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t20_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t21_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t22_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t23_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t24_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort51);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t22_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t22_principal_len);
                        flick_iiop_check_span(_t22_principal_len * 1, _flick_abort51);
                        flick_iiop_decode_new_chunk(_t22_principal_len);
                        flick_iiop_decode_end_chunk(_t22_principal_len);
                        flick_iiop_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort51);
                        flick_cdr_decode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t23_temp_string_len);
                        flick_iiop_check_span(1 * _t23_temp_string_len * 1, _flick_abort51);
                        flick_iiop_decode_new_chunk(1 * _t23_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t23_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t23_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t24_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort51);
                          flick_iiop_encode_new_glob(5, _flick_abort51);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort59);
                                break;
                                {
                                _flick_abort59:
                                  goto _flick_abort51;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort60:
                                  goto _flick_abort51;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort51:
                          goto _flick_abort50;
                        }
                      }
                      break;
                      {
                      _flick_abort50:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort19:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort18);
  _flick_abort18:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort102);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t97_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort107);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t97_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t97_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t98_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t98_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t98_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t99_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t100_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t101_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort198);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t99_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t99_principal_len);
                  flick_iiop_check_span(_t99_principal_len * 1, _flick_abort198);
                  flick_iiop_decode_new_chunk(_t99_principal_len);
                  flick_iiop_decode_end_chunk(_t99_principal_len);
                  flick_iiop_decode_end_glob(_t99_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort198);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t100_storage);
                  _ev = (CORBA_Environment *)(&_t101_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort198);
                    flick_iiop_encode_new_glob(8, _flick_abort198);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort203);
                          break;
                          {
                          _flick_abort203:
                            goto _flick_abort198;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort204);
                          break;
                          {
                          _flick_abort204:
                            goto _flick_abort198;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort205:
                            goto _flick_abort198;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort198:
                    goto _flick_abort197;
                  }
                }
                break;
                {
                _flick_abort197:
                  goto _flick_abort107;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t102_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t102_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t102_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t103_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t103_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t103_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t104_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t105_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t106_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t107_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort207);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t104_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t104_principal_len);
                        flick_iiop_check_span(_t104_principal_len * 1, _flick_abort207);
                        flick_iiop_decode_new_chunk(_t104_principal_len);
                        flick_iiop_decode_end_chunk(_t104_principal_len);
                        flick_iiop_decode_end_glob(_t104_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort207);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t105_storage);
                        _local_c = (CORBA_long *)(&_t106_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t107_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort207);
                          flick_iiop_encode_new_glob(8, _flick_abort207);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort212);
                                flick_iiop_encode_new_glob(7, _flick_abort212);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort212:
                                  goto _flick_abort207;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort213);
                                break;
                                {
                                _flick_abort213:
                                  goto _flick_abort207;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort214);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort214:
                                  goto _flick_abort207;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort207:
                          goto _flick_abort206;
                        }
                      }
                      break;
                      {
                      _flick_abort206:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t108_switch_tag;

          flick_iiop_check_span(12, _flick_abort107);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t108_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t108_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t109_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t109_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t109_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t110_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t111_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort216);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t110_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t110_principal_len);
                        flick_iiop_check_span(_t110_principal_len * 1, _flick_abort216);
                        flick_iiop_decode_new_chunk(_t110_principal_len);
                        flick_iiop_decode_end_chunk(_t110_principal_len);
                        flick_iiop_decode_end_glob(_t110_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort216);
                        flick_cdr_swap_decode_unsigned32(0, _t111_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t111_temp_string_len);
                        flick_iiop_check_span(1 * _t111_temp_string_len * 1, _flick_abort216);
                        flick_iiop_decode_new_chunk(1 * _t111_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t111_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t111_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort216);
                          flick_iiop_encode_new_glob(5, _flick_abort216);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort224);
                                break;
                                {
                                _flick_abort224:
                                  goto _flick_abort216;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort225);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort225:
                                  goto _flick_abort216;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort216:
                          goto _flick_abort215;
                        }
                      }
                      break;
                      {
                      _flick_abort215:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t65_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort107);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t65_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t66_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t66_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t67_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t68_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t69_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort139);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t67_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t67_principal_len);
                  flick_iiop_check_span(_t67_principal_len * 1, _flick_abort139);
                  flick_iiop_decode_new_chunk(_t67_principal_len);
                  flick_iiop_decode_end_chunk(_t67_principal_len);
                  flick_iiop_decode_end_glob(_t67_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort139);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t68_storage);
                  _ev = (CORBA_Environment *)(&_t69_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort139);
                    flick_iiop_encode_new_glob(8, _flick_abort139);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort144);
                          break;
                          {
                          _flick_abort144:
                            goto _flick_abort139;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort145);
                          break;
                          {
                          _flick_abort145:
                            goto _flick_abort139;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort146:
                            goto _flick_abort139;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort139:
                    goto _flick_abort138;
                  }
                }
                break;
                {
                _flick_abort138:
                  goto _flick_abort107;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t70_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t70_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t71_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t71_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t71_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t72_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t73_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t74_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort148);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t72_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t72_principal_len);
                        flick_iiop_check_span(_t72_principal_len * 1, _flick_abort148);
                        flick_iiop_decode_new_chunk(_t72_principal_len);
                        flick_iiop_decode_end_chunk(_t72_principal_len);
                        flick_iiop_decode_end_glob(_t72_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort148);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t73_storage);
                        _local_c = (CORBA_long *)(&_t74_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort148);
                          flick_iiop_encode_new_glob(8, _flick_abort148);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort153);
                                flick_iiop_encode_new_glob(7, _flick_abort153);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort148;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort154);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort148;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort155:
                                  goto _flick_abort148;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort148:
                          goto _flick_abort147;
                        }
                      }
                      break;
                      {
                      _flick_abort147:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_check_span(12, _flick_abort107);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t77_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t77_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t78_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t79_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t80_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort157);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t78_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t78_principal_len);
                        flick_iiop_check_span(_t78_principal_len * 1, _flick_abort157);
                        flick_iiop_decode_new_chunk(_t78_principal_len);
                        flick_iiop_decode_end_chunk(_t78_principal_len);
                        flick_iiop_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort157);
                        flick_cdr_decode_unsigned32(0, _t79_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t79_temp_string_len);
                        flick_iiop_check_span(1 * _t79_temp_string_len * 1, _flick_abort157);
                        flick_iiop_decode_new_chunk(1 * _t79_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t79_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t79_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t80_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort157);
                          flick_iiop_encode_new_glob(5, _flick_abort157);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort165);
                                break;
                                {
                                _flick_abort165:
                                  goto _flick_abort157;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort166:
                                  goto _flick_abort157;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort157:
                          goto _flick_abort156;
                        }
                      }
                      break;
                      {
                      _flick_abort156:
                        goto _flick_abort107;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort107);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort107:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort106);
  _flick_abort106:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort226);
  return 0;
  {
  _flick_abort226:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_simple3_swap(flick_marshal_stream_t _stream, simple3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t113_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->msg, flick_unsigned32_t , _t113_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort229);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, CORBA_long );
  flick_cdr_encode_unsigned32(4, _t113_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _t113_temp_string_len, _flick_abort229);
  flick_iiop_encode_new_chunk(1 * _t113_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->msg, 1 * _t113_temp_string_len);
  CORBA_flick_free(_data->msg);
  flick_iiop_encode_end_chunk(1 * _t113_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t113_temp_string_len);
  return 0;
  {
  _flick_abort229:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t114_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort232);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_decode_unsigned32(4, _t114_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t114_temp_string_len);
  flick_iiop_check_span(1 * _t114_temp_string_len * 1, _flick_abort232);
  flick_iiop_decode_new_chunk(1 * _t114_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t114_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort232);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->msg, 1 * _t114_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t114_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t114_temp_string_len);
  return 0;
  {
  _flick_abort232:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_OVERFLOW_swap(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t115_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort236);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_swap_decode_unsigned32(4, _t115_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t115_temp_string_len);
  flick_iiop_check_span(1 * _t115_temp_string_len * 1, _flick_abort236);
  flick_iiop_decode_new_chunk(1 * _t115_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t115_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->msg, 1 * _t115_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t115_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t115_temp_string_len);
  return 0;
  {
  _flick_abort236:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t116_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->msg, flick_unsigned32_t , _t116_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort240);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->b, CORBA_long );
  flick_cdr_encode_unsigned32(4, _t116_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _t116_temp_string_len, _flick_abort240);
  flick_iiop_encode_new_chunk(1 * _t116_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->msg, 1 * _t116_temp_string_len);
  CORBA_flick_free(_data->msg);
  flick_iiop_encode_end_chunk(1 * _t116_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t116_temp_string_len);
  return 0;
  {
  _flick_abort240:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t117_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort243);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->b, CORBA_long );
  flick_cdr_decode_unsigned32(4, _t117_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t117_temp_string_len);
  flick_iiop_check_span(1 * _t117_temp_string_len * 1, _flick_abort243);
  flick_iiop_decode_new_chunk(1 * _t117_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t117_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort243);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->msg, 1 * _t117_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t117_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t117_temp_string_len);
  return 0;
  {
  _flick_abort243:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_UNDERFLOW_swap(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t118_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort247);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->b, CORBA_long );
  flick_cdr_swap_decode_unsigned32(4, _t118_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t118_temp_string_len);
  flick_iiop_check_span(1 * _t118_temp_string_len * 1, _flick_abort247);
  flick_iiop_decode_new_chunk(1 * _t118_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t118_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort247);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->msg, 1 * _t118_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t118_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t118_temp_string_len);
  return 0;
  {
  _flick_abort247:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort251);
  flick_iiop_encode_new_chunk(4 + 4 * _data->c._length);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort251);
  flick_cdr_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  flick_iiop_encode_end_chunk(4 + 4 * _data->c._length);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort251:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort254);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort254);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->c._length * 1, _flick_abort254);
  flick_iiop_decode_new_chunk(4 * _data->c._length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort254);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_decode_end_chunk(4 * _data->c._length);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort254:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_BADNUM_swap(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  CORBA_unsigned_long _t119_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort258);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort258);
  flick_iiop_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort258);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  flick_iiop_check_span(_data->c._length * 4, _flick_abort262);
  for (_t119_array_iter = 0; _t119_array_iter < _data->c._length; _t119_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t119_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort262:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort258:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t120_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->reason, flick_unsigned32_t , _t120_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort265);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t120_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _t120_temp_string_len, _flick_abort265);
  flick_iiop_encode_new_chunk(1 * _t120_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->reason, 1 * _t120_temp_string_len);
  CORBA_flick_free(_data->reason);
  flick_iiop_encode_end_chunk(1 * _t120_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t120_temp_string_len);
  return 0;
  {
  _flick_abort265:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t121_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort268);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t121_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _t121_temp_string_len);
  flick_iiop_check_span(1 * _t121_temp_string_len * 1, _flick_abort268);
  flick_iiop_decode_new_chunk(1 * _t121_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t121_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort268);
    _data->reason = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->reason, 1 * _t121_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t121_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t121_temp_string_len);
  return 0;
  {
  _flick_abort268:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_USERERROR_swap(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t122_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort272);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t122_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _t122_temp_string_len);
  flick_iiop_check_span(1 * _t122_temp_string_len * 1, _flick_abort272);
  flick_iiop_decode_new_chunk(1 * _t122_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t122_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort272);
    _data->reason = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->reason, 1 * _t122_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t122_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t122_temp_string_len);
  return 0;
  {
  _flick_abort272:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t276_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort278);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t276_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t276_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t277_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t277_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t277_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  unsigned int _t278_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple3 _t279_storage;
                  simple2 *_local_c;
                  simple2 _t280_storage;
                  simple *_local_d;
                  simple _t281_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t282_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort699);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t278_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t278_principal_len);
                  flick_iiop_check_span(_t278_principal_len * 1, _flick_abort699);
                  flick_iiop_decode_new_chunk(_t278_principal_len);
                  flick_iiop_decode_end_chunk(_t278_principal_len);
                  flick_iiop_decode_end_glob(_t278_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort699);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (simple3 *)(&_t279_storage);
                  _local_c = (simple2 *)(&_t280_storage);
                  _local_d = (simple *)(&_t281_storage);
                  _ev = (CORBA_Environment *)(&_t282_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort699);
                    flick_iiop_encode_new_glob(76, _flick_abort699);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(76);
                          flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort723);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort723);
                          flick_cdr_encode_IOR(iiop, *_local_d, 0, _flick_abort723);
                          break;
                          {
                          _flick_abort723:
                            goto _flick_abort699;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(76);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort724);
                          break;
                          {
                          _flick_abort724:
                            goto _flick_abort699;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t289_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t289_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t289_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          flick_iiop_encode_new_glob(1 * _t289_temp_string_len, _flick_abort736);
                                                                          flick_iiop_encode_new_chunk(1 * _t289_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t289_temp_string_len);
                                                                          CORBA_flick_free(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t289_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t289_temp_string_len);
                                                                          CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort736:
                                                                            goto _flick_abort725;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t290_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t290_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t290_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          flick_iiop_encode_new_glob(1 * _t290_temp_string_len, _flick_abort739);
                                                                          flick_iiop_encode_new_chunk(1 * _t290_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t290_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t290_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t290_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort739:
                                                                            goto _flick_abort725;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_iiop_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort742);
                                                                          flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                            CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                          flick_iiop_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort742:
                                                                            goto _flick_abort725;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort725);
                                flick_iiop_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort725:
                            goto _flick_abort699;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort699:
                    goto _flick_abort698;
                  }
                }
                break;
                {
                _flick_abort698:
                  goto _flick_abort278;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  unsigned int _t291_principal_len;
                  CORBA_char *_return;
                  CORBA_char *_local_x;
                  flick_unsigned32_t _t292_temp_string_len;
                  CORBA_char **_local_y;
                  CORBA_char *_t293_storage;
                  flick_unsigned32_t _t294_temp_string_len;
                  CORBA_char **_local_z;
                  CORBA_char *_t295_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t296_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort746);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t291_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t291_principal_len);
                  flick_iiop_check_span(_t291_principal_len * 1, _flick_abort746);
                  flick_iiop_decode_new_chunk(_t291_principal_len);
                  flick_iiop_decode_end_chunk(_t291_principal_len);
                  flick_iiop_decode_end_glob(_t291_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort746);
                  flick_cdr_swap_decode_unsigned32(0, _t292_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(1 * _t292_temp_string_len);
                  flick_iiop_check_span(1 * _t292_temp_string_len * 1, _flick_abort746);
                  flick_iiop_decode_new_chunk(1 * _t292_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_x, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t292_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t292_temp_string_len);
                  _local_y = (CORBA_char **)(&_t293_storage);
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort746);
                  flick_cdr_swap_decode_unsigned32(0, _t294_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(1 * _t294_temp_string_len);
                  flick_iiop_check_span(1 * _t294_temp_string_len * 1, _flick_abort746);
                  flick_iiop_decode_new_chunk(1 * _t294_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t294_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort746);
                    *_local_y = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, *_local_y, 1 * _t294_temp_string_len);
                  flick_iiop_decode_end_chunk(1 * _t294_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t294_temp_string_len);
                  _local_z = (CORBA_char **)(&_t295_storage);
                  _ev = (CORBA_Environment *)(&_t296_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort751);
                    flick_iiop_encode_new_glob(44, _flick_abort751);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t302_temp_string_len;
                          flick_unsigned32_t _t303_temp_string_len;
                          flick_unsigned32_t _t304_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t302_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t303_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t304_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t302_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(44);
                          flick_iiop_encode_new_glob(1 * _t302_temp_string_len, _flick_abort769);
                          flick_iiop_encode_new_chunk(1 * _t302_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t302_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = 0;
                          flick_iiop_encode_end_chunk(1 * _t302_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t302_temp_string_len);
                          flick_iiop_encode_new_glob(7, _flick_abort769);
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t303_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(7);
                          flick_iiop_encode_new_glob(1 * _t303_temp_string_len, _flick_abort769);
                          flick_iiop_encode_new_chunk(1 * _t303_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_y, 1 * _t303_temp_string_len);
                          CORBA_flick_free(*_local_y);
                          *_local_y = 0;
                          flick_iiop_encode_end_chunk(1 * _t303_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t303_temp_string_len);
                          flick_iiop_encode_new_glob(7, _flick_abort769);
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t304_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(7);
                          flick_iiop_encode_new_glob(1 * _t304_temp_string_len, _flick_abort769);
                          flick_iiop_encode_new_chunk(1 * _t304_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_z, 1 * _t304_temp_string_len);
                          CORBA_flick_free(*_local_z);
                          *_local_z = 0;
                          flick_iiop_encode_end_chunk(1 * _t304_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t304_temp_string_len);
                          break;
                          {
                          _flick_abort769:
                            goto _flick_abort751;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(44);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort776);
                          break;
                          {
                          _flick_abort776:
                            goto _flick_abort751;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t306_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t306_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t306_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(44);
                                                                          flick_iiop_encode_new_glob(1 * _t306_temp_string_len, _flick_abort782);
                                                                          flick_iiop_encode_new_chunk(1 * _t306_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t306_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t306_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t306_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort782:
                                                                            goto _flick_abort777;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                                                          flick_iiop_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                                                    flick_iiop_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                                              flick_iiop_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                                        flick_iiop_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                                  flick_iiop_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                            flick_iiop_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                      flick_iiop_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort777);
                                flick_iiop_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort777:
                            goto _flick_abort751;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort751:
                    CORBA_flick_free(*_local_y);
                  _flick_abort746:
                    goto _flick_abort745;
                  }
                }
                break;
                {
                _flick_abort745:
                  goto _flick_abort278;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  unsigned int _t307_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t308_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort786);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t307_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t307_principal_len);
                  flick_iiop_check_span(_t307_principal_len * 1, _flick_abort786);
                  flick_iiop_decode_new_chunk(_t307_principal_len);
                  flick_iiop_decode_end_chunk(_t307_principal_len);
                  flick_iiop_decode_end_glob(_t307_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t308_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  simple3_op5(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort786);
                    flick_iiop_encode_new_glob(40, _flick_abort786);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(40);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(40);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort799);
                          break;
                          {
                          _flick_abort799:
                            goto _flick_abort786;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t312_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t312_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t312_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(36);
                                                                          flick_iiop_encode_end_glob(40);
                                                                          flick_iiop_encode_new_glob(1 * _t312_temp_string_len, _flick_abort805);
                                                                          flick_iiop_encode_new_chunk(1 * _t312_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t312_temp_string_len);
                                                                          CORBA_flick_free(((simple3_USERERROR *)(_ev->_value._user_except))->reason);
                                                                          flick_iiop_encode_end_chunk(1 * _t312_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t312_temp_string_len);
                                                                          CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort805:
                                                                            goto _flick_abort800;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                                                          flick_iiop_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                                                    flick_iiop_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                                              flick_iiop_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                                        flick_iiop_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                                  flick_iiop_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                            flick_iiop_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                      flick_iiop_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort800);
                                flick_iiop_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort800:
                            goto _flick_abort786;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort786:
                    goto _flick_abort785;
                  }
                }
                break;
                {
                _flick_abort785:
                  goto _flick_abort278;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  unsigned int _t313_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t314_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t315_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort809);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t313_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t313_principal_len);
                  flick_iiop_check_span(_t313_principal_len * 1, _flick_abort809);
                  flick_iiop_decode_new_chunk(_t313_principal_len);
                  flick_iiop_decode_end_chunk(_t313_principal_len);
                  flick_iiop_decode_end_glob(_t313_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort809);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t314_storage);
                  _ev = (CORBA_Environment *)(&_t315_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort809);
                    flick_iiop_encode_new_glob(8, _flick_abort809);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort814);
                          break;
                          {
                          _flick_abort814:
                            goto _flick_abort809;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort815);
                          break;
                          {
                          _flick_abort815:
                            goto _flick_abort809;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort816);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort816:
                            goto _flick_abort809;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort809:
                    goto _flick_abort808;
                  }
                }
                break;
                {
                _flick_abort808:
                  goto _flick_abort278;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t316_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t316_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t316_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t317_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t317_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t317_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        unsigned int _t318_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t319_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t320_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t321_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort818);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t318_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t318_principal_len);
                        flick_iiop_check_span(_t318_principal_len * 1, _flick_abort818);
                        flick_iiop_decode_new_chunk(_t318_principal_len);
                        flick_iiop_decode_end_chunk(_t318_principal_len);
                        flick_iiop_decode_end_glob(_t318_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort818);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t319_storage);
                        _local_c = (CORBA_long *)(&_t320_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t321_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort818);
                          flick_iiop_encode_new_glob(8, _flick_abort818);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort823);
                                flick_iiop_encode_new_glob(7, _flick_abort823);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort823:
                                  goto _flick_abort818;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort824);
                                break;
                                {
                                _flick_abort824:
                                  goto _flick_abort818;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort825);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort825:
                                  goto _flick_abort818;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort818:
                          goto _flick_abort817;
                        }
                      }
                      break;
                      {
                      _flick_abort817:
                        goto _flick_abort278;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t322_switch_tag;

          flick_iiop_check_span(12, _flick_abort278);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t322_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t322_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t323_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t323_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t323_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t324_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t325_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t326_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort827);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t324_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t324_principal_len);
                        flick_iiop_check_span(_t324_principal_len * 1, _flick_abort827);
                        flick_iiop_decode_new_chunk(_t324_principal_len);
                        flick_iiop_decode_end_chunk(_t324_principal_len);
                        flick_iiop_decode_end_glob(_t324_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort827);
                        flick_cdr_swap_decode_unsigned32(0, _t325_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t325_temp_string_len);
                        flick_iiop_check_span(1 * _t325_temp_string_len * 1, _flick_abort827);
                        flick_iiop_decode_new_chunk(1 * _t325_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t325_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t325_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t326_storage);
                        _par = flick_interface_parents_simple3;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort827);
                          flick_iiop_encode_new_glob(5, _flick_abort827);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort835);
                                break;
                                {
                                _flick_abort835:
                                  goto _flick_abort827;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort836);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort836:
                                  goto _flick_abort827;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort827:
                          goto _flick_abort826;
                        }
                      }
                      break;
                      {
                      _flick_abort826:
                        goto _flick_abort278;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t174_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort278);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t174_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t174_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t175_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t175_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  unsigned int _t176_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple3 _t177_storage;
                  simple2 *_local_c;
                  simple2 _t178_storage;
                  simple *_local_d;
                  simple _t179_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t180_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort420);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t176_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t176_principal_len);
                  flick_iiop_check_span(_t176_principal_len * 1, _flick_abort420);
                  flick_iiop_decode_new_chunk(_t176_principal_len);
                  flick_iiop_decode_end_chunk(_t176_principal_len);
                  flick_iiop_decode_end_glob(_t176_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort420);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (simple3 *)(&_t177_storage);
                  _local_c = (simple2 *)(&_t178_storage);
                  _local_d = (simple *)(&_t179_storage);
                  _ev = (CORBA_Environment *)(&_t180_storage);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort420);
                    flick_iiop_encode_new_glob(76, _flick_abort420);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(76);
                          flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort444);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort444);
                          flick_cdr_encode_IOR(iiop, *_local_d, 0, _flick_abort444);
                          break;
                          {
                          _flick_abort444:
                            goto _flick_abort420;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(76);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort445);
                          break;
                          {
                          _flick_abort445:
                            goto _flick_abort420;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t187_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t187_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t187_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          flick_iiop_encode_new_glob(1 * _t187_temp_string_len, _flick_abort457);
                                                                          flick_iiop_encode_new_chunk(1 * _t187_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t187_temp_string_len);
                                                                          CORBA_flick_free(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t187_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t187_temp_string_len);
                                                                          CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort457:
                                                                            goto _flick_abort446;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t188_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t188_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t188_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          flick_iiop_encode_new_glob(1 * _t188_temp_string_len, _flick_abort460);
                                                                          flick_iiop_encode_new_chunk(1 * _t188_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t188_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t188_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t188_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort460:
                                                                            goto _flick_abort446;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_iiop_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort463);
                                                                          flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                            CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                          flick_iiop_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort463:
                                                                            goto _flick_abort446;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                          flick_iiop_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                                    flick_iiop_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                              flick_iiop_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                        flick_iiop_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                                  flick_iiop_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                            flick_iiop_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                      flick_iiop_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort446);
                                flick_iiop_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort446:
                            goto _flick_abort420;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort420:
                    goto _flick_abort419;
                  }
                }
                break;
                {
                _flick_abort419:
                  goto _flick_abort278;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  unsigned int _t189_principal_len;
                  CORBA_char *_return;
                  CORBA_char *_local_x;
                  flick_unsigned32_t _t190_temp_string_len;
                  CORBA_char **_local_y;
                  CORBA_char *_t191_storage;
                  flick_unsigned32_t _t192_temp_string_len;
                  CORBA_char **_local_z;
                  CORBA_char *_t193_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t194_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort467);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t189_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t189_principal_len);
                  flick_iiop_check_span(_t189_principal_len * 1, _flick_abort467);
                  flick_iiop_decode_new_chunk(_t189_principal_len);
                  flick_iiop_decode_end_chunk(_t189_principal_len);
                  flick_iiop_decode_end_glob(_t189_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort467);
                  flick_cdr_decode_unsigned32(0, _t190_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(1 * _t190_temp_string_len);
                  flick_iiop_check_span(1 * _t190_temp_string_len * 1, _flick_abort467);
                  flick_iiop_decode_new_chunk(1 * _t190_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_x, CORBA_char *);
                  flick_iiop_decode_end_chunk(1 * _t190_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t190_temp_string_len);
                  _local_y = (CORBA_char **)(&_t191_storage);
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort467);
                  flick_cdr_decode_unsigned32(0, _t192_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(1 * _t192_temp_string_len);
                  flick_iiop_check_span(1 * _t192_temp_string_len * 1, _flick_abort467);
                  flick_iiop_decode_new_chunk(1 * _t192_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t192_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort467);
                    *_local_y = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, *_local_y, 1 * _t192_temp_string_len);
                  flick_iiop_decode_end_chunk(1 * _t192_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t192_temp_string_len);
                  _local_z = (CORBA_char **)(&_t193_storage);
                  _ev = (CORBA_Environment *)(&_t194_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort472);
                    flick_iiop_encode_new_glob(44, _flick_abort472);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t200_temp_string_len;
                          flick_unsigned32_t _t201_temp_string_len;
                          flick_unsigned32_t _t202_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t200_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t201_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t202_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t200_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(44);
                          flick_iiop_encode_new_glob(1 * _t200_temp_string_len, _flick_abort490);
                          flick_iiop_encode_new_chunk(1 * _t200_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t200_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = 0;
                          flick_iiop_encode_end_chunk(1 * _t200_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t200_temp_string_len);
                          flick_iiop_encode_new_glob(7, _flick_abort490);
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t201_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(7);
                          flick_iiop_encode_new_glob(1 * _t201_temp_string_len, _flick_abort490);
                          flick_iiop_encode_new_chunk(1 * _t201_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_y, 1 * _t201_temp_string_len);
                          CORBA_flick_free(*_local_y);
                          *_local_y = 0;
                          flick_iiop_encode_end_chunk(1 * _t201_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t201_temp_string_len);
                          flick_iiop_encode_new_glob(7, _flick_abort490);
                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t202_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(7);
                          flick_iiop_encode_new_glob(1 * _t202_temp_string_len, _flick_abort490);
                          flick_iiop_encode_new_chunk(1 * _t202_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_z, 1 * _t202_temp_string_len);
                          CORBA_flick_free(*_local_z);
                          *_local_z = 0;
                          flick_iiop_encode_end_chunk(1 * _t202_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t202_temp_string_len);
                          break;
                          {
                          _flick_abort490:
                            goto _flick_abort472;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(44);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort497);
                          break;
                          {
                          _flick_abort497:
                            goto _flick_abort472;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t204_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t204_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t204_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(40);
                                                                          flick_iiop_encode_end_glob(44);
                                                                          flick_iiop_encode_new_glob(1 * _t204_temp_string_len, _flick_abort503);
                                                                          flick_iiop_encode_new_chunk(1 * _t204_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t204_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_iiop_encode_end_chunk(1 * _t204_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t204_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort503:
                                                                            goto _flick_abort498;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                                                          flick_iiop_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                                                    flick_iiop_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                                              flick_iiop_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                                        flick_iiop_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                                  flick_iiop_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                            flick_iiop_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                      flick_iiop_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort498);
                                flick_iiop_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort498:
                            goto _flick_abort472;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort472:
                    CORBA_flick_free(*_local_y);
                  _flick_abort467:
                    goto _flick_abort466;
                  }
                }
                break;
                {
                _flick_abort466:
                  goto _flick_abort278;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  unsigned int _t205_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t206_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort507);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t205_principal_len);
                  flick_iiop_check_span(_t205_principal_len * 1, _flick_abort507);
                  flick_iiop_decode_new_chunk(_t205_principal_len);
                  flick_iiop_decode_end_chunk(_t205_principal_len);
                  flick_iiop_decode_end_glob(_t205_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t206_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  simple3_op5(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort507);
                    flick_iiop_encode_new_glob(40, _flick_abort507);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_end_glob(40);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(40);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort520);
                          break;
                          {
                          _flick_abort520:
                            goto _flick_abort507;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t210_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t210_temp_string_len);

                                                                          flick_iiop_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t210_temp_string_len, flick_unsigned32_t );
                                                                          flick_iiop_encode_end_chunk(36);
                                                                          flick_iiop_encode_end_glob(40);
                                                                          flick_iiop_encode_new_glob(1 * _t210_temp_string_len, _flick_abort526);
                                                                          flick_iiop_encode_new_chunk(1 * _t210_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t210_temp_string_len);
                                                                          CORBA_flick_free(((simple3_USERERROR *)(_ev->_value._user_except))->reason);
                                                                          flick_iiop_encode_end_chunk(1 * _t210_temp_string_len);
                                                                          flick_iiop_encode_end_glob(1 * _t210_temp_string_len);
                                                                          CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort526:
                                                                            goto _flick_abort521;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                                                          flick_iiop_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                                                    flick_iiop_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                                              flick_iiop_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                                        flick_iiop_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                                  flick_iiop_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                            flick_iiop_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                      flick_iiop_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort521);
                                flick_iiop_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort521:
                            goto _flick_abort507;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort507:
                    goto _flick_abort506;
                  }
                }
                break;
                {
                _flick_abort506:
                  goto _flick_abort278;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  unsigned int _t211_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t212_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t213_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort530);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t211_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t211_principal_len);
                  flick_iiop_check_span(_t211_principal_len * 1, _flick_abort530);
                  flick_iiop_decode_new_chunk(_t211_principal_len);
                  flick_iiop_decode_end_chunk(_t211_principal_len);
                  flick_iiop_decode_end_glob(_t211_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort530);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t212_storage);
                  _ev = (CORBA_Environment *)(&_t213_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort530);
                    flick_iiop_encode_new_glob(8, _flick_abort530);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort535);
                          break;
                          {
                          _flick_abort535:
                            goto _flick_abort530;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort536);
                          break;
                          {
                          _flick_abort536:
                            goto _flick_abort530;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort537);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort537:
                            goto _flick_abort530;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort530:
                    goto _flick_abort529;
                  }
                }
                break;
                {
                _flick_abort529:
                  goto _flick_abort278;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t214_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t214_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t214_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t215_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t215_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t215_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        unsigned int _t216_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t217_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t218_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t219_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort539);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t216_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t216_principal_len);
                        flick_iiop_check_span(_t216_principal_len * 1, _flick_abort539);
                        flick_iiop_decode_new_chunk(_t216_principal_len);
                        flick_iiop_decode_end_chunk(_t216_principal_len);
                        flick_iiop_decode_end_glob(_t216_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort539);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t217_storage);
                        _local_c = (CORBA_long *)(&_t218_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t219_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort539);
                          flick_iiop_encode_new_glob(8, _flick_abort539);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort544);
                                flick_iiop_encode_new_glob(7, _flick_abort544);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort544:
                                  goto _flick_abort539;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort545);
                                break;
                                {
                                _flick_abort545:
                                  goto _flick_abort539;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort546);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort546:
                                  goto _flick_abort539;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort539:
                          goto _flick_abort538;
                        }
                      }
                      break;
                      {
                      _flick_abort538:
                        goto _flick_abort278;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t220_switch_tag;

          flick_iiop_check_span(12, _flick_abort278);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t220_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t220_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t221_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t221_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t221_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t222_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t223_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t224_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort548);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t222_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t222_principal_len);
                        flick_iiop_check_span(_t222_principal_len * 1, _flick_abort548);
                        flick_iiop_decode_new_chunk(_t222_principal_len);
                        flick_iiop_decode_end_chunk(_t222_principal_len);
                        flick_iiop_decode_end_glob(_t222_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort548);
                        flick_cdr_decode_unsigned32(0, _t223_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t223_temp_string_len);
                        flick_iiop_check_span(1 * _t223_temp_string_len * 1, _flick_abort548);
                        flick_iiop_decode_new_chunk(1 * _t223_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t223_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t223_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t224_storage);
                        _par = flick_interface_parents_simple3;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort548);
                          flick_iiop_encode_new_glob(5, _flick_abort548);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort556);
                                break;
                                {
                                _flick_abort556:
                                  goto _flick_abort548;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort557);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort557:
                                  goto _flick_abort548;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort548:
                          goto _flick_abort547;
                        }
                      }
                      break;
                      {
                      _flick_abort547:
                        goto _flick_abort278;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort278);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort278:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort277);
  _flick_abort277:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

