#include "simple2-client.h"
#include "simple2-server.h"

static const CORBA::Long _oc_simple3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c65333a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:simple3:1.0 */,
    8, ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c653300) /* name = simple3 */
};

static CORBA::TypeCode _tc_TAO_tc_simple3 (CORBA::tk_objref, sizeof(_oc_simple3), (char *) &_oc_simple3, 0, sizeof(simple3 ));

CORBA::TypeCode_ptr _tc_simple3 = &_tc_TAO_tc_simple3;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<simple3 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<simple3 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

simple3_ptr simple3::_duplicate(simple3_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

simple3_ptr simple3::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return simple3::_nil();
  if( !obj->_is_a("IDL:simple3:1.0", _env) )
    return simple3::_nil();
  return simple3::_unchecked_narrow(obj, _env);
}

simple3_ptr simple3::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return simple3::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new simple3 (stub);
  return new _tao_collocated_simple3(
      ACE_reinterpret_cast(POA_simple3_ptr , servant),
      stub
    );
}

simple3_ptr simple3::_nil()
{
  return (simple3_ptr )NULL;
}

CORBA::Boolean simple3::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *simple3::_interface_repository_id() const
{
  return "IDL:simple3:1.0";
}

simple3::simple3()
{}

simple3::~simple3()
{}

void operator<<=(CORBA::Any &a, simple3_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = simple3::_duplicate(o);
    a.replace (_tc_simple3, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, simple3_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = simple3::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_simple3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_simple3, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = simple3::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_simple3, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

simple3::simple3(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

simple3_var::simple3_var()
  : ptr_(simple3::_nil())
{}

simple3_var::simple3_var(simple3_ptr p)
  : ptr_(p)
{}

simple3_var::simple3_var(const simple3_var &a)
  : ptr_(simple3::_duplicate(a.ptr()))
{}

simple3_var::~simple3_var()
{
  CORBA::release(this->ptr_);
}

simple3_var &simple3_var::operator=(simple3_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

simple3_var &simple3_var::operator=(const simple3_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = simple3::_duplicate(p.ptr());
  }
  return *this;
}

simple3_ptr simple3_var::operator->() const
{
  return this->ptr_;
}

simple3_var::operator const simple3_ptr &() const
{
  return this->ptr_;
}

simple3_var::operator simple3_ptr &()
{
  return this->ptr_;
}

simple3_ptr simple3_var::in() const
{
  return this->ptr_;
}

simple3_ptr &simple3_var::inout()
{
  return this->ptr_;
}

simple3_ptr &simple3_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = simple3::_nil();
  return this->ptr_;
}

simple3_ptr simple3_var::_retn()
{
  simple3_ptr  val = this->ptr_;
  this->ptr_ = simple3::_nil();
  return val;
}

simple3_ptr simple3_var::ptr() const
{
  return this->ptr_;
}

simple3_out::simple3_out(simple3_ptr &r)
  : ptr_(r)
{
  this->ptr_ = simple3::_nil();
}

simple3_out::simple3_out(simple3_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = simple3::_nil();
}

simple3_out::simple3_out(const simple3_out &r)
  : ptr_(ACE_const_cast(simple3_out &,r).ptr_)
{}

simple3_out &simple3_out::operator=(const simple3_out &r)
{
  this->ptr_ = ACE_const_cast(simple3_out &,r).ptr_;
  return *this;
}

simple3_out &simple3_out::operator=(const simple3_var &r)
{
  this->ptr_ = simple3::_duplicate(r.ptr());
  return *this;
}

simple3_out &simple3_out::operator=(simple3_ptr r)
{
  this->ptr_ = r;
  return *this;
}

simple3_out::operator simple3_ptr &()
{
  return this->ptr_;
}

simple3_ptr &simple3_out::ptr()
{
  return this->ptr_;
}

simple3_ptr simple3_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_simple3_OVERFLOW[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    25, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c65332f), ACE_NTOHL(0x4f564552), ACE_NTOHL(0x464c4f57), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:simple3/OVERFLOW:1.0 */,
    9, ACE_NTOHL(0x4f564552), ACE_NTOHL(0x464c4f57), ACE_NTOHL(0x00000000) /* name = OVERFLOW */,
    2 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_long,
    4, ACE_NTOHL(0x6d736700) /* name = msg */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_simple3_OVERFLOW (CORBA::tk_except, sizeof(_oc_simple3_OVERFLOW), (char *) &_oc_simple3_OVERFLOW, 0, sizeof(simple3::OVERFLOW ));

CORBA::TypeCode_ptr simple3::_tc_OVERFLOW = &_tc_TAO_tc_simple3_OVERFLOW;

simple3::OVERFLOW::OVERFLOW()
  : CORBA_UserException(simple3::_tc_OVERFLOW)
{
}

simple3::OVERFLOW::OVERFLOW(const simple3::OVERFLOW &o)
  : CORBA_UserException(o._type())
{
  this->a = o.a;
  this->msg = CORBA::string_dup(o.msg.in());
}

simple3::OVERFLOW::~OVERFLOW()
{}

simple3::OVERFLOW &simple3::OVERFLOW::operator=(const simple3::OVERFLOW &o)
{
  this->CORBA_UserException::operator=(o);
  this->a = o.a;
  this->msg = CORBA::string_dup(o.msg.in());
  return *this;
}

void simple3::OVERFLOW::_raise()
{
  TAO_RAISE(*this);
}

simple3::OVERFLOW *simple3::OVERFLOW::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:simple3/OVERFLOW:1.0", e->_id())) )
    return ACE_dynamic_cast(simple3::OVERFLOW_ptr , e);
  else
    return 0;
}

CORBA::Exception *simple3::OVERFLOW::_alloc()
{
  return new simple3::OVERFLOW ;
}

simple3::OVERFLOW::OVERFLOW(CORBA::Long _a_, const char *_msg_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(simple3::_tc_OVERFLOW))
{
  this->a = _a_;
  this->msg = CORBA::string_dup(_msg_);
}

void operator<<=(CORBA::Any &a, const simple3::OVERFLOW &o)
{
  simple3::OVERFLOW  *_any_val = new simple3::OVERFLOW (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_OVERFLOW, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, simple3::OVERFLOW *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_OVERFLOW, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, simple3::OVERFLOW *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(simple3::_tc_OVERFLOW, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (simple3::OVERFLOW  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, simple3::OVERFLOW , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(simple3::_tc_OVERFLOW, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(simple3::_tc_OVERFLOW, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_simple3_UNDERFLOW[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    26, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c65332f), ACE_NTOHL(0x554e4445), ACE_NTOHL(0x52464c4f), ACE_NTOHL(0x573a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:simple3/UNDERFLOW:1.0 */,
    10, ACE_NTOHL(0x554e4445), ACE_NTOHL(0x52464c4f), ACE_NTOHL(0x57000000) /* name = UNDERFLOW */,
    2 /* member count */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_long,
    4, ACE_NTOHL(0x6d736700) /* name = msg */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_simple3_UNDERFLOW (CORBA::tk_except, sizeof(_oc_simple3_UNDERFLOW), (char *) &_oc_simple3_UNDERFLOW, 0, sizeof(simple3::UNDERFLOW ));

CORBA::TypeCode_ptr simple3::_tc_UNDERFLOW = &_tc_TAO_tc_simple3_UNDERFLOW;

simple3::UNDERFLOW::UNDERFLOW()
  : CORBA_UserException(simple3::_tc_UNDERFLOW)
{
}

simple3::UNDERFLOW::UNDERFLOW(const simple3::UNDERFLOW &o)
  : CORBA_UserException(o._type())
{
  this->b = o.b;
  this->msg = CORBA::string_dup(o.msg.in());
}

simple3::UNDERFLOW::~UNDERFLOW()
{}

simple3::UNDERFLOW &simple3::UNDERFLOW::operator=(const simple3::UNDERFLOW &o)
{
  this->CORBA_UserException::operator=(o);
  this->b = o.b;
  this->msg = CORBA::string_dup(o.msg.in());
  return *this;
}

void simple3::UNDERFLOW::_raise()
{
  TAO_RAISE(*this);
}

simple3::UNDERFLOW *simple3::UNDERFLOW::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:simple3/UNDERFLOW:1.0", e->_id())) )
    return ACE_dynamic_cast(simple3::UNDERFLOW_ptr , e);
  else
    return 0;
}

CORBA::Exception *simple3::UNDERFLOW::_alloc()
{
  return new simple3::UNDERFLOW ;
}

simple3::UNDERFLOW::UNDERFLOW(CORBA::Long _b_, const char *_msg_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(simple3::_tc_UNDERFLOW))
{
  this->b = _b_;
  this->msg = CORBA::string_dup(_msg_);
}

void operator<<=(CORBA::Any &a, const simple3::UNDERFLOW &o)
{
  simple3::UNDERFLOW  *_any_val = new simple3::UNDERFLOW (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_UNDERFLOW, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, simple3::UNDERFLOW *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_UNDERFLOW, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, simple3::UNDERFLOW *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(simple3::_tc_UNDERFLOW, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (simple3::UNDERFLOW  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, simple3::UNDERFLOW , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(simple3::_tc_UNDERFLOW, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(simple3::_tc_UNDERFLOW, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_simple3_BADNUM[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c65332f), ACE_NTOHL(0x4241444e), ACE_NTOHL(0x554d3a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:simple3/BADNUM:1.0 */,
    7, ACE_NTOHL(0x4241444e), ACE_NTOHL(0x554d0000) /* name = BADNUM */,
    1 /* member count */,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_alias,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x76656331), ACE_NTOHL(0x303a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:vec10:1.0 */,
      6, ACE_NTOHL(0x76656331), ACE_NTOHL(0x30000000) /* name = vec10 */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        10
};

static CORBA::TypeCode _tc_TAO_tc_simple3_BADNUM (CORBA::tk_except, sizeof(_oc_simple3_BADNUM), (char *) &_oc_simple3_BADNUM, 0, sizeof(simple3::BADNUM ));

CORBA::TypeCode_ptr simple3::_tc_BADNUM = &_tc_TAO_tc_simple3_BADNUM;

simple3::BADNUM::BADNUM()
  : CORBA_UserException(simple3::_tc_BADNUM)
{
}

simple3::BADNUM::BADNUM(const simple3::BADNUM &o)
  : CORBA_UserException(o._type())
{
  this->c = o.c;
}

simple3::BADNUM::~BADNUM()
{}

simple3::BADNUM &simple3::BADNUM::operator=(const simple3::BADNUM &o)
{
  this->CORBA_UserException::operator=(o);
  this->c = o.c;
  return *this;
}

void simple3::BADNUM::_raise()
{
  TAO_RAISE(*this);
}

simple3::BADNUM *simple3::BADNUM::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:simple3/BADNUM:1.0", e->_id())) )
    return ACE_dynamic_cast(simple3::BADNUM_ptr , e);
  else
    return 0;
}

CORBA::Exception *simple3::BADNUM::_alloc()
{
  return new simple3::BADNUM ;
}

simple3::BADNUM::BADNUM(const vec10 &_c_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(simple3::_tc_BADNUM))
{
  this->c = _c_;
}

void operator<<=(CORBA::Any &a, const simple3::BADNUM &o)
{
  simple3::BADNUM  *_any_val = new simple3::BADNUM (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_BADNUM, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, simple3::BADNUM *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_BADNUM, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, simple3::BADNUM *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(simple3::_tc_BADNUM, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (simple3::BADNUM  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, simple3::BADNUM , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(simple3::_tc_BADNUM, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(simple3::_tc_BADNUM, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_simple3_USERERROR[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    26, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73696d70), ACE_NTOHL(0x6c65332f), ACE_NTOHL(0x55534552), ACE_NTOHL(0x4552524f), ACE_NTOHL(0x523a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:simple3/USERERROR:1.0 */,
    10, ACE_NTOHL(0x55534552), ACE_NTOHL(0x4552524f), ACE_NTOHL(0x52000000) /* name = USERERROR */,
    1 /* member count */,
    7, ACE_NTOHL(0x72656173), ACE_NTOHL(0x6f6e0000) /* name = reason */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_simple3_USERERROR (CORBA::tk_except, sizeof(_oc_simple3_USERERROR), (char *) &_oc_simple3_USERERROR, 0, sizeof(simple3::USERERROR ));

CORBA::TypeCode_ptr simple3::_tc_USERERROR = &_tc_TAO_tc_simple3_USERERROR;

simple3::USERERROR::USERERROR()
  : CORBA_UserException(simple3::_tc_USERERROR)
{
}

simple3::USERERROR::USERERROR(const simple3::USERERROR &o)
  : CORBA_UserException(o._type())
{
  this->reason = CORBA::string_dup(o.reason.in());
}

simple3::USERERROR::~USERERROR()
{}

simple3::USERERROR &simple3::USERERROR::operator=(const simple3::USERERROR &o)
{
  this->CORBA_UserException::operator=(o);
  this->reason = CORBA::string_dup(o.reason.in());
  return *this;
}

void simple3::USERERROR::_raise()
{
  TAO_RAISE(*this);
}

simple3::USERERROR *simple3::USERERROR::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:simple3/USERERROR:1.0", e->_id())) )
    return ACE_dynamic_cast(simple3::USERERROR_ptr , e);
  else
    return 0;
}

CORBA::Exception *simple3::USERERROR::_alloc()
{
  return new simple3::USERERROR ;
}

simple3::USERERROR::USERERROR(const char *_reason_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(simple3::_tc_USERERROR))
{
  this->reason = CORBA::string_dup(_reason_);
}

void operator<<=(CORBA::Any &a, const simple3::USERERROR &o)
{
  simple3::USERERROR  *_any_val = new simple3::USERERROR (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_USERERROR, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, simple3::USERERROR *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(simple3::_tc_USERERROR, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, simple3::USERERROR *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(simple3::_tc_USERERROR, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (simple3::USERERROR  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, simple3::USERERROR , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(simple3::_tc_USERERROR, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(simple3::_tc_USERERROR, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(44, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiopxx_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiopxx_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort3);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_iiopxx_decode_new_chunk(4 * _data->_length);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiopxx_decode_end_chunk(4 * _data->_length);
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA::ULong _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort6);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA::ULong );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_iiopxx_decode_end_chunk(4);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_iiopxx_check_span(_data->_length * 4, _flick_abort6);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple , _flick_abort12);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort13);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long simple::op(/* simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort16);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort16);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_cdr_encode_signed32(16, c, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort29);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdr_swapxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort29);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort29);
              flick_cdr_swap_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort29:
                goto _flick_abort16;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort30);
              break;
              {
              _flick_abort30:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort31:
                goto _flick_abort16;
              }
            }
          }
      }
    else
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort22);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdrxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort22);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort22);
              flick_cdr_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort22:
                goto _flick_abort16;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort23);
              break;
              {
              _flick_abort23:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort24);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort24:
                goto _flick_abort16;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort16:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort15);
    _flick_abort15:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple2 , _flick_abort32);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort33);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort34);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long simple2::op2(/* simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort36);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort36);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort36);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      flick_cdrxx_encode_IOR(iiopxx, b, 0, simple , _flick_abort36);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort36);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort36);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort36);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort49);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdr_swapxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort49);
              break;
              {
              _flick_abort49:
                goto _flick_abort36;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort50);
              break;
              {
              _flick_abort50:
                goto _flick_abort36;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort51:
                goto _flick_abort36;
              }
            }
          }
      }
    else
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort36);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort42);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdrxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort42);
              break;
              {
              _flick_abort42:
                goto _flick_abort36;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort43);
              break;
              {
              _flick_abort43:
                goto _flick_abort36;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort44);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort44:
                goto _flick_abort36;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort36:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort35);
    _flick_abort35:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long simple2::op(/* simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort53);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort53);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_cdr_encode_signed32(16, c, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort53);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort66);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdr_swapxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort66);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort66);
              flick_cdr_swap_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort66:
                goto _flick_abort53;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort67);
              break;
              {
              _flick_abort67:
                goto _flick_abort53;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort68:
                goto _flick_abort53;
              }
            }
          }
      }
    else
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort53);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort59);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdrxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort59);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort59);
              flick_cdr_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort59:
                goto _flick_abort53;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort60);
              break;
              {
              _flick_abort60:
                goto _flick_abort53;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort61:
                goto _flick_abort53;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort53:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort52);
    _flick_abort52:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple3 , _flick_abort69);
  return 0;
  {
  _flick_abort69:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple3 , _flick_abort70);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple3 , _flick_abort71);
  return 0;
  {
  _flick_abort71:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple3::OVERFLOW *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->msg, flick_unsigned32_t , _t7_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort72);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_encode_unsigned32(4, _t7_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t7_temp_string_len, _flick_abort72);
  flick_iiopxx_encode_new_chunk(1 * _t7_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->msg, 1 * _t7_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t7_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t7_temp_string_len);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3::OVERFLOW *_data)
{
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort75);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t8_temp_string_len);
  flick_iiopxx_check_span(1 * _t8_temp_string_len * 1, _flick_abort75);
  flick_iiopxx_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t8_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort75);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->msg, 1 * _t8_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t8_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t8_temp_string_len);
  return 0;
  {
  _flick_abort75:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3::OVERFLOW *_data)
{
  flick_unsigned32_t _t9_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort78);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(4, _t9_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t9_temp_string_len);
  flick_iiopxx_check_span(1 * _t9_temp_string_len * 1, _flick_abort78);
  flick_iiopxx_decode_new_chunk(1 * _t9_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t9_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->msg, 1 * _t9_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t9_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t9_temp_string_len);
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple3::UNDERFLOW *_data)
{
  flick_unsigned32_t _t10_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->msg, flick_unsigned32_t , _t10_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort81);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->b, CORBA::Long );
  flick_cdr_encode_unsigned32(4, _t10_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t10_temp_string_len, _flick_abort81);
  flick_iiopxx_encode_new_chunk(1 * _t10_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->msg, 1 * _t10_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t10_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t10_temp_string_len);
  return 0;
  {
  _flick_abort81:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3::UNDERFLOW *_data)
{
  flick_unsigned32_t _t11_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort84);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->b, CORBA::Long );
  flick_cdr_decode_unsigned32(4, _t11_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t11_temp_string_len);
  flick_iiopxx_check_span(1 * _t11_temp_string_len * 1, _flick_abort84);
  flick_iiopxx_decode_new_chunk(1 * _t11_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t11_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort84);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->msg, 1 * _t11_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t11_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t11_temp_string_len);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3::UNDERFLOW *_data)
{
  flick_unsigned32_t _t12_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort87);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->b, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t12_temp_string_len);
  flick_iiopxx_check_span(1 * _t12_temp_string_len * 1, _flick_abort87);
  flick_iiopxx_decode_new_chunk(1 * _t12_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t12_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort87);
    _data->msg = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->msg, 1 * _t12_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t12_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t12_temp_string_len);
  return 0;
  {
  _flick_abort87:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple3::BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(44, _flick_abort90);
  flick_iiopxx_encode_new_chunk(4 + 4 * _data->c._length);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
  flick_cdr_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  flick_iiopxx_encode_end_chunk(4 + 4 * _data->c._length);
  flick_iiopxx_encode_end_glob(44);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3::BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort93);
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_check_span(4 * _data->c._length * 1, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4 * _data->c._length);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_iiopxx_decode_end_chunk(4 * _data->c._length);
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort93:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3::BADNUM *_data)
{
  CORBA::ULong _t13_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort96);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort96);
  flick_iiopxx_decode_end_chunk(4);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort96);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  flick_iiopxx_check_span(_data->c._length * 4, _flick_abort96);
  for (_t13_array_iter = 0; _t13_array_iter < _data->c._length; _t13_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t13_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(44);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const simple3::USERERROR *_data)
{
  flick_unsigned32_t _t14_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->reason, flick_unsigned32_t , _t14_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort102);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  flick_iiopxx_encode_new_glob(1 * _t14_temp_string_len, _flick_abort102);
  flick_iiopxx_encode_new_chunk(1 * _t14_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->reason, 1 * _t14_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t14_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t14_temp_string_len);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, simple3::USERERROR *_data)
{
  flick_unsigned32_t _t15_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort105);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(1 * _t15_temp_string_len);
  flick_iiopxx_check_span(1 * _t15_temp_string_len * 1, _flick_abort105);
  flick_iiopxx_decode_new_chunk(1 * _t15_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t15_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
    _data->reason = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->reason, 1 * _t15_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t15_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t15_temp_string_len);
  return 0;
  {
  _flick_abort105:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, simple3::USERERROR *_data)
{
  flick_unsigned32_t _t16_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort108);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t16_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(1 * _t16_temp_string_len);
  flick_iiopxx_check_span(1 * _t16_temp_string_len * 1, _flick_abort108);
  flick_iiopxx_decode_new_chunk(1 * _t16_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t16_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort108);
    _data->reason = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->reason, 1 * _t16_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t16_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t16_temp_string_len);
  return 0;
  {
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long simple3::op3(/* simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort112);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort112);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t116_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(76);
        flick_iiopxx_check_span(4, _flick_abort112);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t116_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t116_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort188);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(76);
              flick_cdr_swapxx_decode_IOR(iiopxx, b, 1, simple3 , _flick_abort188);
              flick_cdr_swapxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort188);
              flick_cdr_swapxx_decode_IOR(iiopxx, d, 1, simple , _flick_abort188);
              break;
              {
              _flick_abort188:
                goto _flick_abort112;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(76);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort189);
              break;
              {
              _flick_abort189:
                goto _flick_abort112;
              }
            }
          default:
            {
              flick_corbaxx_env _t168_temp_env;
              unsigned int _t194_switch_tag;

              flick_iiopxx_check_span(32, _flick_abort190);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t194_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t194_switch_tag)
                {
                case (unsigned int) 25:
                  {
                    unsigned int _t195_switch_tag;

                    flick_iiopxx_check_span(36, _flick_abort190);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t195_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t195_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t196_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t196_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t196_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t197_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t197_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t197_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t198_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t198_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t198_switch_tag)
                                        {
                                        case /* OVER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                          {
                                            unsigned int _t199_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t199_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t199_switch_tag)
                                              {
                                              case /* FLOW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                {
                                                  unsigned int _t200_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t200_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t200_switch_tag)
                                                    {
                                                    case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        char _t201_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(1);
                                                        flick_cdr_swap_decode_char8(0, _t201_switch_tag, char );
                                                        flick_iiopxx_decode_end_chunk(1);
                                                        switch ((char )_t201_switch_tag)
                                                          {
                                                          case 0:
                                                            {
                                                              flick_unsigned32_t _t202_temp_string_len;

                                                              _t168_temp_env._id = "IDL:simple3/OVERFLOW:1.0";
                                                              {
                                                                simple3::OVERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::OVERFLOW *)new simple3::OVERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort204);
                                                                _t168_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(11);
                                                              flick_cdr_swap_decode_signed32(3, ((simple3::OVERFLOW *)(_t168_temp_env._user_except))->a, CORBA::Long );
                                                              flick_cdr_swap_decode_unsigned32(7, _t202_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(11);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              flick_iiopxx_decode_new_glob(1 * _t202_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t202_temp_string_len * 1, _flick_abort204);
                                                              flick_iiopxx_decode_new_chunk(1 * _t202_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t202_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort204);
                                                                ((simple3::OVERFLOW *)(_t168_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_swap_decode_bcopy(0, ((simple3::OVERFLOW *)(_t168_temp_env._user_except))->msg, 1 * _t202_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t202_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t202_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort204:
                                                                goto _flick_abort190;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 26:
                  {
                    unsigned int _t203_switch_tag;

                    flick_iiopxx_check_span(36, _flick_abort190);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t203_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t204_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t204_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t205_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t205_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t205_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t206_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t206_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t206_switch_tag)
                                        {
                                        case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                          {
                                            unsigned int _t207_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t207_switch_tag)
                                              {
                                              case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                {
                                                  unsigned int _t208_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t208_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t208_switch_tag)
                                                    {
                                                    case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                      {
                                                        unsigned short int _t209_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t209_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t209_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t210_temp_string_len;

                                                              _t168_temp_env._id = "IDL:simple3/UNDERFLOW:1.0";
                                                              {
                                                                simple3::UNDERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::UNDERFLOW *)new simple3::UNDERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort207);
                                                                _t168_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(10);
                                                              flick_cdr_swap_decode_signed32(2, ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->b, CORBA::Long );
                                                              flick_cdr_swap_decode_unsigned32(6, _t210_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(10);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              flick_iiopxx_decode_new_glob(1 * _t210_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t210_temp_string_len * 1, _flick_abort207);
                                                              flick_iiopxx_decode_new_chunk(1 * _t210_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t210_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort207);
                                                                ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_swap_decode_bcopy(0, ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->msg, 1 * _t210_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t210_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t210_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort207:
                                                                goto _flick_abort190;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 23:
                  {
                    unsigned int _t211_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t211_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t211_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t212_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t212_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t212_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t213_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t213_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t213_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t214_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t214_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t214_switch_tag)
                                        {
                                        case /* BADN */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                          {
                                            unsigned int _t215_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t215_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t215_switch_tag)
                                              {
                                              case /* UM:1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                {
                                                  unsigned short int _t216_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(2);
                                                  flick_cdr_decode_unsigned16(0, _t216_switch_tag, unsigned short int );
                                                  flick_iiopxx_decode_end_chunk(2);
                                                  switch ((unsigned short int )_t216_switch_tag)
                                                    {
                                                    case /* .0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                      {
                                                        char _t217_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(1);
                                                        flick_cdr_swap_decode_char8(0, _t217_switch_tag, char );
                                                        flick_iiopxx_decode_end_chunk(1);
                                                        switch ((char )_t217_switch_tag)
                                                          {
                                                          case 0:
                                                            {
                                                              CORBA::ULong _t218_array_iter;

                                                              _t168_temp_env._id = "IDL:simple3/BADNUM:1.0";
                                                              {
                                                                simple3::BADNUM *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::BADNUM *)new simple3::BADNUM ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort210);
                                                                _t168_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(5);
                                                              flick_cdr_swap_decode_unsigned32(1, ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._length, CORBA::ULong );
                                                              if (((simple3::BADNUM *)(_t168_temp_env._user_except))->c._length > 10)
                                                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort210);
                                                              flick_iiopxx_decode_end_chunk(5);
                                                              {
                                                                CORBA::Long *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort210);
                                                                ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._buffer = _t_alloc_ptr;
                                                                ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._maximum = 10;
                                                                ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._release = 1;
                                                              }
                                                              flick_iiopxx_check_span(((simple3::BADNUM *)(_t168_temp_env._user_except))->c._length * 4, _flick_abort210);
                                                              for (_t218_array_iter = 0; _t218_array_iter < ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._length; _t218_array_iter++)
                                                                {
                                                                  flick_iiopxx_decode_new_chunk(4);
                                                                  flick_cdr_swap_decode_signed32(0, ((simple3::BADNUM *)(_t168_temp_env._user_except))->c._buffer[_t218_array_iter], CORBA::Long );
                                                                  flick_iiopxx_decode_end_chunk(4);
                                                                  continue;
                                                                }
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                              {
                                                              _flick_abort210:
                                                                goto _flick_abort190;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort190);
                    flick_iiopxx_decode_end_glob(76);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t168_temp_env);
              break;
              {
              _flick_abort190:
                goto _flick_abort112;
              }
            }
          }
      }
    else
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(76);
        flick_iiopxx_check_span(4, _flick_abort112);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort137);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(76);
              flick_cdrxx_decode_IOR(iiopxx, b, 1, simple3 , _flick_abort137);
              flick_cdrxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort137);
              flick_cdrxx_decode_IOR(iiopxx, d, 1, simple , _flick_abort137);
              break;
              {
              _flick_abort137:
                goto _flick_abort112;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(76);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort138);
              break;
              {
              _flick_abort138:
                goto _flick_abort112;
              }
            }
          default:
            {
              flick_corbaxx_env _t67_temp_env;
              unsigned int _t92_switch_tag;

              flick_iiopxx_check_span(32, _flick_abort139);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t92_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t92_switch_tag)
                {
                case (unsigned int) 25:
                  {
                    unsigned int _t93_switch_tag;

                    flick_iiopxx_check_span(36, _flick_abort139);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t93_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t93_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t94_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t94_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t95_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t95_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t96_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t96_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t96_switch_tag)
                                        {
                                        case /* OVER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                          {
                                            unsigned int _t97_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t97_switch_tag)
                                              {
                                              case /* FLOW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                {
                                                  unsigned int _t98_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t98_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t98_switch_tag)
                                                    {
                                                    case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                      {
                                                        char _t99_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(1);
                                                        flick_cdr_decode_char8(0, _t99_switch_tag, char );
                                                        flick_iiopxx_decode_end_chunk(1);
                                                        switch ((char )_t99_switch_tag)
                                                          {
                                                          case 0:
                                                            {
                                                              flick_unsigned32_t _t100_temp_string_len;

                                                              _t67_temp_env._id = "IDL:simple3/OVERFLOW:1.0";
                                                              {
                                                                simple3::OVERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::OVERFLOW *)new simple3::OVERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort150);
                                                                _t67_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(11);
                                                              flick_cdr_decode_signed32(3, ((simple3::OVERFLOW *)(_t67_temp_env._user_except))->a, CORBA::Long );
                                                              flick_cdr_decode_unsigned32(7, _t100_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(11);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              flick_iiopxx_decode_new_glob(1 * _t100_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t100_temp_string_len * 1, _flick_abort150);
                                                              flick_iiopxx_decode_new_chunk(1 * _t100_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t100_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort150);
                                                                ((simple3::OVERFLOW *)(_t67_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_decode_bcopy(0, ((simple3::OVERFLOW *)(_t67_temp_env._user_except))->msg, 1 * _t100_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t100_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t100_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort150:
                                                                goto _flick_abort139;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 26:
                  {
                    unsigned int _t101_switch_tag;

                    flick_iiopxx_check_span(36, _flick_abort139);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t101_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t101_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t102_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t102_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t102_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t103_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t103_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t104_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t104_switch_tag)
                                        {
                                        case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                          {
                                            unsigned int _t105_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t105_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t105_switch_tag)
                                              {
                                              case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                {
                                                  unsigned int _t106_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t106_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t106_switch_tag)
                                                    {
                                                    case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                      {
                                                        unsigned short int _t107_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t107_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t107_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t108_temp_string_len;

                                                              _t67_temp_env._id = "IDL:simple3/UNDERFLOW:1.0";
                                                              {
                                                                simple3::UNDERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::UNDERFLOW *)new simple3::UNDERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort153);
                                                                _t67_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(10);
                                                              flick_cdr_decode_signed32(2, ((simple3::UNDERFLOW *)(_t67_temp_env._user_except))->b, CORBA::Long );
                                                              flick_cdr_decode_unsigned32(6, _t108_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(10);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              flick_iiopxx_decode_new_glob(1 * _t108_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t108_temp_string_len * 1, _flick_abort153);
                                                              flick_iiopxx_decode_new_chunk(1 * _t108_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t108_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort153);
                                                                ((simple3::UNDERFLOW *)(_t67_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_decode_bcopy(0, ((simple3::UNDERFLOW *)(_t67_temp_env._user_except))->msg, 1 * _t108_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t108_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t108_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort153:
                                                                goto _flick_abort139;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 23:
                  {
                    unsigned int _t109_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t109_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t109_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t110_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t110_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t111_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t111_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t111_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t112_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t112_switch_tag)
                                        {
                                        case /* BADN */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                          {
                                            unsigned int _t113_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t113_switch_tag)
                                              {
                                              case /* UM:1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                {
                                                  unsigned short int _t114_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(2);
                                                  flick_cdr_decode_unsigned16(0, _t114_switch_tag, unsigned short int );
                                                  flick_iiopxx_decode_end_chunk(2);
                                                  switch ((unsigned short int )_t114_switch_tag)
                                                    {
                                                    case /* .0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                      {
                                                        char _t115_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(1);
                                                        flick_cdr_decode_char8(0, _t115_switch_tag, char );
                                                        flick_iiopxx_decode_end_chunk(1);
                                                        switch ((char )_t115_switch_tag)
                                                          {
                                                          case 0:
                                                            {
                                                              _t67_temp_env._id = "IDL:simple3/BADNUM:1.0";
                                                              {
                                                                simple3::BADNUM *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::BADNUM *)new simple3::BADNUM ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort156);
                                                                _t67_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(5);
                                                              flick_cdr_decode_unsigned32(1, ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length, CORBA::ULong );
                                                              if (((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length > 10)
                                                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort156);
                                                              flick_iiopxx_decode_end_chunk(5);
                                                              flick_iiopxx_check_span(4 * ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length * 1, _flick_abort156);
                                                              flick_iiopxx_decode_new_chunk(4 * ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length);
                                                              {
                                                                CORBA::Long *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort156);
                                                                ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._buffer = _t_alloc_ptr;
                                                                ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._maximum = 10;
                                                                ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._release = 1;
                                                              }
                                                              flick_cdr_decode_bcopy(0, ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._buffer, 4 * ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length);
                                                              flick_iiopxx_decode_end_chunk(4 * ((simple3::BADNUM *)(_t67_temp_env._user_except))->c._length);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                              {
                                                              _flick_abort156:
                                                                goto _flick_abort139;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                              flick_iiopxx_decode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                        flick_iiopxx_decode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                  flick_iiopxx_decode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                            flick_iiopxx_decode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                      flick_iiopxx_decode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                flick_iiopxx_decode_end_glob(76);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                          flick_iiopxx_decode_end_glob(76);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                    flick_iiopxx_decode_end_glob(76);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t67_temp_env);
              break;
              {
              _flick_abort139:
                goto _flick_abort112;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort112:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort111);
    _flick_abort111:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *simple3::op4(/* simple3 *this, */ const char *x, char *&y, CORBA::String_out z, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort217);
    }
    {
      flick_unsigned32_t _t221_temp_string_len;
      flick_unsigned32_t _t222_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, x, flick_unsigned32_t , _t221_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, y, flick_unsigned32_t , _t222_temp_string_len);

      flick_iiopxx_encode_new_glob(16, _flick_abort217);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, _t221_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      flick_iiopxx_encode_new_glob(1 * _t221_temp_string_len, _flick_abort217);
      flick_iiopxx_encode_new_chunk(1 * _t221_temp_string_len);
      flick_cdr_encode_bcopy(0, x, 1 * _t221_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t221_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t221_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort217);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t222_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t222_temp_string_len, _flick_abort217);
      flick_iiopxx_encode_new_chunk(1 * _t222_temp_string_len);
      flick_cdr_encode_bcopy(0, y, 1 * _t222_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t222_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t222_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t268_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort217);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t268_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t268_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t291_temp_string_len;
              flick_unsigned32_t _t292_temp_string_len;
              flick_unsigned32_t _t293_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort277);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t291_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              flick_iiopxx_decode_new_glob(1 * _t291_temp_string_len);
              flick_iiopxx_check_span(1 * _t291_temp_string_len * 1, _flick_abort277);
              flick_iiopxx_decode_new_chunk(1 * _t291_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t291_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort277);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t291_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t291_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t291_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort277);
              flick_cdr_swap_decode_unsigned32(0, _t292_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t292_temp_string_len);
              flick_iiopxx_check_span(1 * _t292_temp_string_len * 1, _flick_abort277);
              flick_iiopxx_decode_new_chunk(1 * _t292_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t292_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort277);
                y = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, y, 1 * _t292_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t292_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t292_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort277);
              flick_cdr_swap_decode_unsigned32(0, _t293_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t293_temp_string_len);
              flick_iiopxx_check_span(1 * _t293_temp_string_len * 1, _flick_abort277);
              flick_iiopxx_decode_new_chunk(1 * _t293_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t293_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort277);
                z = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, z, 1 * _t293_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t293_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t293_temp_string_len);
              break;
              {
              _flick_abort277:
                goto _flick_abort217;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort284);
              break;
              {
              _flick_abort284:
                goto _flick_abort217;
              }
            }
          default:
            {
              flick_corbaxx_env _t294_temp_env;
              unsigned int _t304_switch_tag;

              flick_iiopxx_check_span(40, _flick_abort285);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t304_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t304_switch_tag)
                {
                case (unsigned int) 26:
                  {
                    unsigned int _t305_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t305_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t305_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t306_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t306_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t306_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t307_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t307_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t307_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t308_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t308_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t308_switch_tag)
                                        {
                                        case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                          {
                                            unsigned int _t309_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t309_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t309_switch_tag)
                                              {
                                              case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                {
                                                  unsigned int _t310_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t310_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t310_switch_tag)
                                                    {
                                                    case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                      {
                                                        unsigned short int _t311_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t311_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t311_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t312_temp_string_len;

                                                              _t294_temp_env._id = "IDL:simple3/UNDERFLOW:1.0";
                                                              {
                                                                simple3::UNDERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::UNDERFLOW *)new simple3::UNDERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort290);
                                                                _t294_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(10);
                                                              flick_cdr_swap_decode_signed32(2, ((simple3::UNDERFLOW *)(_t294_temp_env._user_except))->b, CORBA::Long );
                                                              flick_cdr_swap_decode_unsigned32(6, _t312_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(10);
                                                              flick_iiopxx_decode_end_glob(44);
                                                              flick_iiopxx_decode_new_glob(1 * _t312_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t312_temp_string_len * 1, _flick_abort290);
                                                              flick_iiopxx_decode_new_chunk(1 * _t312_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t312_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort290);
                                                                ((simple3::UNDERFLOW *)(_t294_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_swap_decode_bcopy(0, ((simple3::UNDERFLOW *)(_t294_temp_env._user_except))->msg, 1 * _t312_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t312_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t312_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort290:
                                                                goto _flick_abort285;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                                              flick_iiopxx_decode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                                        flick_iiopxx_decode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                                  flick_iiopxx_decode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                            flick_iiopxx_decode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                      flick_iiopxx_decode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                                flick_iiopxx_decode_end_glob(44);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                          flick_iiopxx_decode_end_glob(44);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort285);
                    flick_iiopxx_decode_end_glob(44);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t294_temp_env);
              break;
              {
              _flick_abort285:
                goto _flick_abort217;
              }
            }
          }
      }
    else
      {
        int _t223_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort217);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t223_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t223_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t246_temp_string_len;
              flick_unsigned32_t _t247_temp_string_len;
              flick_unsigned32_t _t248_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort244);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t246_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              flick_iiopxx_decode_new_glob(1 * _t246_temp_string_len);
              flick_iiopxx_check_span(1 * _t246_temp_string_len * 1, _flick_abort244);
              flick_iiopxx_decode_new_chunk(1 * _t246_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t246_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort244);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t246_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t246_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t246_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort244);
              flick_cdr_decode_unsigned32(0, _t247_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t247_temp_string_len);
              flick_iiopxx_check_span(1 * _t247_temp_string_len * 1, _flick_abort244);
              flick_iiopxx_decode_new_chunk(1 * _t247_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t247_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort244);
                y = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, y, 1 * _t247_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t247_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t247_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort244);
              flick_cdr_decode_unsigned32(0, _t248_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t248_temp_string_len);
              flick_iiopxx_check_span(1 * _t248_temp_string_len * 1, _flick_abort244);
              flick_iiopxx_decode_new_chunk(1 * _t248_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t248_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort244);
                z = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, z, 1 * _t248_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t248_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t248_temp_string_len);
              break;
              {
              _flick_abort244:
                goto _flick_abort217;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort251);
              break;
              {
              _flick_abort251:
                goto _flick_abort217;
              }
            }
          default:
            {
              flick_corbaxx_env _t249_temp_env;
              unsigned int _t259_switch_tag;

              flick_iiopxx_check_span(40, _flick_abort252);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t259_switch_tag)
                {
                case (unsigned int) 26:
                  {
                    unsigned int _t260_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t260_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t260_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t261_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t261_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t261_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t262_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t262_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t262_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t263_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t263_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t263_switch_tag)
                                        {
                                        case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                          {
                                            unsigned int _t264_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t264_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t264_switch_tag)
                                              {
                                              case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                {
                                                  unsigned int _t265_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t265_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t265_switch_tag)
                                                    {
                                                    case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                      {
                                                        unsigned short int _t266_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t266_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t266_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t267_temp_string_len;

                                                              _t249_temp_env._id = "IDL:simple3/UNDERFLOW:1.0";
                                                              {
                                                                simple3::UNDERFLOW *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::UNDERFLOW *)new simple3::UNDERFLOW ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort257);
                                                                _t249_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(10);
                                                              flick_cdr_decode_signed32(2, ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->b, CORBA::Long );
                                                              flick_cdr_decode_unsigned32(6, _t267_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(10);
                                                              flick_iiopxx_decode_end_glob(44);
                                                              flick_iiopxx_decode_new_glob(1 * _t267_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t267_temp_string_len * 1, _flick_abort257);
                                                              flick_iiopxx_decode_new_chunk(1 * _t267_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t267_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort257);
                                                                ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->msg = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_decode_bcopy(0, ((simple3::UNDERFLOW *)(_t249_temp_env._user_except))->msg, 1 * _t267_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t267_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t267_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort257:
                                                                goto _flick_abort252;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                              flick_iiopxx_decode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                        flick_iiopxx_decode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                                  flick_iiopxx_decode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                            flick_iiopxx_decode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                      flick_iiopxx_decode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                                flick_iiopxx_decode_end_glob(44);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                          flick_iiopxx_decode_end_glob(44);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort252);
                    flick_iiopxx_decode_end_glob(44);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t249_temp_env);
              break;
              {
              _flick_abort252:
                goto _flick_abort217;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort217:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort216);
    _flick_abort216:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void simple3::op5(/* simple3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort294);
    }
    {
      flick_iiopxx_encode_new_glob(12, _flick_abort294);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort294);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t352_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(40);
        flick_iiopxx_check_span(4, _flick_abort294);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t352_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t352_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(40);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(40);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort329);
              break;
              {
              _flick_abort329:
                goto _flick_abort294;
              }
            }
          default:
            {
              flick_corbaxx_env _t372_temp_env;
              unsigned int _t382_switch_tag;

              flick_iiopxx_check_span(36, _flick_abort330);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t382_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t382_switch_tag)
                {
                case (unsigned int) 26:
                  {
                    unsigned int _t383_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t383_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t383_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t384_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t384_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t384_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t385_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t385_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t385_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t386_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t386_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t386_switch_tag)
                                        {
                                        case /* USER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                          {
                                            unsigned int _t387_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t387_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t387_switch_tag)
                                              {
                                              case /* ERRO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                {
                                                  unsigned int _t388_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t388_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t388_switch_tag)
                                                    {
                                                    case /* R:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                      {
                                                        unsigned short int _t389_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t389_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t389_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t390_temp_string_len;

                                                              _t372_temp_env._id = "IDL:simple3/USERERROR:1.0";
                                                              {
                                                                simple3::USERERROR *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::USERERROR *)new simple3::USERERROR ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort335);
                                                                _t372_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(6);
                                                              flick_cdr_swap_decode_unsigned32(2, _t390_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(6);
                                                              flick_iiopxx_decode_end_glob(40);
                                                              flick_iiopxx_decode_new_glob(1 * _t390_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t390_temp_string_len * 1, _flick_abort335);
                                                              flick_iiopxx_decode_new_chunk(1 * _t390_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t390_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort335);
                                                                ((simple3::USERERROR *)(_t372_temp_env._user_except))->reason = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_swap_decode_bcopy(0, ((simple3::USERERROR *)(_t372_temp_env._user_except))->reason, 1 * _t390_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t390_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t390_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort335:
                                                                goto _flick_abort330;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                                              flick_iiopxx_decode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                                        flick_iiopxx_decode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                                  flick_iiopxx_decode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                            flick_iiopxx_decode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                      flick_iiopxx_decode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                                flick_iiopxx_decode_end_glob(40);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                          flick_iiopxx_decode_end_glob(40);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort330);
                    flick_iiopxx_decode_end_glob(40);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t372_temp_env);
              break;
              {
              _flick_abort330:
                goto _flick_abort294;
              }
            }
          }
      }
    else
      {
        int _t313_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(40);
        flick_iiopxx_check_span(4, _flick_abort294);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t313_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t313_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(40);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(40);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort308);
              break;
              {
              _flick_abort308:
                goto _flick_abort294;
              }
            }
          default:
            {
              flick_corbaxx_env _t333_temp_env;
              unsigned int _t343_switch_tag;

              flick_iiopxx_check_span(36, _flick_abort309);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t343_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t343_switch_tag)
                {
                case (unsigned int) 26:
                  {
                    unsigned int _t344_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t344_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t344_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t345_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t345_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t345_switch_tag)
                            {
                            case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                              {
                                unsigned int _t346_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t346_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t346_switch_tag)
                                  {
                                  case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                    {
                                      unsigned int _t347_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t347_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t347_switch_tag)
                                        {
                                        case /* USER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                          {
                                            unsigned int _t348_switch_tag;

                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_unsigned32(0, _t348_switch_tag, unsigned int );
                                            flick_iiopxx_decode_end_chunk(4);
                                            switch ((unsigned int )_t348_switch_tag)
                                              {
                                              case /* ERRO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                {
                                                  unsigned int _t349_switch_tag;

                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _t349_switch_tag, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  switch ((unsigned int )_t349_switch_tag)
                                                    {
                                                    case /* R:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                      {
                                                        unsigned short int _t350_switch_tag;

                                                        flick_iiopxx_decode_new_chunk(2);
                                                        flick_cdr_decode_unsigned16(0, _t350_switch_tag, unsigned short int );
                                                        flick_iiopxx_decode_end_chunk(2);
                                                        switch ((unsigned short int )_t350_switch_tag)
                                                          {
                                                          case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                            {
                                                              flick_unsigned32_t _t351_temp_string_len;

                                                              _t333_temp_env._id = "IDL:simple3/USERERROR:1.0";
                                                              {
                                                                simple3::USERERROR *_t_alloc_ptr;

                                                                _t_alloc_ptr = (simple3::USERERROR *)new simple3::USERERROR ;
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort314);
                                                                _t333_temp_env._user_except = _t_alloc_ptr;
                                                              }
                                                              flick_iiopxx_decode_new_chunk(6);
                                                              flick_cdr_decode_unsigned32(2, _t351_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_decode_end_chunk(6);
                                                              flick_iiopxx_decode_end_glob(40);
                                                              flick_iiopxx_decode_new_glob(1 * _t351_temp_string_len);
                                                              flick_iiopxx_check_span(1 * _t351_temp_string_len * 1, _flick_abort314);
                                                              flick_iiopxx_decode_new_chunk(1 * _t351_temp_string_len);
                                                              {
                                                                CORBA::Char *_t_alloc_ptr;

                                                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t351_temp_string_len * sizeof(CORBA::Char )));
                                                                if (!_t_alloc_ptr)
                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort314);
                                                                ((simple3::USERERROR *)(_t333_temp_env._user_except))->reason = _t_alloc_ptr;
                                                              }
                                                              flick_cdr_decode_bcopy(0, ((simple3::USERERROR *)(_t333_temp_env._user_except))->reason, 1 * _t351_temp_string_len);
                                                              flick_iiopxx_decode_end_chunk(1 * _t351_temp_string_len);
                                                              flick_iiopxx_decode_end_glob(1 * _t351_temp_string_len);
                                                              break;
                                                              {
                                                              _flick_abort314:
                                                                goto _flick_abort309;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                                              flick_iiopxx_decode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                                        flick_iiopxx_decode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                                  flick_iiopxx_decode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                            flick_iiopxx_decode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                      flick_iiopxx_decode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                                flick_iiopxx_decode_end_glob(40);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                          flick_iiopxx_decode_end_glob(40);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort309);
                    flick_iiopxx_decode_end_glob(40);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t333_temp_env);
              break;
              {
              _flick_abort309:
                goto _flick_abort294;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort294:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort293);
    _flick_abort293:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Long simple3::op2(/* simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort339);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort339);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort339);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      flick_cdrxx_encode_IOR(iiopxx, b, 0, simple , _flick_abort339);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort339);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort339);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t392_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort339);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t392_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t392_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort352);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdr_swapxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort352);
              break;
              {
              _flick_abort352:
                goto _flick_abort339;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort353);
              break;
              {
              _flick_abort353:
                goto _flick_abort339;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort354);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort354:
                goto _flick_abort339;
              }
            }
          }
      }
    else
      {
        int _t391_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort339);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t391_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t391_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort345);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdrxx_decode_IOR(iiopxx, c, 1, simple2 , _flick_abort345);
              break;
              {
              _flick_abort345:
                goto _flick_abort339;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort346);
              break;
              {
              _flick_abort346:
                goto _flick_abort339;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort347);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort347:
                goto _flick_abort339;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort339:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort338);
    _flick_abort338:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long simple3::op(/* simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort356);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort356);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort356);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_cdr_encode_signed32(16, c, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort356);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort356);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t394_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort356);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t394_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t394_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort369);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdr_swapxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort369);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort369);
              flick_cdr_swap_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort369:
                goto _flick_abort356;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort370);
              break;
              {
              _flick_abort370:
                goto _flick_abort356;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort371);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort371:
                goto _flick_abort356;
              }
            }
          }
      }
    else
      {
        int _t393_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort356);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t393_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t393_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort362);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_cdrxx_decode_IOR(iiopxx, b, 1, simple , _flick_abort362);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort362);
              flick_cdr_decode_signed32(0, c, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort362:
                goto _flick_abort356;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort363);
              break;
              {
              _flick_abort363:
                goto _flick_abort356;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort364);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort364:
                goto _flick_abort356;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort356:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort355);
    _flick_abort355:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

